#include "pmu-events/pmu-events.h"
struct pmu_event pme_cf_z15[] = {
{
	.name = "prng_functions",
	.event = "event=0x40",
	.desc = "Unit: cpum_cf PRNG Function Count",
	.topic = "crypto6",
	.long_desc = "This counter counts the total number of the pseudorandom-number-generation functions issued by the CPU",
	.pmu = "cpum_cf",
},
{
	.name = "prng_cycles",
	.event = "event=0x41",
	.desc = "Unit: cpum_cf PRNG Cycle Count",
	.topic = "crypto6",
	.long_desc = "This counter counts the total number of CPU cycles when the DEA/AES/SHA coprocessor is busy performing the pseudorandom- number-generation functions issued by the CPU",
	.pmu = "cpum_cf",
},
{
	.name = "prng_blocked_functions",
	.event = "event=0x42",
	.desc = "Unit: cpum_cf PRNG Blocked Function Count",
	.topic = "crypto6",
	.long_desc = "This counter counts the total number of the pseudorandom-number-generation functions that are issued by the CPU and are blocked because the DEA/AES/SHA coprocessor is busy performing a function issued by another CPU",
	.pmu = "cpum_cf",
},
{
	.name = "prng_blocked_cycles",
	.event = "event=0x43",
	.desc = "Unit: cpum_cf PRNG Blocked Cycle Count",
	.topic = "crypto6",
	.long_desc = "This counter counts the total number of CPU cycles blocked for the pseudorandom-number-generation functions issued by the CPU because the DEA/AES/SHA coprocessor is busy performing a function issued by another CPU",
	.pmu = "cpum_cf",
},
{
	.name = "sha_functions",
	.event = "event=0x44",
	.desc = "Unit: cpum_cf SHA Function Count",
	.topic = "crypto6",
	.long_desc = "This counter counts the total number of the SHA functions issued by the CPU",
	.pmu = "cpum_cf",
},
{
	.name = "sha_cycles",
	.event = "event=0x45",
	.desc = "Unit: cpum_cf SHA Cycle Count",
	.topic = "crypto6",
	.long_desc = "This counter counts the total number of CPU cycles when the SHA coprocessor is busy performing the SHA functions issued by the CPU",
	.pmu = "cpum_cf",
},
{
	.name = "sha_blocked_functions",
	.event = "event=0x46",
	.desc = "Unit: cpum_cf SHA Blocked Function Count",
	.topic = "crypto6",
	.long_desc = "This counter counts the total number of the SHA functions that are issued by the CPU and are blocked because the SHA coprocessor is busy performing a function issued by another CPU",
	.pmu = "cpum_cf",
},
{
	.name = "sha_blocked_cycles",
	.event = "event=0x47",
	.desc = "Unit: cpum_cf SHA Blocked Cycle Count",
	.topic = "crypto6",
	.long_desc = "This counter counts the total number of CPU cycles blocked for the SHA functions issued by the CPU because the SHA coprocessor is busy performing a function issued by another CPU",
	.pmu = "cpum_cf",
},
{
	.name = "dea_functions",
	.event = "event=0x48",
	.desc = "Unit: cpum_cf DEA Function Count",
	.topic = "crypto6",
	.long_desc = "This counter counts the total number of the DEA functions issued by the CPU",
	.pmu = "cpum_cf",
},
{
	.name = "dea_cycles",
	.event = "event=0x49",
	.desc = "Unit: cpum_cf DEA Cycle Count",
	.topic = "crypto6",
	.long_desc = "This counter counts the total number of CPU cycles when the DEA/AES coprocessor is busy performing the DEA functions issued by the CPU",
	.pmu = "cpum_cf",
},
{
	.name = "dea_blocked_functions",
	.event = "event=0x4a",
	.desc = "Unit: cpum_cf DEA Blocked Function Count",
	.topic = "crypto6",
	.long_desc = "This counter counts the total number of the DEA functions that are issued by the CPU and are blocked because the DEA/AES coprocessor is busy performing a function issued by another CPU",
	.pmu = "cpum_cf",
},
{
	.name = "dea_blocked_cycles",
	.event = "event=0x4b",
	.desc = "Unit: cpum_cf DEA Blocked Cycle Count",
	.topic = "crypto6",
	.long_desc = "This counter counts the total number of CPU cycles blocked for the DEA functions issued by the CPU because the DEA/AES coprocessor is busy performing a function issued by another CPU",
	.pmu = "cpum_cf",
},
{
	.name = "aes_functions",
	.event = "event=0x4c",
	.desc = "Unit: cpum_cf AES Function Count",
	.topic = "crypto6",
	.long_desc = "This counter counts the total number of the AES functions issued by the CPU",
	.pmu = "cpum_cf",
},
{
	.name = "aes_cycles",
	.event = "event=0x4d",
	.desc = "Unit: cpum_cf AES Cycle Count",
	.topic = "crypto6",
	.long_desc = "This counter counts the total number of CPU cycles when the DEA/AES coprocessor is busy performing the AES functions issued by the CPU",
	.pmu = "cpum_cf",
},
{
	.name = "aes_blocked_functions",
	.event = "event=0x4e",
	.desc = "Unit: cpum_cf AES Blocked Function Count",
	.topic = "crypto6",
	.long_desc = "This counter counts the total number of the AES functions that are issued by the CPU and are blocked because the DEA/AES coprocessor is busy performing a function issued by another CPU",
	.pmu = "cpum_cf",
},
{
	.name = "aes_blocked_cycles",
	.event = "event=0x4f",
	.desc = "Unit: cpum_cf AES Blocked Cycle Count",
	.topic = "crypto6",
	.long_desc = "This counter counts the total number of CPU cycles blocked for the AES functions issued by the CPU because the DEA/AES coprocessor is busy performing a function issued by another CPU",
	.pmu = "cpum_cf",
},
{
	.name = "ecc_function_count",
	.event = "event=0x50",
	.desc = "Unit: cpum_cf ECC Function Count",
	.topic = "crypto6",
	.long_desc = "This counter counts the total number of the elliptic-curve cryptography (ECC) functions issued by the CPU",
	.pmu = "cpum_cf",
},
{
	.name = "ecc_cycles_count",
	.event = "event=0x51",
	.desc = "Unit: cpum_cf ECC Cycles Count",
	.topic = "crypto6",
	.long_desc = "This counter counts the total number of CPU cycles when the ECC coprocessor is busy performing the elliptic-curve cryptography (ECC) functions issued by the CPU",
	.pmu = "cpum_cf",
},
{
	.name = "ecc_blocked_function_count",
	.event = "event=0x52",
	.desc = "Unit: cpum_cf Ecc Blocked Function Count",
	.topic = "crypto6",
	.long_desc = "This counter counts the total number of the elliptic-curve cryptography (ECC) functions that are issued by the CPU and are blocked because the ECC coprocessor is busy performing a function issued by another CPU",
	.pmu = "cpum_cf",
},
{
	.name = "ecc_blocked_cycles_count",
	.event = "event=0x53",
	.desc = "Unit: cpum_cf ECC Blocked Cycles Count",
	.topic = "crypto6",
	.long_desc = "This counter counts the total number of CPU cycles blocked for the elliptic-curve cryptography (ECC) functions issued by the CPU because the ECC coprocessor is busy performing a function issued by another CPU",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_ro_excl_writes",
	.event = "event=0x80",
	.desc = "Unit: cpum_cf L1D Read-only Exclusive Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data cache where the line was originally in a Read-Only state in the cache but has been updated to be in the Exclusive state that allows stores to the cache line",
	.pmu = "cpum_cf",
},
{
	.name = "dtlb2_writes",
	.event = "event=0x81",
	.desc = "Unit: cpum_cf DTLB2 Writes",
	.topic = "extended",
	.long_desc = "A translation has been written into The Translation Lookaside Buffer 2 (TLB2) and the request was made by the data cache. This is a replacement for what was provided for the DTLB on prior machines",
	.pmu = "cpum_cf",
},
{
	.name = "dtlb2_misses",
	.event = "event=0x82",
	.desc = "Unit: cpum_cf DTLB2 Misses",
	.topic = "extended",
	.long_desc = "A TLB2 miss is in progress for a request made by the data cache. Incremented by one for every TLB2 miss in progress for the Level-1 Data cache on this cycle. This is a replacement for what was provided for the DTLB on prior machines",
	.pmu = "cpum_cf",
},
{
	.name = "dtlb2_hpage_writes",
	.event = "event=0x83",
	.desc = "Unit: cpum_cf DTLB2 One-Megabyte Page Writes",
	.topic = "extended",
	.long_desc = "A translation entry was written into the Combined Region and Segment Table Entry array in the Level-2 TLB for a one-megabyte page",
	.pmu = "cpum_cf",
},
{
	.name = "dtlb2_gpage_writes",
	.event = "event=0x84",
	.desc = "Unit: cpum_cf DTLB2 Two-Gigabyte Page Writes",
	.topic = "extended",
	.long_desc = "A translation entry for a two-gigabyte page was written into the Level-2 TLB",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_l2d_sourced_writes",
	.event = "event=0x85",
	.desc = "Unit: cpum_cf L1D L2D Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data cache directory where the returned cache line was sourced from the Level-2 Data cache",
	.pmu = "cpum_cf",
},
{
	.name = "itlb2_writes",
	.event = "event=0x86",
	.desc = "Unit: cpum_cf ITLB2 Writes",
	.topic = "extended",
	.long_desc = "A translation entry has been written into the Translation Lookaside Buffer 2 (TLB2) and the request was made by the instruction cache. This is a replacement for what was provided for the ITLB on prior machines",
	.pmu = "cpum_cf",
},
{
	.name = "itlb2_misses",
	.event = "event=0x87",
	.desc = "Unit: cpum_cf ITLB2 Misses",
	.topic = "extended",
	.long_desc = "A TLB2 miss is in progress for a request made by the instruction cache. Incremented by one for every TLB2 miss in progress for the Level-1 Instruction cache in a cycle. This is a replacement for what was provided for the ITLB on prior machines",
	.pmu = "cpum_cf",
},
{
	.name = "l1i_l2i_sourced_writes",
	.event = "event=0x88",
	.desc = "Unit: cpum_cf L1I L2I Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Instruction cache directory where the returned cache line was sourced from the Level-2 Instruction cache",
	.pmu = "cpum_cf",
},
{
	.name = "tlb2_pte_writes",
	.event = "event=0x89",
	.desc = "Unit: cpum_cf TLB2 PTE Writes",
	.topic = "extended",
	.long_desc = "A translation entry was written into the Page Table Entry array in the Level-2 TLB",
	.pmu = "cpum_cf",
},
{
	.name = "tlb2_crste_writes",
	.event = "event=0x8a",
	.desc = "Unit: cpum_cf TLB2 CRSTE Writes",
	.topic = "extended",
	.long_desc = "Translation entries were written into the Combined Region and Segment Table Entry array and the Page Table Entry array in the Level-2 TLB",
	.pmu = "cpum_cf",
},
{
	.name = "tlb2_engines_busy",
	.event = "event=0x8b",
	.desc = "Unit: cpum_cf TLB2 Engines Busy",
	.topic = "extended",
	.long_desc = "The number of Level-2 TLB translation engines busy in a cycle",
	.pmu = "cpum_cf",
},
{
	.name = "tx_c_tend",
	.event = "event=0x8c",
	.desc = "Unit: cpum_cf Completed TEND instructions in constrained TX mode",
	.topic = "extended",
	.long_desc = "A TEND instruction has completed in a constrained transactional-execution mode",
	.pmu = "cpum_cf",
},
{
	.name = "tx_nc_tend",
	.event = "event=0x8d",
	.desc = "Unit: cpum_cf Completed TEND instructions in non-constrained TX mode",
	.topic = "extended",
	.long_desc = "A TEND instruction has completed in a non-constrained transactional-execution mode",
	.pmu = "cpum_cf",
},
{
	.name = "l1c_tlb2_misses",
	.event = "event=0x8f",
	.desc = "Unit: cpum_cf L1C TLB2 Misses",
	.topic = "extended",
	.long_desc = "Increments by one for any cycle where a level-1 cache or level-2 TLB miss is in progress",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_onchip_l3_sourced_writes",
	.event = "event=0x90",
	.desc = "Unit: cpum_cf L1D On-Chip L3 Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data cache directory where the returned cache line was sourced from an On-Chip Level-3 cache without intervention",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_onchip_memory_sourced_writes",
	.event = "event=0x91",
	.desc = "Unit: cpum_cf L1D On-Chip Memory Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data cache directory where the returned cache line was sourced from On-Chip memory",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_onchip_l3_sourced_writes_iv",
	.event = "event=0x92",
	.desc = "Unit: cpum_cf L1D On-Chip L3 Sourced Writes with Intervention",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data cache directory where the returned cache line was sourced from an On-Chip Level-3 cache with intervention",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_oncluster_l3_sourced_writes",
	.event = "event=0x93",
	.desc = "Unit: cpum_cf L1D On-Cluster L3 Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data cache directory where the returned cache line was sourced from On-Cluster Level-3 cache without intervention",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_oncluster_memory_sourced_writes",
	.event = "event=0x94",
	.desc = "Unit: cpum_cf L1D On-Cluster Memory Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data cache directory where the returned cache line was sourced from an On-Cluster memory",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_oncluster_l3_sourced_writes_iv",
	.event = "event=0x95",
	.desc = "Unit: cpum_cf L1D On-Cluster L3 Sourced Writes with Intervention",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data cache directory where the returned cache line was sourced from an On-Cluster Level-3 cache with intervention",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_offcluster_l3_sourced_writes",
	.event = "event=0x96",
	.desc = "Unit: cpum_cf L1D Off-Cluster L3 Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data cache directory where the returned cache line was sourced from an Off-Cluster Level-3 cache without intervention",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_offcluster_memory_sourced_writes",
	.event = "event=0x97",
	.desc = "Unit: cpum_cf L1D Off-Cluster Memory Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data cache directory where the returned cache line was sourced from Off-Cluster memory",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_offcluster_l3_sourced_writes_iv",
	.event = "event=0x98",
	.desc = "Unit: cpum_cf L1D Off-Cluster L3 Sourced Writes with Intervention",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data cache directory where the returned cache line was sourced from an Off-Cluster Level-3 cache with intervention",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_offdrawer_l3_sourced_writes",
	.event = "event=0x99",
	.desc = "Unit: cpum_cf L1D Off-Drawer L3 Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data cache directory where the returned cache line was sourced from an Off-Drawer Level-3 cache without intervention",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_offdrawer_memory_sourced_writes",
	.event = "event=0x9a",
	.desc = "Unit: cpum_cf L1D Off-Drawer Memory Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data cache directory where the returned cache line was sourced from Off-Drawer memory",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_offdrawer_l3_sourced_writes_iv",
	.event = "event=0x9b",
	.desc = "Unit: cpum_cf L1D Off-Drawer L3 Sourced Writes with Intervention",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data cache directory where the returned cache line was sourced from an Off-Drawer Level-3 cache with intervention",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_ondrawer_l4_sourced_writes",
	.event = "event=0x9c",
	.desc = "Unit: cpum_cf L1D On-Drawer L4 Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data cache directory where the returned cache line was sourced from On-Drawer Level-4 cache",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_offdrawer_l4_sourced_writes",
	.event = "event=0x9d",
	.desc = "Unit: cpum_cf L1D Off-Drawer L4 Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data cache directory where the returned cache line was sourced from Off-Drawer Level-4 cache",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_onchip_l3_sourced_writes_ro",
	.event = "event=0x9e",
	.desc = "Unit: cpum_cf L1D On-Chip L3 Sourced Writes read-only",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data cache directory where the returned cache line was sourced from On-Chip L3 but a read-only invalidate was done to remove other copies of the cache line",
	.pmu = "cpum_cf",
},
{
	.name = "l1i_onchip_l3_sourced_writes",
	.event = "event=0xa2",
	.desc = "Unit: cpum_cf L1I On-Chip L3 Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Instruction cache directory where the returned cache ine was sourced from an On-Chip Level-3 cache without intervention",
	.pmu = "cpum_cf",
},
{
	.name = "l1i_onchip_memory_sourced_writes",
	.event = "event=0xa3",
	.desc = "Unit: cpum_cf L1I On-Chip Memory Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Instruction cache directory where the returned cache ine was sourced from On-Chip memory",
	.pmu = "cpum_cf",
},
{
	.name = "l1i_onchip_l3_sourced_writes_iv",
	.event = "event=0xa4",
	.desc = "Unit: cpum_cf L1I On-Chip L3 Sourced Writes with Intervention",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Instruction cache directory where the returned cache ine was sourced from an On-Chip Level-3 cache with intervention",
	.pmu = "cpum_cf",
},
{
	.name = "l1i_oncluster_l3_sourced_writes",
	.event = "event=0xa5",
	.desc = "Unit: cpum_cf L1I On-Cluster L3 Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Instruction cache directory where the returned cache line was sourced from an On-Cluster Level-3 cache without intervention",
	.pmu = "cpum_cf",
},
{
	.name = "l1i_oncluster_memory_sourced_writes",
	.event = "event=0xa6",
	.desc = "Unit: cpum_cf L1I On-Cluster Memory Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Instruction cache directory where the returned cache line was sourced from an On-Cluster memory",
	.pmu = "cpum_cf",
},
{
	.name = "l1i_oncluster_l3_sourced_writes_iv",
	.event = "event=0xa7",
	.desc = "Unit: cpum_cf L1I On-Cluster L3 Sourced Writes with Intervention",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Instruction cache directory where the returned cache line was sourced from On-Cluster Level-3 cache with intervention",
	.pmu = "cpum_cf",
},
{
	.name = "l1i_offcluster_l3_sourced_writes",
	.event = "event=0xa8",
	.desc = "Unit: cpum_cf L1I Off-Cluster L3 Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Instruction cache directory where the returned cache line was sourced from an Off-Cluster Level-3 cache without intervention",
	.pmu = "cpum_cf",
},
{
	.name = "l1i_offcluster_memory_sourced_writes",
	.event = "event=0xa9",
	.desc = "Unit: cpum_cf L1I Off-Cluster Memory Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Instruction cache directory where the returned cache line was sourced from Off-Cluster memory",
	.pmu = "cpum_cf",
},
{
	.name = "l1i_offcluster_l3_sourced_writes_iv",
	.event = "event=0xaa",
	.desc = "Unit: cpum_cf L1I Off-Cluster L3 Sourced Writes with Intervention",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Instruction cache directory where the returned cache line was sourced from an Off-Cluster Level-3 cache with intervention",
	.pmu = "cpum_cf",
},
{
	.name = "l1i_offdrawer_l3_sourced_writes",
	.event = "event=0xab",
	.desc = "Unit: cpum_cf L1I Off-Drawer L3 Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Instruction cache directory where the returned cache line was sourced from an Off-Drawer Level-3 cache without intervention",
	.pmu = "cpum_cf",
},
{
	.name = "l1i_offdrawer_memory_sourced_writes",
	.event = "event=0xac",
	.desc = "Unit: cpum_cf L1I Off-Drawer Memory Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Instruction cache directory where the returned cache line was sourced from Off-Drawer memory",
	.pmu = "cpum_cf",
},
{
	.name = "l1i_offdrawer_l3_sourced_writes_iv",
	.event = "event=0xad",
	.desc = "Unit: cpum_cf L1I Off-Drawer L3 Sourced Writes with Intervention",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Instruction cache directory where the returned cache line was sourced from an Off-Drawer Level-3 cache with intervention",
	.pmu = "cpum_cf",
},
{
	.name = "l1i_ondrawer_l4_sourced_writes",
	.event = "event=0xae",
	.desc = "Unit: cpum_cf L1I On-Drawer L4 Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Instruction cache directory where the returned cache line was sourced from On-Drawer Level-4 cache",
	.pmu = "cpum_cf",
},
{
	.name = "l1i_offdrawer_l4_sourced_writes",
	.event = "event=0xaf",
	.desc = "Unit: cpum_cf L1I Off-Drawer L4 Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Instruction cache directory where the returned cache line was sourced from Off-Drawer Level-4 cache",
	.pmu = "cpum_cf",
},
{
	.name = "bcd_dfp_execution_slots",
	.event = "event=0xe0",
	.desc = "Unit: cpum_cf BCD DFP Execution Slots",
	.topic = "extended",
	.long_desc = "Count of floating point execution slots used for finished Binary Coded Decimal to Decimal Floating Point conversions. Instructions: CDZT, CXZT, CZDT, CZXT",
	.pmu = "cpum_cf",
},
{
	.name = "vx_bcd_execution_slots",
	.event = "event=0xe1",
	.desc = "Unit: cpum_cf VX BCD Execution Slots",
	.topic = "extended",
	.long_desc = "Count of floating point execution slots used for finished vector arithmetic Binary Coded Decimal instructions. Instructions: VAP, VSP, VMPVMSP, VDP, VSDP, VRP, VLIP, VSRP, VPSOPVCP, VTP, VPKZ, VUPKZ, VCVB, VCVBG, VCVDVCVDG",
	.pmu = "cpum_cf",
},
{
	.name = "decimal_instructions",
	.event = "event=0xe2",
	.desc = "Unit: cpum_cf Decimal Instructions",
	.topic = "extended",
	.long_desc = "Decimal instructions dispatched. Instructions: CVB, CVD, AP, CP, DP, ED, EDMK, MP, SRP, SP, ZAP",
	.pmu = "cpum_cf",
},
{
	.name = "last_host_translations",
	.event = "event=0xe8",
	.desc = "Unit: cpum_cf Last host translation done",
	.topic = "extended",
	.long_desc = "Last Host Translation done",
	.pmu = "cpum_cf",
},
{
	.name = "tx_nc_tabort",
	.event = "event=0xf3",
	.desc = "Unit: cpum_cf Aborted transactions in non-constrained TX mode",
	.topic = "extended",
	.long_desc = "A transaction abort has occurred in a non-constrained transactional-execution mode",
	.pmu = "cpum_cf",
},
{
	.name = "tx_c_tabort_no_special",
	.event = "event=0xf4",
	.desc = "Unit: cpum_cf Aborted transactions in constrained TX mode not using special completion logic",
	.topic = "extended",
	.long_desc = "A transaction abort has occurred in a constrained transactional-execution mode and the CPU is not using any special logic to allow the transaction to complete",
	.pmu = "cpum_cf",
},
{
	.name = "tx_c_tabort_special",
	.event = "event=0xf5",
	.desc = "Unit: cpum_cf Aborted transactions in constrained TX mode using special completion logic",
	.topic = "extended",
	.long_desc = "A transaction abort has occurred in a constrained transactional-execution mode and the CPU is using special logic to allow the transaction to complete",
	.pmu = "cpum_cf",
},
{
	.name = "dflt_access",
	.event = "event=0xf7",
	.desc = "Unit: cpum_cf Cycles CPU spent obtaining access to Deflate unit",
	.topic = "extended",
	.long_desc = "Cycles CPU spent obtaining access to Deflate unit",
	.pmu = "cpum_cf",
},
{
	.name = "dflt_cycles",
	.event = "event=0xfc",
	.desc = "Unit: cpum_cf Cycles CPU is using Deflate unit",
	.topic = "extended",
	.long_desc = "Cycles CPU is using Deflate unit",
	.pmu = "cpum_cf",
},
{
	.name = "dflt_cc",
	.event = "event=0x108",
	.desc = "Unit: cpum_cf Increments DEFLATE CONVERSION CALL",
	.topic = "extended",
	.long_desc = "Increments by one for every DEFLATE CONVERSION CALL instruction executed",
	.pmu = "cpum_cf",
},
{
	.name = "dflt_ccfinish",
	.event = "event=0x109",
	.desc = "Unit: cpum_cf Increments completed DEFLATE CONVERSION CALL",
	.topic = "extended",
	.long_desc = " Increments by one for every DEFLATE CONVERSION CALL instruction executed that ended in Condition Codes 0, 1 or 2 complete",
	.pmu = "cpum_cf",
},
{
	.name = "mt_diag_cycles_one_thr_active",
	.event = "event=0x1c0",
	.desc = "Unit: cpum_cf Cycle count with one thread active",
	.topic = "extended",
	.long_desc = "Cycle count with one thread active",
	.pmu = "cpum_cf",
},
{
	.name = "mt_diag_cycles_two_thr_active",
	.event = "event=0x1c1",
	.desc = "Unit: cpum_cf Cycle count with two threads active",
	.topic = "extended",
	.long_desc = "Cycle count with two threads active",
	.pmu = "cpum_cf",
},
{
	.desc = "Transaction count",
	.topic = "transaction",
	.metric_expr = "tx_c_tend + tx_nc_tend + tx_nc_tabort + tx_c_tabort_special + tx_c_tabort_no_special",
	.metric_name = "transaction",
},
{
	.name = "cpu_cycles",
	.event = "event=0",
	.desc = "Unit: cpum_cf Cycle Count",
	.topic = "basic",
	.long_desc = "This counter counts the total number of CPU cycles, excluding the number of cycles while the CPU is in the wait state",
	.pmu = "cpum_cf",
},
{
	.name = "instructions",
	.event = "event=0x1",
	.desc = "Unit: cpum_cf Instruction Count",
	.topic = "basic",
	.long_desc = "This counter counts the total number of instructions executed by the CPU",
	.pmu = "cpum_cf",
},
{
	.name = "l1i_dir_writes",
	.event = "event=0x2",
	.desc = "Unit: cpum_cf Level-1 I-Cache Directory Write Count",
	.topic = "basic",
	.long_desc = "This counter counts the total number of level-1 instruction-cache or unified-cache directory writes",
	.pmu = "cpum_cf",
},
{
	.name = "l1i_penalty_cycles",
	.event = "event=0x3",
	.desc = "Unit: cpum_cf Level-1 I-Cache Penalty Cycle Count",
	.topic = "basic",
	.long_desc = "This counter counts the total number of cache penalty cycles for level-1 instruction cache or unified cache",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_dir_writes",
	.event = "event=0x4",
	.desc = "Unit: cpum_cf Level-1 D-Cache Directory Write Count",
	.topic = "basic",
	.long_desc = "This counter counts the total number of level-1 data-cache directory writes",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_penalty_cycles",
	.event = "event=0x5",
	.desc = "Unit: cpum_cf Level-1 D-Cache Penalty Cycle Count",
	.topic = "basic",
	.long_desc = "This counter counts the total number of cache penalty cycles for level-1 data cache",
	.pmu = "cpum_cf",
},
{
	.name = "problem_state_cpu_cycles",
	.event = "event=0x20",
	.desc = "Unit: cpum_cf Problem-State Cycle Count",
	.topic = "basic",
	.long_desc = "This counter counts the total number of CPU cycles when the CPU is in the problem state, excluding the number of cycles while the CPU is in the wait state",
	.pmu = "cpum_cf",
},
{
	.name = "problem_state_instructions",
	.event = "event=0x21",
	.desc = "Unit: cpum_cf Problem-State Instruction Count",
	.topic = "basic",
	.long_desc = "This counter counts the total number of instructions executed by the CPU while in the problem state",
	.pmu = "cpum_cf",
},
{
	.name = 0,
	.event = 0,
	.desc = 0,
},
};
struct pmu_event pme_cf_z10[] = {
{
	.name = "l1i_l2_sourced_writes",
	.event = "event=0x80",
	.desc = "Unit: cpum_cf L1I L2 Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Instruction Cache directory where the returned cache line was sourced from the Level-2 (L1.5) cache",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_l2_sourced_writes",
	.event = "event=0x81",
	.desc = "Unit: cpum_cf L1D L2 Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data Cache directory where the installed cache line was sourced from the Level-2 (L1.5) cache",
	.pmu = "cpum_cf",
},
{
	.name = "l1i_l3_local_writes",
	.event = "event=0x82",
	.desc = "Unit: cpum_cf L1I L3 Local Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Instruction Cache directory where the installed cache line was sourced from the Level-3 cache that is on the same book as the Instruction cache (Local L2 cache)",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_l3_local_writes",
	.event = "event=0x83",
	.desc = "Unit: cpum_cf L1D L3 Local Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data Cache directory where the installed cache line was source from the Level-3 cache that is on the same book as the Data cache (Local L2 cache)",
	.pmu = "cpum_cf",
},
{
	.name = "l1i_l3_remote_writes",
	.event = "event=0x84",
	.desc = "Unit: cpum_cf L1I L3 Remote Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Instruction Cache directory where the installed cache line was sourced from a Level-3 cache that is not on the same book as the Instruction cache (Remote L2 cache)",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_l3_remote_writes",
	.event = "event=0x85",
	.desc = "Unit: cpum_cf L1D L3 Remote Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data Cache directory where the installed cache line was sourced from a Level-3 cache that is not on the same book as the Data cache (Remote L2 cache)",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_lmem_sourced_writes",
	.event = "event=0x86",
	.desc = "Unit: cpum_cf L1D Local Memory Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data Cache directory where the installed cache line was sourced from memory that is attached to the same book as the Data cache (Local Memory)",
	.pmu = "cpum_cf",
},
{
	.name = "l1i_lmem_sourced_writes",
	.event = "event=0x87",
	.desc = "Unit: cpum_cf L1I Local Memory Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Instruction Cache where the installed cache line was sourced from memory that is attached to the s ame book as the Instruction cache (Local Memory)",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_ro_excl_writes",
	.event = "event=0x88",
	.desc = "Unit: cpum_cf L1D Read-only Exclusive Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data Cache where the line was originally in a Read-Only state in the cache but has been updated to be in the Exclusive state that allows stores to the cache line",
	.pmu = "cpum_cf",
},
{
	.name = "l1i_cacheline_invalidates",
	.event = "event=0x89",
	.desc = "Unit: cpum_cf L1I Cacheline Invalidates",
	.topic = "extended",
	.long_desc = "A cache line in the Level-1 Instruction Cache has been invalidated by a store on the same CPU as the Level-1 Instruction Cache",
	.pmu = "cpum_cf",
},
{
	.name = "itlb1_writes",
	.event = "event=0x8a",
	.desc = "Unit: cpum_cf ITLB1 Writes",
	.topic = "extended",
	.long_desc = "A translation entry has been written into the Level-1 Instruction Translation Lookaside Buffer (ITLB1)",
	.pmu = "cpum_cf",
},
{
	.name = "dtlb1_writes",
	.event = "event=0x8b",
	.desc = "Unit: cpum_cf DTLB1 Writes",
	.topic = "extended",
	.long_desc = "A translation entry has been written to the Level-1 Data Translation Lookaside Buffer (DTLB1)",
	.pmu = "cpum_cf",
},
{
	.name = "tlb2_pte_writes",
	.event = "event=0x8c",
	.desc = "Unit: cpum_cf TLB2 PTE Writes",
	.topic = "extended",
	.long_desc = "A translation entry has been written to the Level-2 TLB Page Table Entry arrays",
	.pmu = "cpum_cf",
},
{
	.name = "tlb2_crste_writes",
	.event = "event=0x8d",
	.desc = "Unit: cpum_cf TLB2 CRSTE Writes",
	.topic = "extended",
	.long_desc = "A translation entry has been written to the Level-2 TLB Common Region Segment Table Entry arrays",
	.pmu = "cpum_cf",
},
{
	.name = "tlb2_crste_hpage_writes",
	.event = "event=0x8e",
	.desc = "Unit: cpum_cf TLB2 CRSTE One-Megabyte Page Writes",
	.topic = "extended",
	.long_desc = "A translation entry has been written to the Level-2 TLB Common Region Segment Table Entry arrays for a one-megabyte large page translation",
	.pmu = "cpum_cf",
},
{
	.name = "itlb1_misses",
	.event = "event=0x91",
	.desc = "Unit: cpum_cf ITLB1 Misses",
	.topic = "extended",
	.long_desc = "Level-1 Instruction TLB miss in progress. Incremented by one for every cycle an ITLB1 miss is in progress",
	.pmu = "cpum_cf",
},
{
	.name = "dtlb1_misses",
	.event = "event=0x92",
	.desc = "Unit: cpum_cf DTLB1 Misses",
	.topic = "extended",
	.long_desc = "Level-1 Data TLB miss in progress. Incremented by one for every cycle an DTLB1 miss is in progress",
	.pmu = "cpum_cf",
},
{
	.name = "l2c_stores_sent",
	.event = "event=0x93",
	.desc = "Unit: cpum_cf L2C Stores Sent",
	.topic = "extended",
	.long_desc = "Incremented by one for every store sent to Level-2 (L1.5) cache",
	.pmu = "cpum_cf",
},
{
	.name = "cpu_cycles",
	.event = "event=0",
	.desc = "Unit: cpum_cf Cycle Count",
	.topic = "basic",
	.long_desc = "This counter counts the total number of CPU cycles, excluding the number of cycles while the CPU is in the wait state",
	.pmu = "cpum_cf",
},
{
	.name = "instructions",
	.event = "event=0x1",
	.desc = "Unit: cpum_cf Instruction Count",
	.topic = "basic",
	.long_desc = "This counter counts the total number of instructions executed by the CPU",
	.pmu = "cpum_cf",
},
{
	.name = "l1i_dir_writes",
	.event = "event=0x2",
	.desc = "Unit: cpum_cf Level-1 I-Cache Directory Write Count",
	.topic = "basic",
	.long_desc = "This counter counts the total number of level-1 instruction-cache or unified-cache directory writes",
	.pmu = "cpum_cf",
},
{
	.name = "l1i_penalty_cycles",
	.event = "event=0x3",
	.desc = "Unit: cpum_cf Level-1 I-Cache Penalty Cycle Count",
	.topic = "basic",
	.long_desc = "This counter counts the total number of cache penalty cycles for level-1 instruction cache or unified cache",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_dir_writes",
	.event = "event=0x4",
	.desc = "Unit: cpum_cf Level-1 D-Cache Directory Write Count",
	.topic = "basic",
	.long_desc = "This counter counts the total number of level-1 data-cache directory writes",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_penalty_cycles",
	.event = "event=0x5",
	.desc = "Unit: cpum_cf Level-1 D-Cache Penalty Cycle Count",
	.topic = "basic",
	.long_desc = "This counter counts the total number of cache penalty cycles for level-1 data cache",
	.pmu = "cpum_cf",
},
{
	.name = "problem_state_cpu_cycles",
	.event = "event=0x20",
	.desc = "Unit: cpum_cf Problem-State Cycle Count",
	.topic = "basic",
	.long_desc = "This counter counts the total number of CPU cycles when the CPU is in the problem state, excluding the number of cycles while the CPU is in the wait state",
	.pmu = "cpum_cf",
},
{
	.name = "problem_state_instructions",
	.event = "event=0x21",
	.desc = "Unit: cpum_cf Problem-State Instruction Count",
	.topic = "basic",
	.long_desc = "This counter counts the total number of instructions executed by the CPU while in the problem state",
	.pmu = "cpum_cf",
},
{
	.name = "problem_state_l1i_dir_writes",
	.event = "event=0x22",
	.desc = "Unit: cpum_cf Problem-State Level-1 I-Cache Directory Write Count",
	.topic = "basic",
	.long_desc = "This counter counts the total number of level-1 instruction-cache or unified-cache directory writes while the CPU is in the problem state",
	.pmu = "cpum_cf",
},
{
	.name = "problem_state_l1i_penalty_cycles",
	.event = "event=0x23",
	.desc = "Unit: cpum_cf Level-1 I-Cache Penalty Cycle Count",
	.topic = "basic",
	.long_desc = "This counter counts the total number of penalty cycles for level-1 instruction cache or unified cache while the CPU is in the problem state",
	.pmu = "cpum_cf",
},
{
	.name = "problem_state_l1d_dir_writes",
	.event = "event=0x24",
	.desc = "Unit: cpum_cf Problem-State Level-1 D-Cache Directory Write Count",
	.topic = "basic",
	.long_desc = "This counter counts the total number of level-1 data-cache directory writes while the CPU is in the problem state",
	.pmu = "cpum_cf",
},
{
	.name = "problem_state_l1d_penalty_cycles",
	.event = "event=0x25",
	.desc = "Unit: cpum_cf Problem-State Level-1 D-Cache Penalty Cycle Count",
	.topic = "basic",
	.long_desc = "This counter counts the total number of penalty cycles for level-1 data cache while the CPU is in the problem state",
	.pmu = "cpum_cf",
},
{
	.name = "prng_functions",
	.event = "event=0x40",
	.desc = "Unit: cpum_cf PRNG Function Count",
	.topic = "crypto",
	.long_desc = "This counter counts the total number of the pseudorandom-number-generation functions issued by the CPU",
	.pmu = "cpum_cf",
},
{
	.name = "prng_cycles",
	.event = "event=0x41",
	.desc = "Unit: cpum_cf PRNG Cycle Count",
	.topic = "crypto",
	.long_desc = "This counter counts the total number of CPU cycles when the DEA/AES/SHA coprocessor is busy performing the pseudorandom- number-generation functions issued by the CPU",
	.pmu = "cpum_cf",
},
{
	.name = "prng_blocked_functions",
	.event = "event=0x42",
	.desc = "Unit: cpum_cf PRNG Blocked Function Count",
	.topic = "crypto",
	.long_desc = "This counter counts the total number of the pseudorandom-number-generation functions that are issued by the CPU and are blocked because the DEA/AES/SHA coprocessor is busy performing a function issued by another CPU",
	.pmu = "cpum_cf",
},
{
	.name = "prng_blocked_cycles",
	.event = "event=0x43",
	.desc = "Unit: cpum_cf PRNG Blocked Cycle Count",
	.topic = "crypto",
	.long_desc = "This counter counts the total number of CPU cycles blocked for the pseudorandom-number-generation functions issued by the CPU because the DEA/AES/SHA coprocessor is busy performing a function issued by another CPU",
	.pmu = "cpum_cf",
},
{
	.name = "sha_functions",
	.event = "event=0x44",
	.desc = "Unit: cpum_cf SHA Function Count",
	.topic = "crypto",
	.long_desc = "This counter counts the total number of the SHA functions issued by the CPU",
	.pmu = "cpum_cf",
},
{
	.name = "sha_cycles",
	.event = "event=0x45",
	.desc = "Unit: cpum_cf SHA Cycle Count",
	.topic = "crypto",
	.long_desc = "This counter counts the total number of CPU cycles when the SHA coprocessor is busy performing the SHA functions issued by the CPU",
	.pmu = "cpum_cf",
},
{
	.name = "sha_blocked_functions",
	.event = "event=0x46",
	.desc = "Unit: cpum_cf SHA Blocked Function Count",
	.topic = "crypto",
	.long_desc = "This counter counts the total number of the SHA functions that are issued by the CPU and are blocked because the SHA coprocessor is busy performing a function issued by another CPU",
	.pmu = "cpum_cf",
},
{
	.name = "sha_blocked_cycles",
	.event = "event=0x47",
	.desc = "Unit: cpum_cf SHA Blocked Cycle Count",
	.topic = "crypto",
	.long_desc = "This counter counts the total number of CPU cycles blocked for the SHA functions issued by the CPU because the SHA coprocessor is busy performing a function issued by another CPU",
	.pmu = "cpum_cf",
},
{
	.name = "dea_functions",
	.event = "event=0x48",
	.desc = "Unit: cpum_cf DEA Function Count",
	.topic = "crypto",
	.long_desc = "This counter counts the total number of the DEA functions issued by the CPU",
	.pmu = "cpum_cf",
},
{
	.name = "dea_cycles",
	.event = "event=0x49",
	.desc = "Unit: cpum_cf DEA Cycle Count",
	.topic = "crypto",
	.long_desc = "This counter counts the total number of CPU cycles when the DEA/AES coprocessor is busy performing the DEA functions issued by the CPU",
	.pmu = "cpum_cf",
},
{
	.name = "dea_blocked_functions",
	.event = "event=0x4a",
	.desc = "Unit: cpum_cf DEA Blocked Function Count",
	.topic = "crypto",
	.long_desc = "This counter counts the total number of the DEA functions that are issued by the CPU and are blocked because the DEA/AES coprocessor is busy performing a function issued by another CPU",
	.pmu = "cpum_cf",
},
{
	.name = "dea_blocked_cycles",
	.event = "event=0x4b",
	.desc = "Unit: cpum_cf DEA Blocked Cycle Count",
	.topic = "crypto",
	.long_desc = "This counter counts the total number of CPU cycles blocked for the DEA functions issued by the CPU because the DEA/AES coprocessor is busy performing a function issued by another CPU",
	.pmu = "cpum_cf",
},
{
	.name = "aes_functions",
	.event = "event=0x4c",
	.desc = "Unit: cpum_cf AES Function Count",
	.topic = "crypto",
	.long_desc = "This counter counts the total number of the AES functions issued by the CPU",
	.pmu = "cpum_cf",
},
{
	.name = "aes_cycles",
	.event = "event=0x4d",
	.desc = "Unit: cpum_cf AES Cycle Count",
	.topic = "crypto",
	.long_desc = "This counter counts the total number of CPU cycles when the DEA/AES coprocessor is busy performing the AES functions issued by the CPU",
	.pmu = "cpum_cf",
},
{
	.name = "aes_blocked_functions",
	.event = "event=0x4e",
	.desc = "Unit: cpum_cf AES Blocked Function Count",
	.topic = "crypto",
	.long_desc = "This counter counts the total number of the AES functions that are issued by the CPU and are blocked because the DEA/AES coprocessor is busy performing a function issued by another CPU",
	.pmu = "cpum_cf",
},
{
	.name = "aes_blocked_cycles",
	.event = "event=0x4f",
	.desc = "Unit: cpum_cf AES Blocked Cycle Count",
	.topic = "crypto",
	.long_desc = "This counter counts the total number of CPU cycles blocked for the AES functions issued by the CPU because the DEA/AES coprocessor is busy performing a function issued by another CPU",
	.pmu = "cpum_cf",
},
{
	.name = 0,
	.event = 0,
	.desc = 0,
},
};
struct pmu_event pme_cf_z13[] = {
{
	.name = "l1d_ro_excl_writes",
	.event = "event=0x80",
	.desc = "Unit: cpum_cf L1D Read-only Exclusive Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data cache where the line was originally in a Read-Only state in the cache but has been updated to be in the Exclusive state that allows stores to the cache line",
	.pmu = "cpum_cf",
},
{
	.name = "dtlb1_writes",
	.event = "event=0x81",
	.desc = "Unit: cpum_cf DTLB1 Writes",
	.topic = "extended",
	.long_desc = "A translation entry has been written to the Level-1 Data Translation Lookaside Buffer (DTLB1)",
	.pmu = "cpum_cf",
},
{
	.name = "dtlb1_misses",
	.event = "event=0x82",
	.desc = "Unit: cpum_cf DTLB1 Misses",
	.topic = "extended",
	.long_desc = "Level-1 Data TLB miss in progress. Incremented by one for every cycle a DTLB1 miss is in progress",
	.pmu = "cpum_cf",
},
{
	.name = "dtlb1_hpage_writes",
	.event = "event=0x83",
	.desc = "Unit: cpum_cf DTLB1 One-Megabyte Page Writes",
	.topic = "extended",
	.long_desc = "A translation entry has been written to the Level-1 Data Translation Lookaside Buffer for a one-megabyte page",
	.pmu = "cpum_cf",
},
{
	.name = "dtlb1_gpage_writes",
	.event = "event=0x84",
	.desc = "Unit: cpum_cf DTLB1 Two-Gigabyte Page Writes",
	.topic = "extended",
	.long_desc = "A translation entry has been written to the Level-1 Data Translation Lookaside Buffer for a two-gigabyte page",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_l2d_sourced_writes",
	.event = "event=0x85",
	.desc = "Unit: cpum_cf L1D L2D Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data cache directory where the returned cache line was sourced from the Level-2 Data cache",
	.pmu = "cpum_cf",
},
{
	.name = "itlb1_writes",
	.event = "event=0x86",
	.desc = "Unit: cpum_cf ITLB1 Writes",
	.topic = "extended",
	.long_desc = "A translation entry has been written to the Level-1 Instruction Translation Lookaside Buffer (ITLB1)",
	.pmu = "cpum_cf",
},
{
	.name = "itlb1_misses",
	.event = "event=0x87",
	.desc = "Unit: cpum_cf ITLB1 Misses",
	.topic = "extended",
	.long_desc = "Level-1 Instruction TLB miss in progress. Incremented by one for every cycle an ITLB1 miss is in progress",
	.pmu = "cpum_cf",
},
{
	.name = "l1i_l2i_sourced_writes",
	.event = "event=0x88",
	.desc = "Unit: cpum_cf L1I L2I Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Instruction cache directory where the returned cache line was sourced from the Level-2 Instruction cache",
	.pmu = "cpum_cf",
},
{
	.name = "tlb2_pte_writes",
	.event = "event=0x89",
	.desc = "Unit: cpum_cf TLB2 PTE Writes",
	.topic = "extended",
	.long_desc = "A translation entry has been written to the Level-2 TLB Page Table Entry arrays",
	.pmu = "cpum_cf",
},
{
	.name = "tlb2_crste_hpage_writes",
	.event = "event=0x8a",
	.desc = "Unit: cpum_cf TLB2 CRSTE One-Megabyte Page Writes",
	.topic = "extended",
	.long_desc = "A translation entry has been written to the Level-2 TLB Combined Region Segment Table Entry arrays for a one-megabyte large page translation",
	.pmu = "cpum_cf",
},
{
	.name = "tlb2_crste_writes",
	.event = "event=0x8b",
	.desc = "Unit: cpum_cf TLB2 CRSTE Writes",
	.topic = "extended",
	.long_desc = "A translation entry has been written to the Level-2 TLB Combined Region Segment Table Entry arrays",
	.pmu = "cpum_cf",
},
{
	.name = "tx_c_tend",
	.event = "event=0x8c",
	.desc = "Unit: cpum_cf Completed TEND instructions in constrained TX mode",
	.topic = "extended",
	.long_desc = "A TEND instruction has completed in a constrained transactional-execution mode",
	.pmu = "cpum_cf",
},
{
	.name = "tx_nc_tend",
	.event = "event=0x8d",
	.desc = "Unit: cpum_cf Completed TEND instructions in non-constrained TX mode",
	.topic = "extended",
	.long_desc = "A TEND instruction has completed in a non-constrained transactional-execution mode",
	.pmu = "cpum_cf",
},
{
	.name = "l1c_tlb1_misses",
	.event = "event=0x8f",
	.desc = "Unit: cpum_cf L1C TLB1 Misses",
	.topic = "extended",
	.long_desc = "Increments by one for any cycle where a Level-1 cache or Level-1 TLB miss is in progress",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_onchip_l3_sourced_writes",
	.event = "event=0x90",
	.desc = "Unit: cpum_cf L1D On-Chip L3 Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data cache directory where the returned cache line was sourced from an On-Chip Level-3 cache without intervention",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_onchip_l3_sourced_writes_iv",
	.event = "event=0x91",
	.desc = "Unit: cpum_cf L1D On-Chip L3 Sourced Writes with Intervention",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data cache directory where the returned cache line was sourced from an On-Chip Level-3 cache with intervention",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_onnode_l4_sourced_writes",
	.event = "event=0x92",
	.desc = "Unit: cpum_cf L1D On-Node L4 Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data cache directory where the returned cache line was sourced from an On-Node Level-4 cache",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_onnode_l3_sourced_writes_iv",
	.event = "event=0x93",
	.desc = "Unit: cpum_cf L1D On-Node L3 Sourced Writes with Intervention",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data cache directory where the returned cache line was sourced from an On-Node Level-3 cache with intervention",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_onnode_l3_sourced_writes",
	.event = "event=0x94",
	.desc = "Unit: cpum_cf L1D On-Node L3 Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data cache directory where the returned cache line was sourced from an On-Node Level-3 cache without intervention",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_ondrawer_l4_sourced_writes",
	.event = "event=0x95",
	.desc = "Unit: cpum_cf L1D On-Drawer L4 Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data cache directory where the returned cache line was sourced from an On-Drawer Level-4 cache",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_ondrawer_l3_sourced_writes_iv",
	.event = "event=0x96",
	.desc = "Unit: cpum_cf L1D On-Drawer L3 Sourced Writes with Intervention",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data cache directory where the returned cache line was sourced from an On-Drawer Level-3 cache with intervention",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_ondrawer_l3_sourced_writes",
	.event = "event=0x97",
	.desc = "Unit: cpum_cf L1D On-Drawer L3 Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data cache directory where the returned cache line was sourced from an On-Drawer Level-3 cache without intervention",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_offdrawer_scol_l4_sourced_writes",
	.event = "event=0x98",
	.desc = "Unit: cpum_cf L1D Off-Drawer Same-Column L4 Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data cache directory where the returned cache line was sourced from an Off-Drawer Same-Column Level-4 cache",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_offdrawer_scol_l3_sourced_writes_iv",
	.event = "event=0x99",
	.desc = "Unit: cpum_cf L1D Off-Drawer Same-Column L3 Sourced Writes with Intervention",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data cache directory where the returned cache line was sourced from an Off-Drawer Same-Column Level-3 cache with intervention",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_offdrawer_scol_l3_sourced_writes",
	.event = "event=0x9a",
	.desc = "Unit: cpum_cf L1D Off-Drawer Same-Column L3 Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data cache directory where the returned cache line was sourced from an Off-Drawer Same-Column Level-3 cache without intervention",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_offdrawer_fcol_l4_sourced_writes",
	.event = "event=0x9b",
	.desc = "Unit: cpum_cf L1D Off-Drawer Far-Column L3 Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data cache directory where the returned cache line was sourced from an Off-Drawer Far-Column Level-4 cache",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_offdrawer_fcol_l3_sourced_writes_iv",
	.event = "event=0x9c",
	.desc = "Unit: cpum_cf L1D Off-Drawer Far-Column L3 Sourced Writes with Intervention",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data cache directory where the returned cache line was sourced from an Off-Drawer Far-Column Level-3 cache with intervention",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_offdrawer_fcol_l3_sourced_writes",
	.event = "event=0x9d",
	.desc = "Unit: cpum_cf L1D Off-Drawer Far-Column L3 Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data cache directory where the returned cache line was sourced from an Off-Drawer Far-Column Level-3 cache without intervention",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_onnode_mem_sourced_writes",
	.event = "event=0x9e",
	.desc = "Unit: cpum_cf L1D On-Node Memory Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data cache directory where the returned cache line was sourced from On-Node memory",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_ondrawer_mem_sourced_writes",
	.event = "event=0x9f",
	.desc = "Unit: cpum_cf L1D On-Drawer Memory Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data cache directory where the returned cache line was sourced from On-Drawer memory",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_offdrawer_mem_sourced_writes",
	.event = "event=0xa0",
	.desc = "Unit: cpum_cf L1D Off-Drawer Memory Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data cache directory where the returned cache line was sourced from Off-Drawer memory",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_onchip_mem_sourced_writes",
	.event = "event=0xa1",
	.desc = "Unit: cpum_cf L1D On-Chip Memory Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data cache directory where the returned cache line was sourced from On-Chip memory",
	.pmu = "cpum_cf",
},
{
	.name = "l1i_onchip_l3_sourced_writes",
	.event = "event=0xa2",
	.desc = "Unit: cpum_cf L1I On-Chip L3 Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Instruction cache directory where the returned cache line was sourced from an On-Chip Level-3 cache without intervention",
	.pmu = "cpum_cf",
},
{
	.name = "l1i_onchip_l3_sourced_writes_iv",
	.event = "event=0xa3",
	.desc = "Unit: cpum_cf L1I On-Chip L3 Sourced Writes with Intervention",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Instruction cache directory where the returned cache line was sourced from an On Chip Level-3 cache with intervention",
	.pmu = "cpum_cf",
},
{
	.name = "l1i_onnode_l4_sourced_writes",
	.event = "event=0xa4",
	.desc = "Unit: cpum_cf L1I On-Chip L4 Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Instruction cache directory where the returned cache line was sourced from an On-Node Level-4 cache",
	.pmu = "cpum_cf",
},
{
	.name = "l1i_onnode_l3_sourced_writes_iv",
	.event = "event=0xa5",
	.desc = "Unit: cpum_cf L1I On-Node L3 Sourced Writes with Intervention",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Instruction cache directory where the returned cache line was sourced from an On-Node Level-3 cache with intervention",
	.pmu = "cpum_cf",
},
{
	.name = "l1i_onnode_l3_sourced_writes",
	.event = "event=0xa6",
	.desc = "Unit: cpum_cf L1I On-Node L3 Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Instruction cache directory where the returned cache line was sourced from an On-Node Level-3 cache without intervention",
	.pmu = "cpum_cf",
},
{
	.name = "l1i_ondrawer_l4_sourced_writes",
	.event = "event=0xa7",
	.desc = "Unit: cpum_cf L1I On-Drawer L4 Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Instruction cache directory where the returned cache line was sourced from an On-Drawer Level-4 cache",
	.pmu = "cpum_cf",
},
{
	.name = "l1i_ondrawer_l3_sourced_writes_iv",
	.event = "event=0xa8",
	.desc = "Unit: cpum_cf L1I On-Drawer L3 Sourced Writes with Intervention",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Instruction cache directory where the returned cache line was sourced from an On-Drawer Level-3 cache with intervention",
	.pmu = "cpum_cf",
},
{
	.name = "l1i_ondrawer_l3_sourced_writes",
	.event = "event=0xa9",
	.desc = "Unit: cpum_cf L1I On-Drawer L3 Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Instruction cache directory where the returned cache line was sourced from an On-Drawer Level-3 cache without intervention",
	.pmu = "cpum_cf",
},
{
	.name = "l1i_offdrawer_scol_l4_sourced_writes",
	.event = "event=0xaa",
	.desc = "Unit: cpum_cf L1I Off-Drawer Same-Column L4 Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Instruction cache directory where the returned cache line was sourced from an Off-Drawer Same-Column Level-4 cache",
	.pmu = "cpum_cf",
},
{
	.name = "l1i_offdrawer_scol_l3_sourced_writes_iv",
	.event = "event=0xab",
	.desc = "Unit: cpum_cf L1I Off-Drawer Same-Column L3 Sourced Writes with Intervention",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Instruction cache directory where the returned cache line was sourced from an Off-Drawer Same-Column Level-3 cache with intervention",
	.pmu = "cpum_cf",
},
{
	.name = "l1i_offdrawer_scol_l3_sourced_writes",
	.event = "event=0xac",
	.desc = "Unit: cpum_cf L1I Off-Drawer Same-Column L3 Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Instruction cache directory where the returned cache line was sourced from an Off-Drawer Same-Column Level-3 cache without intervention",
	.pmu = "cpum_cf",
},
{
	.name = "l1i_offdrawer_fcol_l4_sourced_writes",
	.event = "event=0xad",
	.desc = "Unit: cpum_cf L1I Off-Drawer Far-Column L4 Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Instruction cache directory where the returned cache line was sourced from an Off-Drawer Far-Column Level-4 cache",
	.pmu = "cpum_cf",
},
{
	.name = "l1i_offdrawer_fcol_l3_sourced_writes_iv",
	.event = "event=0xae",
	.desc = "Unit: cpum_cf L1I Off-Drawer Far-Column L3 Sourced Writes with Intervention",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Instruction cache directory where the returned cache line was sourced from an Off-Drawer Far-Column Level-3 cache with intervention",
	.pmu = "cpum_cf",
},
{
	.name = "l1i_offdrawer_fcol_l3_sourced_writes",
	.event = "event=0xaf",
	.desc = "Unit: cpum_cf L1I Off-Drawer Far-Column L3 Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Instruction cache directory where the returned cache line was sourced from an Off-Drawer Far-Column Level-3 cache without intervention",
	.pmu = "cpum_cf",
},
{
	.name = "l1i_onnode_mem_sourced_writes",
	.event = "event=0xb0",
	.desc = "Unit: cpum_cf L1I On-Node Memory Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Instruction cache directory where the returned cache line was sourced from On-Node memory",
	.pmu = "cpum_cf",
},
{
	.name = "l1i_ondrawer_mem_sourced_writes",
	.event = "event=0xb1",
	.desc = "Unit: cpum_cf L1I On-Drawer Memory Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Instruction cache directory where the returned cache line was sourced from On-Drawer memory",
	.pmu = "cpum_cf",
},
{
	.name = "l1i_offdrawer_mem_sourced_writes",
	.event = "event=0xb2",
	.desc = "Unit: cpum_cf L1I Off-Drawer Memory Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Instruction cache directory where the returned cache line was sourced from On-Drawer memory",
	.pmu = "cpum_cf",
},
{
	.name = "l1i_onchip_mem_sourced_writes",
	.event = "event=0xb3",
	.desc = "Unit: cpum_cf L1I On-Chip Memory Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Instruction cache directory where the returned cache line was sourced from On-Chip memory",
	.pmu = "cpum_cf",
},
{
	.name = "tx_nc_tabort",
	.event = "event=0xda",
	.desc = "Unit: cpum_cf Aborted transactions in non-constrained TX mode",
	.topic = "extended",
	.long_desc = "A transaction abort has occurred in a non-constrained transactional-execution mode",
	.pmu = "cpum_cf",
},
{
	.name = "tx_c_tabort_no_special",
	.event = "event=0xdb",
	.desc = "Unit: cpum_cf Aborted transactions in constrained TX mode not using special completion logic",
	.topic = "extended",
	.long_desc = "A transaction abort has occurred in a constrained transactional-execution mode and the CPU is not using any special logic to allow the transaction to complete",
	.pmu = "cpum_cf",
},
{
	.name = "tx_c_tabort_special",
	.event = "event=0xdc",
	.desc = "Unit: cpum_cf Aborted transactions in constrained TX mode using special completion logic",
	.topic = "extended",
	.long_desc = "A transaction abort has occurred in a constrained transactional-execution mode and the CPU is using special logic to allow the transaction to complete",
	.pmu = "cpum_cf",
},
{
	.name = "mt_diag_cycles_one_thr_active",
	.event = "event=0x1c0",
	.desc = "Unit: cpum_cf Cycle count with one thread active",
	.topic = "extended",
	.long_desc = "Cycle count with one thread active",
	.pmu = "cpum_cf",
},
{
	.name = "mt_diag_cycles_two_thr_active",
	.event = "event=0x1c1",
	.desc = "Unit: cpum_cf Cycle count with two threads active",
	.topic = "extended",
	.long_desc = "Cycle count with two threads active",
	.pmu = "cpum_cf",
},
{
	.desc = "Transaction count",
	.topic = "transaction",
	.metric_expr = "tx_c_tend + tx_nc_tend + tx_nc_tabort + tx_c_tabort_special + tx_c_tabort_no_special",
	.metric_name = "transaction",
},
{
	.name = "cpu_cycles",
	.event = "event=0",
	.desc = "Unit: cpum_cf Cycle Count",
	.topic = "basic",
	.long_desc = "This counter counts the total number of CPU cycles, excluding the number of cycles while the CPU is in the wait state",
	.pmu = "cpum_cf",
},
{
	.name = "instructions",
	.event = "event=0x1",
	.desc = "Unit: cpum_cf Instruction Count",
	.topic = "basic",
	.long_desc = "This counter counts the total number of instructions executed by the CPU",
	.pmu = "cpum_cf",
},
{
	.name = "l1i_dir_writes",
	.event = "event=0x2",
	.desc = "Unit: cpum_cf Level-1 I-Cache Directory Write Count",
	.topic = "basic",
	.long_desc = "This counter counts the total number of level-1 instruction-cache or unified-cache directory writes",
	.pmu = "cpum_cf",
},
{
	.name = "l1i_penalty_cycles",
	.event = "event=0x3",
	.desc = "Unit: cpum_cf Level-1 I-Cache Penalty Cycle Count",
	.topic = "basic",
	.long_desc = "This counter counts the total number of cache penalty cycles for level-1 instruction cache or unified cache",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_dir_writes",
	.event = "event=0x4",
	.desc = "Unit: cpum_cf Level-1 D-Cache Directory Write Count",
	.topic = "basic",
	.long_desc = "This counter counts the total number of level-1 data-cache directory writes",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_penalty_cycles",
	.event = "event=0x5",
	.desc = "Unit: cpum_cf Level-1 D-Cache Penalty Cycle Count",
	.topic = "basic",
	.long_desc = "This counter counts the total number of cache penalty cycles for level-1 data cache",
	.pmu = "cpum_cf",
},
{
	.name = "problem_state_cpu_cycles",
	.event = "event=0x20",
	.desc = "Unit: cpum_cf Problem-State Cycle Count",
	.topic = "basic",
	.long_desc = "This counter counts the total number of CPU cycles when the CPU is in the problem state, excluding the number of cycles while the CPU is in the wait state",
	.pmu = "cpum_cf",
},
{
	.name = "problem_state_instructions",
	.event = "event=0x21",
	.desc = "Unit: cpum_cf Problem-State Instruction Count",
	.topic = "basic",
	.long_desc = "This counter counts the total number of instructions executed by the CPU while in the problem state",
	.pmu = "cpum_cf",
},
{
	.name = "problem_state_l1i_dir_writes",
	.event = "event=0x22",
	.desc = "Unit: cpum_cf Problem-State Level-1 I-Cache Directory Write Count",
	.topic = "basic",
	.long_desc = "This counter counts the total number of level-1 instruction-cache or unified-cache directory writes while the CPU is in the problem state",
	.pmu = "cpum_cf",
},
{
	.name = "problem_state_l1i_penalty_cycles",
	.event = "event=0x23",
	.desc = "Unit: cpum_cf Level-1 I-Cache Penalty Cycle Count",
	.topic = "basic",
	.long_desc = "This counter counts the total number of penalty cycles for level-1 instruction cache or unified cache while the CPU is in the problem state",
	.pmu = "cpum_cf",
},
{
	.name = "problem_state_l1d_dir_writes",
	.event = "event=0x24",
	.desc = "Unit: cpum_cf Problem-State Level-1 D-Cache Directory Write Count",
	.topic = "basic",
	.long_desc = "This counter counts the total number of level-1 data-cache directory writes while the CPU is in the problem state",
	.pmu = "cpum_cf",
},
{
	.name = "problem_state_l1d_penalty_cycles",
	.event = "event=0x25",
	.desc = "Unit: cpum_cf Problem-State Level-1 D-Cache Penalty Cycle Count",
	.topic = "basic",
	.long_desc = "This counter counts the total number of penalty cycles for level-1 data cache while the CPU is in the problem state",
	.pmu = "cpum_cf",
},
{
	.name = "prng_functions",
	.event = "event=0x40",
	.desc = "Unit: cpum_cf PRNG Function Count",
	.topic = "crypto",
	.long_desc = "This counter counts the total number of the pseudorandom-number-generation functions issued by the CPU",
	.pmu = "cpum_cf",
},
{
	.name = "prng_cycles",
	.event = "event=0x41",
	.desc = "Unit: cpum_cf PRNG Cycle Count",
	.topic = "crypto",
	.long_desc = "This counter counts the total number of CPU cycles when the DEA/AES/SHA coprocessor is busy performing the pseudorandom- number-generation functions issued by the CPU",
	.pmu = "cpum_cf",
},
{
	.name = "prng_blocked_functions",
	.event = "event=0x42",
	.desc = "Unit: cpum_cf PRNG Blocked Function Count",
	.topic = "crypto",
	.long_desc = "This counter counts the total number of the pseudorandom-number-generation functions that are issued by the CPU and are blocked because the DEA/AES/SHA coprocessor is busy performing a function issued by another CPU",
	.pmu = "cpum_cf",
},
{
	.name = "prng_blocked_cycles",
	.event = "event=0x43",
	.desc = "Unit: cpum_cf PRNG Blocked Cycle Count",
	.topic = "crypto",
	.long_desc = "This counter counts the total number of CPU cycles blocked for the pseudorandom-number-generation functions issued by the CPU because the DEA/AES/SHA coprocessor is busy performing a function issued by another CPU",
	.pmu = "cpum_cf",
},
{
	.name = "sha_functions",
	.event = "event=0x44",
	.desc = "Unit: cpum_cf SHA Function Count",
	.topic = "crypto",
	.long_desc = "This counter counts the total number of the SHA functions issued by the CPU",
	.pmu = "cpum_cf",
},
{
	.name = "sha_cycles",
	.event = "event=0x45",
	.desc = "Unit: cpum_cf SHA Cycle Count",
	.topic = "crypto",
	.long_desc = "This counter counts the total number of CPU cycles when the SHA coprocessor is busy performing the SHA functions issued by the CPU",
	.pmu = "cpum_cf",
},
{
	.name = "sha_blocked_functions",
	.event = "event=0x46",
	.desc = "Unit: cpum_cf SHA Blocked Function Count",
	.topic = "crypto",
	.long_desc = "This counter counts the total number of the SHA functions that are issued by the CPU and are blocked because the SHA coprocessor is busy performing a function issued by another CPU",
	.pmu = "cpum_cf",
},
{
	.name = "sha_blocked_cycles",
	.event = "event=0x47",
	.desc = "Unit: cpum_cf SHA Blocked Cycle Count",
	.topic = "crypto",
	.long_desc = "This counter counts the total number of CPU cycles blocked for the SHA functions issued by the CPU because the SHA coprocessor is busy performing a function issued by another CPU",
	.pmu = "cpum_cf",
},
{
	.name = "dea_functions",
	.event = "event=0x48",
	.desc = "Unit: cpum_cf DEA Function Count",
	.topic = "crypto",
	.long_desc = "This counter counts the total number of the DEA functions issued by the CPU",
	.pmu = "cpum_cf",
},
{
	.name = "dea_cycles",
	.event = "event=0x49",
	.desc = "Unit: cpum_cf DEA Cycle Count",
	.topic = "crypto",
	.long_desc = "This counter counts the total number of CPU cycles when the DEA/AES coprocessor is busy performing the DEA functions issued by the CPU",
	.pmu = "cpum_cf",
},
{
	.name = "dea_blocked_functions",
	.event = "event=0x4a",
	.desc = "Unit: cpum_cf DEA Blocked Function Count",
	.topic = "crypto",
	.long_desc = "This counter counts the total number of the DEA functions that are issued by the CPU and are blocked because the DEA/AES coprocessor is busy performing a function issued by another CPU",
	.pmu = "cpum_cf",
},
{
	.name = "dea_blocked_cycles",
	.event = "event=0x4b",
	.desc = "Unit: cpum_cf DEA Blocked Cycle Count",
	.topic = "crypto",
	.long_desc = "This counter counts the total number of CPU cycles blocked for the DEA functions issued by the CPU because the DEA/AES coprocessor is busy performing a function issued by another CPU",
	.pmu = "cpum_cf",
},
{
	.name = "aes_functions",
	.event = "event=0x4c",
	.desc = "Unit: cpum_cf AES Function Count",
	.topic = "crypto",
	.long_desc = "This counter counts the total number of the AES functions issued by the CPU",
	.pmu = "cpum_cf",
},
{
	.name = "aes_cycles",
	.event = "event=0x4d",
	.desc = "Unit: cpum_cf AES Cycle Count",
	.topic = "crypto",
	.long_desc = "This counter counts the total number of CPU cycles when the DEA/AES coprocessor is busy performing the AES functions issued by the CPU",
	.pmu = "cpum_cf",
},
{
	.name = "aes_blocked_functions",
	.event = "event=0x4e",
	.desc = "Unit: cpum_cf AES Blocked Function Count",
	.topic = "crypto",
	.long_desc = "This counter counts the total number of the AES functions that are issued by the CPU and are blocked because the DEA/AES coprocessor is busy performing a function issued by another CPU",
	.pmu = "cpum_cf",
},
{
	.name = "aes_blocked_cycles",
	.event = "event=0x4f",
	.desc = "Unit: cpum_cf AES Blocked Cycle Count",
	.topic = "crypto",
	.long_desc = "This counter counts the total number of CPU cycles blocked for the AES functions issued by the CPU because the DEA/AES coprocessor is busy performing a function issued by another CPU",
	.pmu = "cpum_cf",
},
{
	.name = 0,
	.event = 0,
	.desc = 0,
},
};
struct pmu_event pme_cf_zec12[] = {
{
	.name = "dtlb1_misses",
	.event = "event=0x80",
	.desc = "Unit: cpum_cf DTLB1 Misses",
	.topic = "extended",
	.long_desc = "Level-1 Data TLB miss in progress. Incremented by one for every cycle a DTLB1 miss is in progress",
	.pmu = "cpum_cf",
},
{
	.name = "itlb1_misses",
	.event = "event=0x81",
	.desc = "Unit: cpum_cf ITLB1 Misses",
	.topic = "extended",
	.long_desc = "Level-1 Instruction TLB miss in progress. Incremented by one for every cycle a ITLB1 miss is in progress",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_l2i_sourced_writes",
	.event = "event=0x82",
	.desc = "Unit: cpum_cf L1D L2I Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data cache directory where the returned cache line was sourced from the Level-2 Instruction cache",
	.pmu = "cpum_cf",
},
{
	.name = "l1i_l2i_sourced_writes",
	.event = "event=0x83",
	.desc = "Unit: cpum_cf L1I L2I Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Instruction cache directory where the returned cache line was sourced from the Level-2 Instruction cache",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_l2d_sourced_writes",
	.event = "event=0x84",
	.desc = "Unit: cpum_cf L1D L2D Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data cache directory where the returned cache line was sourced from the Level-2 Data cache",
	.pmu = "cpum_cf",
},
{
	.name = "dtlb1_writes",
	.event = "event=0x85",
	.desc = "Unit: cpum_cf DTLB1 Writes",
	.topic = "extended",
	.long_desc = "A translation entry has been written to the Level-1 Data Translation Lookaside Buffer (DTLB1)",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_lmem_sourced_writes",
	.event = "event=0x87",
	.desc = "Unit: cpum_cf L1D Local Memory Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data cache where the installed cache line was sourced from memory that is attached to the same book as the Data cache (Local Memory)",
	.pmu = "cpum_cf",
},
{
	.name = "l1i_lmem_sourced_writes",
	.event = "event=0x89",
	.desc = "Unit: cpum_cf L1I Local Memory Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Instruction cache where the installed cache line was sourced from memory that is attached to the same book as the Instruction cache (Local Memory)",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_ro_excl_writes",
	.event = "event=0x8a",
	.desc = "Unit: cpum_cf L1D Read-only Exclusive Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data Cache where the line was originally in a Read-Only state in the cache but has been updated to be in the Exclusive state that allows stores to the cache line",
	.pmu = "cpum_cf",
},
{
	.name = "dtlb1_hpage_writes",
	.event = "event=0x8b",
	.desc = "Unit: cpum_cf DTLB1 One-Megabyte Page Writes",
	.topic = "extended",
	.long_desc = "A translation entry has been written to the Level-1 Data Translation Lookaside Buffer for a one-megabyte page",
	.pmu = "cpum_cf",
},
{
	.name = "itlb1_writes",
	.event = "event=0x8c",
	.desc = "Unit: cpum_cf ITLB1 Writes",
	.topic = "extended",
	.long_desc = "A translation entry has been written to the Level-1 Instruction Translation Lookaside Buffer (ITLB1)",
	.pmu = "cpum_cf",
},
{
	.name = "tlb2_pte_writes",
	.event = "event=0x8d",
	.desc = "Unit: cpum_cf TLB2 PTE Writes",
	.topic = "extended",
	.long_desc = "A translation entry has been written to the Level-2 TLB Page Table Entry arrays",
	.pmu = "cpum_cf",
},
{
	.name = "tlb2_crste_hpage_writes",
	.event = "event=0x8e",
	.desc = "Unit: cpum_cf TLB2 CRSTE One-Megabyte Page Writes",
	.topic = "extended",
	.long_desc = "A translation entry has been written to the Level-2 TLB Common Region Segment Table Entry arrays for a one-megabyte large page translation",
	.pmu = "cpum_cf",
},
{
	.name = "tlb2_crste_writes",
	.event = "event=0x8f",
	.desc = "Unit: cpum_cf TLB2 CRSTE Writes",
	.topic = "extended",
	.long_desc = "A translation entry has been written to the Level-2 TLB Common Region Segment Table Entry arrays",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_onchip_l3_sourced_writes",
	.event = "event=0x90",
	.desc = "Unit: cpum_cf L1D On-Chip L3 Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data cache directory where the returned cache line was sourced from an On Chip Level-3 cache without intervention",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_offchip_l3_sourced_writes",
	.event = "event=0x91",
	.desc = "Unit: cpum_cf L1D Off-Chip L3 Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data cache directory where the returned cache line was sourced from an Off Chip/On Book Level-3 cache without intervention",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_offbook_l3_sourced_writes",
	.event = "event=0x92",
	.desc = "Unit: cpum_cf L1D Off-Book L3 Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data cache directory where the returned cache line was sourced from an Off Book Level-3 cache without intervention",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_onbook_l4_sourced_writes",
	.event = "event=0x93",
	.desc = "Unit: cpum_cf L1D On-Book L4 Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data cache directory where the returned cache line was sourced from an On Book Level-4 cache",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_offbook_l4_sourced_writes",
	.event = "event=0x94",
	.desc = "Unit: cpum_cf L1D Off-Book L4 Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data cache directory where the returned cache line was sourced from an Off Book Level-4 cache",
	.pmu = "cpum_cf",
},
{
	.name = "tx_nc_tend",
	.event = "event=0x95",
	.desc = "Unit: cpum_cf Completed TEND instructions in non-constrained TX mode",
	.topic = "extended",
	.long_desc = "A TEND instruction has completed in a nonconstrained transactional-execution mode",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_onchip_l3_sourced_writes_iv",
	.event = "event=0x96",
	.desc = "Unit: cpum_cf L1D On-Chip L3 Sourced Writes with Intervention",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data cache directory where the returned cache line was sourced from a On Chip Level-3 cache with intervention",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_offchip_l3_sourced_writes_iv",
	.event = "event=0x97",
	.desc = "Unit: cpum_cf L1D Off-Chip L3 Sourced Writes with Intervention",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data cache directory where the returned cache line was sourced from an Off Chip/On Book Level-3 cache with intervention",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_offbook_l3_sourced_writes_iv",
	.event = "event=0x98",
	.desc = "Unit: cpum_cf L1D Off-Book L3 Sourced Writes with Intervention",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data cache directory where the returned cache line was sourced from an Off Book Level-3 cache with intervention",
	.pmu = "cpum_cf",
},
{
	.name = "l1i_onchip_l3_sourced_writes",
	.event = "event=0x99",
	.desc = "Unit: cpum_cf L1I On-Chip L3 Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Instruction cache directory where the returned cache line was sourced from an On Chip Level-3 cache without intervention",
	.pmu = "cpum_cf",
},
{
	.name = "l1i_offchip_l3_sourced_writes",
	.event = "event=0x9a",
	.desc = "Unit: cpum_cf L1I Off-Chip L3 Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Instruction cache directory where the returned cache line was sourced from an Off Chip/On Book Level-3 cache without intervention",
	.pmu = "cpum_cf",
},
{
	.name = "l1i_offbook_l3_sourced_writes",
	.event = "event=0x9b",
	.desc = "Unit: cpum_cf L1I Off-Book L3 Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Instruction cache directory where the returned cache line was sourced from an Off Book Level-3 cache without intervention",
	.pmu = "cpum_cf",
},
{
	.name = "l1i_onbook_l4_sourced_writes",
	.event = "event=0x9c",
	.desc = "Unit: cpum_cf L1I On-Book L4 Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Instruction cache directory where the returned cache line was sourced from an On Book Level-4 cache",
	.pmu = "cpum_cf",
},
{
	.name = "l1i_offbook_l4_sourced_writes",
	.event = "event=0x9d",
	.desc = "Unit: cpum_cf L1I Off-Book L4 Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Instruction cache directory where the returned cache line was sourced from an Off Book Level-4 cache",
	.pmu = "cpum_cf",
},
{
	.name = "tx_c_tend",
	.event = "event=0x9e",
	.desc = "Unit: cpum_cf Completed TEND instructions in constrained TX mode",
	.topic = "extended",
	.long_desc = "A TEND instruction has completed in a constrained transactional-execution mode",
	.pmu = "cpum_cf",
},
{
	.name = "l1i_onchip_l3_sourced_writes_iv",
	.event = "event=0x9f",
	.desc = "Unit: cpum_cf L1I On-Chip L3 Sourced Writes with Intervention",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Instruction cache directory where the returned cache line was sourced from an On Chip Level-3 cache with intervention",
	.pmu = "cpum_cf",
},
{
	.name = "l1i_offchip_l3_sourced_writes_iv",
	.event = "event=0xa0",
	.desc = "Unit: cpum_cf L1I Off-Chip L3 Sourced Writes with Intervention",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Instruction cache directory where the returned cache line was sourced from an Off Chip/On Book Level-3 cache with intervention",
	.pmu = "cpum_cf",
},
{
	.name = "l1i_offbook_l3_sourced_writes_iv",
	.event = "event=0xa1",
	.desc = "Unit: cpum_cf L1I Off-Book L3 Sourced Writes with Intervention",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Instruction cache directory where the returned cache line was sourced from an Off Book Level-3 cache with intervention",
	.pmu = "cpum_cf",
},
{
	.name = "tx_nc_tabort",
	.event = "event=0xb1",
	.desc = "Unit: cpum_cf Aborted transactions in non-constrained TX mode",
	.topic = "extended",
	.long_desc = "A transaction abort has occurred in a nonconstrained transactional-execution mode",
	.pmu = "cpum_cf",
},
{
	.name = "tx_c_tabort_no_special",
	.event = "event=0xb2",
	.desc = "Unit: cpum_cf Aborted transactions in constrained TX mode not using special completion logic",
	.topic = "extended",
	.long_desc = "A transaction abort has occurred in a constrained transactional-execution mode and the CPU is not using any special logic to allow the transaction to complete",
	.pmu = "cpum_cf",
},
{
	.name = "tx_c_tabort_special",
	.event = "event=0xb3",
	.desc = "Unit: cpum_cf Aborted transactions in constrained TX mode using special completion logic",
	.topic = "extended",
	.long_desc = "A transaction abort has occurred in a constrained transactional-execution mode and the CPU is using special logic to allow the transaction to complete",
	.pmu = "cpum_cf",
},
{
	.desc = "Transaction count",
	.topic = "transaction",
	.metric_expr = "tx_c_tend + tx_nc_tend + tx_nc_tabort + tx_c_tabort_special + tx_c_tabort_no_special",
	.metric_name = "transaction",
},
{
	.name = "cpu_cycles",
	.event = "event=0",
	.desc = "Unit: cpum_cf Cycle Count",
	.topic = "basic",
	.long_desc = "This counter counts the total number of CPU cycles, excluding the number of cycles while the CPU is in the wait state",
	.pmu = "cpum_cf",
},
{
	.name = "instructions",
	.event = "event=0x1",
	.desc = "Unit: cpum_cf Instruction Count",
	.topic = "basic",
	.long_desc = "This counter counts the total number of instructions executed by the CPU",
	.pmu = "cpum_cf",
},
{
	.name = "l1i_dir_writes",
	.event = "event=0x2",
	.desc = "Unit: cpum_cf Level-1 I-Cache Directory Write Count",
	.topic = "basic",
	.long_desc = "This counter counts the total number of level-1 instruction-cache or unified-cache directory writes",
	.pmu = "cpum_cf",
},
{
	.name = "l1i_penalty_cycles",
	.event = "event=0x3",
	.desc = "Unit: cpum_cf Level-1 I-Cache Penalty Cycle Count",
	.topic = "basic",
	.long_desc = "This counter counts the total number of cache penalty cycles for level-1 instruction cache or unified cache",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_dir_writes",
	.event = "event=0x4",
	.desc = "Unit: cpum_cf Level-1 D-Cache Directory Write Count",
	.topic = "basic",
	.long_desc = "This counter counts the total number of level-1 data-cache directory writes",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_penalty_cycles",
	.event = "event=0x5",
	.desc = "Unit: cpum_cf Level-1 D-Cache Penalty Cycle Count",
	.topic = "basic",
	.long_desc = "This counter counts the total number of cache penalty cycles for level-1 data cache",
	.pmu = "cpum_cf",
},
{
	.name = "problem_state_cpu_cycles",
	.event = "event=0x20",
	.desc = "Unit: cpum_cf Problem-State Cycle Count",
	.topic = "basic",
	.long_desc = "This counter counts the total number of CPU cycles when the CPU is in the problem state, excluding the number of cycles while the CPU is in the wait state",
	.pmu = "cpum_cf",
},
{
	.name = "problem_state_instructions",
	.event = "event=0x21",
	.desc = "Unit: cpum_cf Problem-State Instruction Count",
	.topic = "basic",
	.long_desc = "This counter counts the total number of instructions executed by the CPU while in the problem state",
	.pmu = "cpum_cf",
},
{
	.name = "problem_state_l1i_dir_writes",
	.event = "event=0x22",
	.desc = "Unit: cpum_cf Problem-State Level-1 I-Cache Directory Write Count",
	.topic = "basic",
	.long_desc = "This counter counts the total number of level-1 instruction-cache or unified-cache directory writes while the CPU is in the problem state",
	.pmu = "cpum_cf",
},
{
	.name = "problem_state_l1i_penalty_cycles",
	.event = "event=0x23",
	.desc = "Unit: cpum_cf Level-1 I-Cache Penalty Cycle Count",
	.topic = "basic",
	.long_desc = "This counter counts the total number of penalty cycles for level-1 instruction cache or unified cache while the CPU is in the problem state",
	.pmu = "cpum_cf",
},
{
	.name = "problem_state_l1d_dir_writes",
	.event = "event=0x24",
	.desc = "Unit: cpum_cf Problem-State Level-1 D-Cache Directory Write Count",
	.topic = "basic",
	.long_desc = "This counter counts the total number of level-1 data-cache directory writes while the CPU is in the problem state",
	.pmu = "cpum_cf",
},
{
	.name = "problem_state_l1d_penalty_cycles",
	.event = "event=0x25",
	.desc = "Unit: cpum_cf Problem-State Level-1 D-Cache Penalty Cycle Count",
	.topic = "basic",
	.long_desc = "This counter counts the total number of penalty cycles for level-1 data cache while the CPU is in the problem state",
	.pmu = "cpum_cf",
},
{
	.name = "prng_functions",
	.event = "event=0x40",
	.desc = "Unit: cpum_cf PRNG Function Count",
	.topic = "crypto",
	.long_desc = "This counter counts the total number of the pseudorandom-number-generation functions issued by the CPU",
	.pmu = "cpum_cf",
},
{
	.name = "prng_cycles",
	.event = "event=0x41",
	.desc = "Unit: cpum_cf PRNG Cycle Count",
	.topic = "crypto",
	.long_desc = "This counter counts the total number of CPU cycles when the DEA/AES/SHA coprocessor is busy performing the pseudorandom- number-generation functions issued by the CPU",
	.pmu = "cpum_cf",
},
{
	.name = "prng_blocked_functions",
	.event = "event=0x42",
	.desc = "Unit: cpum_cf PRNG Blocked Function Count",
	.topic = "crypto",
	.long_desc = "This counter counts the total number of the pseudorandom-number-generation functions that are issued by the CPU and are blocked because the DEA/AES/SHA coprocessor is busy performing a function issued by another CPU",
	.pmu = "cpum_cf",
},
{
	.name = "prng_blocked_cycles",
	.event = "event=0x43",
	.desc = "Unit: cpum_cf PRNG Blocked Cycle Count",
	.topic = "crypto",
	.long_desc = "This counter counts the total number of CPU cycles blocked for the pseudorandom-number-generation functions issued by the CPU because the DEA/AES/SHA coprocessor is busy performing a function issued by another CPU",
	.pmu = "cpum_cf",
},
{
	.name = "sha_functions",
	.event = "event=0x44",
	.desc = "Unit: cpum_cf SHA Function Count",
	.topic = "crypto",
	.long_desc = "This counter counts the total number of the SHA functions issued by the CPU",
	.pmu = "cpum_cf",
},
{
	.name = "sha_cycles",
	.event = "event=0x45",
	.desc = "Unit: cpum_cf SHA Cycle Count",
	.topic = "crypto",
	.long_desc = "This counter counts the total number of CPU cycles when the SHA coprocessor is busy performing the SHA functions issued by the CPU",
	.pmu = "cpum_cf",
},
{
	.name = "sha_blocked_functions",
	.event = "event=0x46",
	.desc = "Unit: cpum_cf SHA Blocked Function Count",
	.topic = "crypto",
	.long_desc = "This counter counts the total number of the SHA functions that are issued by the CPU and are blocked because the SHA coprocessor is busy performing a function issued by another CPU",
	.pmu = "cpum_cf",
},
{
	.name = "sha_blocked_cycles",
	.event = "event=0x47",
	.desc = "Unit: cpum_cf SHA Blocked Cycle Count",
	.topic = "crypto",
	.long_desc = "This counter counts the total number of CPU cycles blocked for the SHA functions issued by the CPU because the SHA coprocessor is busy performing a function issued by another CPU",
	.pmu = "cpum_cf",
},
{
	.name = "dea_functions",
	.event = "event=0x48",
	.desc = "Unit: cpum_cf DEA Function Count",
	.topic = "crypto",
	.long_desc = "This counter counts the total number of the DEA functions issued by the CPU",
	.pmu = "cpum_cf",
},
{
	.name = "dea_cycles",
	.event = "event=0x49",
	.desc = "Unit: cpum_cf DEA Cycle Count",
	.topic = "crypto",
	.long_desc = "This counter counts the total number of CPU cycles when the DEA/AES coprocessor is busy performing the DEA functions issued by the CPU",
	.pmu = "cpum_cf",
},
{
	.name = "dea_blocked_functions",
	.event = "event=0x4a",
	.desc = "Unit: cpum_cf DEA Blocked Function Count",
	.topic = "crypto",
	.long_desc = "This counter counts the total number of the DEA functions that are issued by the CPU and are blocked because the DEA/AES coprocessor is busy performing a function issued by another CPU",
	.pmu = "cpum_cf",
},
{
	.name = "dea_blocked_cycles",
	.event = "event=0x4b",
	.desc = "Unit: cpum_cf DEA Blocked Cycle Count",
	.topic = "crypto",
	.long_desc = "This counter counts the total number of CPU cycles blocked for the DEA functions issued by the CPU because the DEA/AES coprocessor is busy performing a function issued by another CPU",
	.pmu = "cpum_cf",
},
{
	.name = "aes_functions",
	.event = "event=0x4c",
	.desc = "Unit: cpum_cf AES Function Count",
	.topic = "crypto",
	.long_desc = "This counter counts the total number of the AES functions issued by the CPU",
	.pmu = "cpum_cf",
},
{
	.name = "aes_cycles",
	.event = "event=0x4d",
	.desc = "Unit: cpum_cf AES Cycle Count",
	.topic = "crypto",
	.long_desc = "This counter counts the total number of CPU cycles when the DEA/AES coprocessor is busy performing the AES functions issued by the CPU",
	.pmu = "cpum_cf",
},
{
	.name = "aes_blocked_functions",
	.event = "event=0x4e",
	.desc = "Unit: cpum_cf AES Blocked Function Count",
	.topic = "crypto",
	.long_desc = "This counter counts the total number of the AES functions that are issued by the CPU and are blocked because the DEA/AES coprocessor is busy performing a function issued by another CPU",
	.pmu = "cpum_cf",
},
{
	.name = "aes_blocked_cycles",
	.event = "event=0x4f",
	.desc = "Unit: cpum_cf AES Blocked Cycle Count",
	.topic = "crypto",
	.long_desc = "This counter counts the total number of CPU cycles blocked for the AES functions issued by the CPU because the DEA/AES coprocessor is busy performing a function issued by another CPU",
	.pmu = "cpum_cf",
},
{
	.name = 0,
	.event = 0,
	.desc = 0,
},
};
struct pmu_event pme_cf_z16[] = {
{
	.name = "crypto_all",
	.event = "event=0x1000",
	.desc = "Unit: pai_crypto CRYPTO ALL",
	.topic = "pai_crypto",
	.long_desc = "Sums of all non zero cryptography counters",
	.pmu = "pai_crypto",
},
{
	.name = "km_dea",
	.event = "event=0x1001",
	.desc = "Unit: pai_crypto KM DEA",
	.topic = "pai_crypto",
	.long_desc = "KM-DEA function ending with CC=0",
	.pmu = "pai_crypto",
},
{
	.name = "km_tdea_128",
	.event = "event=0x1002",
	.desc = "Unit: pai_crypto KM TDEA 128",
	.topic = "pai_crypto",
	.long_desc = "KM-TDEA-128 function ending with CC=0",
	.pmu = "pai_crypto",
},
{
	.name = "km_tdea_192",
	.event = "event=0x1003",
	.desc = "Unit: pai_crypto KM TDEA 192",
	.topic = "pai_crypto",
	.long_desc = "KM-TDEA-192 function ending with CC=0",
	.pmu = "pai_crypto",
},
{
	.name = "km_encrypted_dea",
	.event = "event=0x1004",
	.desc = "Unit: pai_crypto KM ENCRYPTED DEA",
	.topic = "pai_crypto",
	.long_desc = "KM-Encrypted-DEA function ending with CC=0",
	.pmu = "pai_crypto",
},
{
	.name = "km_encrypted_tdea_128",
	.event = "event=0x1005",
	.desc = "Unit: pai_crypto KM ENCRYPTED TDEA 128",
	.topic = "pai_crypto",
	.long_desc = "KM-Encrypted-TDEA-128 function ending with CC=0",
	.pmu = "pai_crypto",
},
{
	.name = "km_encrypted_tdea_192",
	.event = "event=0x1006",
	.desc = "Unit: pai_crypto KM ENCRYPTED TDEA 192",
	.topic = "pai_crypto",
	.long_desc = "KM-Encrypted-TDEA-192 function ending with CC=0",
	.pmu = "pai_crypto",
},
{
	.name = "km_aes_128",
	.event = "event=0x1007",
	.desc = "Unit: pai_crypto KM AES 128",
	.topic = "pai_crypto",
	.long_desc = "KM-AES-128 function ending with CC=0",
	.pmu = "pai_crypto",
},
{
	.name = "km_aes_192",
	.event = "event=0x1008",
	.desc = "Unit: pai_crypto KM AES 192",
	.topic = "pai_crypto",
	.long_desc = "KM-AES-192 function ending with CC=0",
	.pmu = "pai_crypto",
},
{
	.name = "km_aes_256",
	.event = "event=0x1009",
	.desc = "Unit: pai_crypto KM AES 256",
	.topic = "pai_crypto",
	.long_desc = "KM-AES-256 function ending with CC=0",
	.pmu = "pai_crypto",
},
{
	.name = "km_encrypted_aes_128",
	.event = "event=0x100a",
	.desc = "Unit: pai_crypto KM ENCRYPTED AES 128",
	.topic = "pai_crypto",
	.long_desc = "KM-Encrypted-AES-128 function ending with CC=0",
	.pmu = "pai_crypto",
},
{
	.name = "km_encrypted_aes_192",
	.event = "event=0x100b",
	.desc = "Unit: pai_crypto KM ENCRYPTED AES 192",
	.topic = "pai_crypto",
	.long_desc = "KM-Encrypted-AES-192 function ending with CC=0",
	.pmu = "pai_crypto",
},
{
	.name = "km_encrypted_aes_256",
	.event = "event=0x100c",
	.desc = "Unit: pai_crypto KM ENCRYPTED AES 256",
	.topic = "pai_crypto",
	.long_desc = "KM-Encrypted-AES-256 function ending with CC=0",
	.pmu = "pai_crypto",
},
{
	.name = "km_xts_aes_128",
	.event = "event=0x100d",
	.desc = "Unit: pai_crypto KM XTS AES 128",
	.topic = "pai_crypto",
	.long_desc = "KM-XTS-AES-128 function ending with CC=0",
	.pmu = "pai_crypto",
},
{
	.name = "km_xts_aes_256",
	.event = "event=0x100e",
	.desc = "Unit: pai_crypto KM XTS AES 256",
	.topic = "pai_crypto",
	.long_desc = "KM-XTS-AES-256 function ending with CC=0",
	.pmu = "pai_crypto",
},
{
	.name = "km_xts_encrypted_aes_128",
	.event = "event=0x100f",
	.desc = "Unit: pai_crypto KM XTS ENCRYPTED AES 128",
	.topic = "pai_crypto",
	.long_desc = "KM-XTS-Encrypted-AES-128 function ending with CC=0",
	.pmu = "pai_crypto",
},
{
	.name = "km_xts_encrypted_aes_256",
	.event = "event=0x1010",
	.desc = "Unit: pai_crypto KM XTS ENCRYPTED AES 256",
	.topic = "pai_crypto",
	.long_desc = "KM-XTS-Encrypted-AES-256 function ending with CC=0",
	.pmu = "pai_crypto",
},
{
	.name = "kmc_dea",
	.event = "event=0x1011",
	.desc = "Unit: pai_crypto KMC DEA",
	.topic = "pai_crypto",
	.long_desc = "KMC-DEA function ending with CC=0",
	.pmu = "pai_crypto",
},
{
	.name = "kmc_tdea_128",
	.event = "event=0x1012",
	.desc = "Unit: pai_crypto KMC TDEA 128",
	.topic = "pai_crypto",
	.long_desc = "KMC-TDEA-128 function ending with CC=0",
	.pmu = "pai_crypto",
},
{
	.name = "kmc_tdea_192",
	.event = "event=0x1013",
	.desc = "Unit: pai_crypto KMC TDEA 192",
	.topic = "pai_crypto",
	.long_desc = "KMC-TDEA-192 function ending with CC=0",
	.pmu = "pai_crypto",
},
{
	.name = "kmc_encrypted_dea",
	.event = "event=0x1014",
	.desc = "Unit: pai_crypto KMC ENCRYPTED DEA",
	.topic = "pai_crypto",
	.long_desc = "KMC-Encrypted-DEA function ending with CC=0",
	.pmu = "pai_crypto",
},
{
	.name = "kmc_encrypted_tdea_128",
	.event = "event=0x1015",
	.desc = "Unit: pai_crypto KMC ENCRYPTED TDEA 128",
	.topic = "pai_crypto",
	.long_desc = "KMC-Encrypted-TDEA-128 function ending with CC=0",
	.pmu = "pai_crypto",
},
{
	.name = "kmc_encrypted_tdea_192",
	.event = "event=0x1016",
	.desc = "Unit: pai_crypto KMC ENCRYPTED TDEA 192",
	.topic = "pai_crypto",
	.long_desc = "KMC-Encrypted-TDEA-192 function ending with CC=0",
	.pmu = "pai_crypto",
},
{
	.name = "kmc_aes_128",
	.event = "event=0x1017",
	.desc = "Unit: pai_crypto KMC AES 128",
	.topic = "pai_crypto",
	.long_desc = "KMC-AES-128 function ending with CC=0",
	.pmu = "pai_crypto",
},
{
	.name = "kmc_aes_192",
	.event = "event=0x1018",
	.desc = "Unit: pai_crypto KMC AES 192",
	.topic = "pai_crypto",
	.long_desc = "KMC-AES-192 function ending with CC=0",
	.pmu = "pai_crypto",
},
{
	.name = "kmc_aes_256",
	.event = "event=0x1019",
	.desc = "Unit: pai_crypto KMC AES 256",
	.topic = "pai_crypto",
	.long_desc = "KMC-AES-256 function ending with CC=0",
	.pmu = "pai_crypto",
},
{
	.name = "kmc_encrypted_aes_128",
	.event = "event=0x101a",
	.desc = "Unit: pai_crypto KMC ENCRYPTED AES 128",
	.topic = "pai_crypto",
	.long_desc = "KMC-Encrypted-AES-128 function ending with CC=0",
	.pmu = "pai_crypto",
},
{
	.name = "kmc_encrypted_aes_192",
	.event = "event=0x101b",
	.desc = "Unit: pai_crypto KMC ENCRYPTED AES 192",
	.topic = "pai_crypto",
	.long_desc = "KMC-Encrypted-AES-192 function ending with CC=0",
	.pmu = "pai_crypto",
},
{
	.name = "kmc_encrypted_aes_256",
	.event = "event=0x101c",
	.desc = "Unit: pai_crypto KMC ENCRYPTED AES 256",
	.topic = "pai_crypto",
	.long_desc = "KMC-Encrypted-AES-256 function ending with CC=0",
	.pmu = "pai_crypto",
},
{
	.name = "kmc_prng",
	.event = "event=0x101d",
	.desc = "Unit: pai_crypto KMC PRNG",
	.topic = "pai_crypto",
	.long_desc = "KMC-PRNG function ending with CC=0",
	.pmu = "pai_crypto",
},
{
	.name = "kma_gcm_aes_128",
	.event = "event=0x101e",
	.desc = "Unit: pai_crypto KMA GCM AES 128",
	.topic = "pai_crypto",
	.long_desc = "KMA-GCM-AES-128 function ending with CC=0",
	.pmu = "pai_crypto",
},
{
	.name = "kma_gcm_aes_192",
	.event = "event=0x101f",
	.desc = "Unit: pai_crypto KMA GCM AES 192",
	.topic = "pai_crypto",
	.long_desc = "KMA-GCM-AES-192 function ending with CC=0",
	.pmu = "pai_crypto",
},
{
	.name = "kma_gcm_aes_256",
	.event = "event=0x1020",
	.desc = "Unit: pai_crypto KMA GCM AES 256",
	.topic = "pai_crypto",
	.long_desc = "KMA-GCM-AES-256 function ending with CC=0",
	.pmu = "pai_crypto",
},
{
	.name = "kma_gcm_encrypted_aes_128",
	.event = "event=0x1021",
	.desc = "Unit: pai_crypto KMA GCM ENCRYPTED AES 128",
	.topic = "pai_crypto",
	.long_desc = "KMA-GCM-Encrypted-AES-128 function ending with CC=0",
	.pmu = "pai_crypto",
},
{
	.name = "kma_gcm_encrypted_aes_192",
	.event = "event=0x1022",
	.desc = "Unit: pai_crypto KMA GCM ENCRYPTED AES 192",
	.topic = "pai_crypto",
	.long_desc = "KMA-GCM-Encrypted-AES-192 function ending with CC=0",
	.pmu = "pai_crypto",
},
{
	.name = "kma_gcm_encrypted_aes_256",
	.event = "event=0x1023",
	.desc = "Unit: pai_crypto KMA GCM ENCRYPTED AES 256",
	.topic = "pai_crypto",
	.long_desc = "KMA-GCM-Encrypted-AES-256 function ending with CC=0",
	.pmu = "pai_crypto",
},
{
	.name = "kmf_dea",
	.event = "event=0x1024",
	.desc = "Unit: pai_crypto KMF DEA",
	.topic = "pai_crypto",
	.long_desc = "KMF-DEA function ending with CC=0",
	.pmu = "pai_crypto",
},
{
	.name = "kmf_tdea_128",
	.event = "event=0x1025",
	.desc = "Unit: pai_crypto KMF TDEA 128",
	.topic = "pai_crypto",
	.long_desc = "KMF-TDEA-128 function ending with CC=0",
	.pmu = "pai_crypto",
},
{
	.name = "kmf_tdea_192",
	.event = "event=0x1026",
	.desc = "Unit: pai_crypto KMF TDEA 192",
	.topic = "pai_crypto",
	.long_desc = "KMF-TDEA-192 function ending with CC=0",
	.pmu = "pai_crypto",
},
{
	.name = "kmf_encrypted_dea",
	.event = "event=0x1027",
	.desc = "Unit: pai_crypto KMF ENCRYPTED DEA",
	.topic = "pai_crypto",
	.long_desc = "KMF-Encrypted-DEA function ending with CC=0",
	.pmu = "pai_crypto",
},
{
	.name = "kmf_encrypted_tdea_128",
	.event = "event=0x1028",
	.desc = "Unit: pai_crypto KMF ENCRYPTED TDEA 128",
	.topic = "pai_crypto",
	.long_desc = "KMF-Encrypted-TDEA-128 function ending with CC=0",
	.pmu = "pai_crypto",
},
{
	.name = "kmf_encrypted_tdea_192",
	.event = "event=0x1029",
	.desc = "Unit: pai_crypto KMF ENCRYPTED TDEA 192",
	.topic = "pai_crypto",
	.long_desc = "KMF-Encrypted-TDEA-192 function ending with CC=0",
	.pmu = "pai_crypto",
},
{
	.name = "kmf_aes_128",
	.event = "event=0x102a",
	.desc = "Unit: pai_crypto KMF AES 128",
	.topic = "pai_crypto",
	.long_desc = "KMF-AES-128 function ending with CC=0",
	.pmu = "pai_crypto",
},
{
	.name = "kmf_aes_192",
	.event = "event=0x102b",
	.desc = "Unit: pai_crypto KMF AES 192",
	.topic = "pai_crypto",
	.long_desc = "KMF-AES-192 function ending with CC=0",
	.pmu = "pai_crypto",
},
{
	.name = "kmf_aes_256",
	.event = "event=0x102c",
	.desc = "Unit: pai_crypto KMF AES 256",
	.topic = "pai_crypto",
	.long_desc = "KMF-AES-256 function ending with CC=0",
	.pmu = "pai_crypto",
},
{
	.name = "kmf_encrypted_aes_128",
	.event = "event=0x102d",
	.desc = "Unit: pai_crypto KMF ENCRYPTED AES 128",
	.topic = "pai_crypto",
	.long_desc = "KMF-Encrypted-AES-128 function ending with CC=0",
	.pmu = "pai_crypto",
},
{
	.name = "kmf_encrypted_aes_192",
	.event = "event=0x102e",
	.desc = "Unit: pai_crypto KMF ENCRYPTED AES 192",
	.topic = "pai_crypto",
	.long_desc = "KMF-Encrypted-AES-192 function ending with CC=0",
	.pmu = "pai_crypto",
},
{
	.name = "kmf_encrypted_aes_256",
	.event = "event=0x102f",
	.desc = "Unit: pai_crypto KMF ENCRYPTED AES 256",
	.topic = "pai_crypto",
	.long_desc = "KMF-Encrypted-AES-256 function ending with CC=0",
	.pmu = "pai_crypto",
},
{
	.name = "kmctr_dea",
	.event = "event=0x1030",
	.desc = "Unit: pai_crypto KMCTR DEA",
	.topic = "pai_crypto",
	.long_desc = "KMCTR-DEA function ending with CC=0",
	.pmu = "pai_crypto",
},
{
	.name = "kmctr_tdea_128",
	.event = "event=0x1031",
	.desc = "Unit: pai_crypto KMCTR TDEA 128",
	.topic = "pai_crypto",
	.long_desc = "KMCTR-TDEA-128 function ending with CC=0",
	.pmu = "pai_crypto",
},
{
	.name = "kmctr_tdea_192",
	.event = "event=0x1032",
	.desc = "Unit: pai_crypto KMCTR TDEA 192",
	.topic = "pai_crypto",
	.long_desc = "KMCTR-TDEA-192 function ending with CC=0",
	.pmu = "pai_crypto",
},
{
	.name = "kmctr_encrypted_dea",
	.event = "event=0x1033",
	.desc = "Unit: pai_crypto KMCTR ENCRYPTED DEA",
	.topic = "pai_crypto",
	.long_desc = "KMCTR-Encrypted-DEA function ending with CC=0",
	.pmu = "pai_crypto",
},
{
	.name = "kmctr_encrypted_tdea_128",
	.event = "event=0x1034",
	.desc = "Unit: pai_crypto KMCTR ENCRYPTED TDEA 128",
	.topic = "pai_crypto",
	.long_desc = "KMCTR-Encrypted-TDEA-128 function ending with CC=0",
	.pmu = "pai_crypto",
},
{
	.name = "kmctr_encrypted_tdea_192",
	.event = "event=0x1035",
	.desc = "Unit: pai_crypto KMCTR ENCRYPTED TDEA 192",
	.topic = "pai_crypto",
	.long_desc = "KMCTR-Encrypted-TDEA-192 function ending with CC=0",
	.pmu = "pai_crypto",
},
{
	.name = "kmctr_aes_128",
	.event = "event=0x1036",
	.desc = "Unit: pai_crypto KMCTR AES 128",
	.topic = "pai_crypto",
	.long_desc = "KMCTR-AES-128 function ending with CC=0",
	.pmu = "pai_crypto",
},
{
	.name = "kmctr_aes_192",
	.event = "event=0x1037",
	.desc = "Unit: pai_crypto KMCTR AES 192",
	.topic = "pai_crypto",
	.long_desc = "KMCTR-AES-192 function ending with CC=0",
	.pmu = "pai_crypto",
},
{
	.name = "kmctr_aes_256",
	.event = "event=0x1038",
	.desc = "Unit: pai_crypto KMCTR AES 256",
	.topic = "pai_crypto",
	.long_desc = "KMCTR-AES-256 function ending with CC=0",
	.pmu = "pai_crypto",
},
{
	.name = "kmctr_encrypted_aes_128",
	.event = "event=0x1039",
	.desc = "Unit: pai_crypto KMCTR ENCRYPTED AES 128",
	.topic = "pai_crypto",
	.long_desc = "KMCTR-Encrypted-AES-128 function ending with CC=0",
	.pmu = "pai_crypto",
},
{
	.name = "kmctr_encrypted_aes_192",
	.event = "event=0x103a",
	.desc = "Unit: pai_crypto KMCTR ENCRYPTED AES 192",
	.topic = "pai_crypto",
	.long_desc = "KMCTR-Encrypted-AES-192 function ending with CC=0",
	.pmu = "pai_crypto",
},
{
	.name = "kmctr_encrypted_aes_256",
	.event = "event=0x103b",
	.desc = "Unit: pai_crypto KMCTR ENCRYPTED AES 256",
	.topic = "pai_crypto",
	.long_desc = "KMCTR-Encrypted-AES-256 function ending with CC=0",
	.pmu = "pai_crypto",
},
{
	.name = "kmo_dea",
	.event = "event=0x103c",
	.desc = "Unit: pai_crypto KMO DEA",
	.topic = "pai_crypto",
	.long_desc = "KMO-DEA function ending with CC=0",
	.pmu = "pai_crypto",
},
{
	.name = "kmo_tdea_128",
	.event = "event=0x103d",
	.desc = "Unit: pai_crypto KMO TDEA 128",
	.topic = "pai_crypto",
	.long_desc = "KMO-TDEA-128 function ending with CC=0",
	.pmu = "pai_crypto",
},
{
	.name = "kmo_tdea_192",
	.event = "event=0x103e",
	.desc = "Unit: pai_crypto KMO TDEA 192",
	.topic = "pai_crypto",
	.long_desc = "KMO-TDEA-192 function ending with CC=0",
	.pmu = "pai_crypto",
},
{
	.name = "kmo_encrypted_dea",
	.event = "event=0x103f",
	.desc = "Unit: pai_crypto KMO ENCRYPTED DEA",
	.topic = "pai_crypto",
	.long_desc = "KMO-Encrypted-DEA function ending with CC=0",
	.pmu = "pai_crypto",
},
{
	.name = "kmo_encrypted_tdea_128",
	.event = "event=0x1040",
	.desc = "Unit: pai_crypto KMO ENCRYPTED TDEA 128",
	.topic = "pai_crypto",
	.long_desc = "KMO-Encrypted-TDEA-128 function ending with CC=0",
	.pmu = "pai_crypto",
},
{
	.name = "kmo_encrypted_tdea_192",
	.event = "event=0x1041",
	.desc = "Unit: pai_crypto KMO ENCRYPTED TDEA 192",
	.topic = "pai_crypto",
	.long_desc = "KMO-Encrypted-TDEA-192 function ending with CC=0",
	.pmu = "pai_crypto",
},
{
	.name = "kmo_aes_128",
	.event = "event=0x1042",
	.desc = "Unit: pai_crypto KMO AES 128",
	.topic = "pai_crypto",
	.long_desc = "KMO-AES-128 function ending with CC=0",
	.pmu = "pai_crypto",
},
{
	.name = "kmo_aes_192",
	.event = "event=0x1043",
	.desc = "Unit: pai_crypto KMO AES 192",
	.topic = "pai_crypto",
	.long_desc = "KMO-AES-192 function ending with CC=0",
	.pmu = "pai_crypto",
},
{
	.name = "kmo_aes_256",
	.event = "event=0x1044",
	.desc = "Unit: pai_crypto KMO AES 256",
	.topic = "pai_crypto",
	.long_desc = "KMO-AES-256 function ending with CC=0",
	.pmu = "pai_crypto",
},
{
	.name = "kmo_encrypted_aes_128",
	.event = "event=0x1045",
	.desc = "Unit: pai_crypto KMO ENCRYPTED AES 128",
	.topic = "pai_crypto",
	.long_desc = "KMO-Encrypted-AES-128 function ending with CC=0",
	.pmu = "pai_crypto",
},
{
	.name = "kmo_encrypted_aes_192",
	.event = "event=0x1046",
	.desc = "Unit: pai_crypto KMO ENCRYPTED AES 192",
	.topic = "pai_crypto",
	.long_desc = "KMO-Encrypted-AES-192 function ending with CC=0",
	.pmu = "pai_crypto",
},
{
	.name = "kmo_encrypted_aes_256",
	.event = "event=0x1047",
	.desc = "Unit: pai_crypto KMO ENCRYPTED AES 256",
	.topic = "pai_crypto",
	.long_desc = "KMO-Encrypted-AES-256 function ending with CC=0",
	.pmu = "pai_crypto",
},
{
	.name = "kimd_sha_1",
	.event = "event=0x1048",
	.desc = "Unit: pai_crypto KIMD SHA 1",
	.topic = "pai_crypto",
	.long_desc = "KIMD-SHA-1 function ending with CC=0",
	.pmu = "pai_crypto",
},
{
	.name = "kimd_sha_256",
	.event = "event=0x1049",
	.desc = "Unit: pai_crypto KIMD SHA 256",
	.topic = "pai_crypto",
	.long_desc = "KIMD-SHA-256 function ending with CC=0",
	.pmu = "pai_crypto",
},
{
	.name = "kimd_sha_512",
	.event = "event=0x104a",
	.desc = "Unit: pai_crypto KIMD SHA 512",
	.topic = "pai_crypto",
	.long_desc = "KIMD-SHA-512 function ending with CC=0",
	.pmu = "pai_crypto",
},
{
	.name = "kimd_sha3_224",
	.event = "event=0x104b",
	.desc = "Unit: pai_crypto KIMD SHA3 224",
	.topic = "pai_crypto",
	.long_desc = "KIMD-SHA3-224 function ending with CC=0",
	.pmu = "pai_crypto",
},
{
	.name = "kimd_sha3_256",
	.event = "event=0x104c",
	.desc = "Unit: pai_crypto KIMD SHA3 256",
	.topic = "pai_crypto",
	.long_desc = "KIMD-SHA3-256 function ending with CC=0",
	.pmu = "pai_crypto",
},
{
	.name = "kimd_sha3_384",
	.event = "event=0x104d",
	.desc = "Unit: pai_crypto KIMD SHA3 384",
	.topic = "pai_crypto",
	.long_desc = "KIMD-SHA3-384 function ending with CC=0",
	.pmu = "pai_crypto",
},
{
	.name = "kimd_sha3_512",
	.event = "event=0x104e",
	.desc = "Unit: pai_crypto KIMD SHA3 512",
	.topic = "pai_crypto",
	.long_desc = "KIMD-SHA3-512 function ending with CC=0",
	.pmu = "pai_crypto",
},
{
	.name = "kimd_shake_128",
	.event = "event=0x104f",
	.desc = "Unit: pai_crypto KIMD SHAKE 128",
	.topic = "pai_crypto",
	.long_desc = "KIMD-SHAKE-128 function ending with CC=0",
	.pmu = "pai_crypto",
},
{
	.name = "kimd_shake_256",
	.event = "event=0x1050",
	.desc = "Unit: pai_crypto KIMD SHAKE 256",
	.topic = "pai_crypto",
	.long_desc = "KIMD-SHAKE-256 function ending with CC=0",
	.pmu = "pai_crypto",
},
{
	.name = "kimd_ghash",
	.event = "event=0x1051",
	.desc = "Unit: pai_crypto KIMD GHASH",
	.topic = "pai_crypto",
	.long_desc = "KIMD-GHASH function ending with CC=0",
	.pmu = "pai_crypto",
},
{
	.name = "klmd_sha_1",
	.event = "event=0x1052",
	.desc = "Unit: pai_crypto KLMD SHA 1",
	.topic = "pai_crypto",
	.long_desc = "KLMD-SHA-1 function ending with CC=0",
	.pmu = "pai_crypto",
},
{
	.name = "klmd_sha_256",
	.event = "event=0x1053",
	.desc = "Unit: pai_crypto KLMD SHA 256",
	.topic = "pai_crypto",
	.long_desc = "KLMD-SHA-256 function ending with CC=0",
	.pmu = "pai_crypto",
},
{
	.name = "klmd_sha_512",
	.event = "event=0x1054",
	.desc = "Unit: pai_crypto KLMD SHA 512",
	.topic = "pai_crypto",
	.long_desc = "KLMD-SHA-512 function ending with CC=0",
	.pmu = "pai_crypto",
},
{
	.name = "klmd_sha3_224",
	.event = "event=0x1055",
	.desc = "Unit: pai_crypto KLMD SHA3 224",
	.topic = "pai_crypto",
	.long_desc = "KLMD-SHA3-224 function ending with CC=0",
	.pmu = "pai_crypto",
},
{
	.name = "klmd_sha3_256",
	.event = "event=0x1056",
	.desc = "Unit: pai_crypto KLMD SHA3 256",
	.topic = "pai_crypto",
	.long_desc = "KLMD-SHA3-256 function ending with CC=0",
	.pmu = "pai_crypto",
},
{
	.name = "klmd_sha3_384",
	.event = "event=0x1057",
	.desc = "Unit: pai_crypto KLMD SHA3 384",
	.topic = "pai_crypto",
	.long_desc = "KLMD-SHA3-384 function ending with CC=0",
	.pmu = "pai_crypto",
},
{
	.name = "klmd_sha3_512",
	.event = "event=0x1058",
	.desc = "Unit: pai_crypto KLMD SHA3 512",
	.topic = "pai_crypto",
	.long_desc = "KLMD-SHA3-512 function ending with CC=0",
	.pmu = "pai_crypto",
},
{
	.name = "klmd_shake_128",
	.event = "event=0x1059",
	.desc = "Unit: pai_crypto KLMD SHAKE 128",
	.topic = "pai_crypto",
	.long_desc = "KLMD-SHAKE-128 function ending with CC=0",
	.pmu = "pai_crypto",
},
{
	.name = "klmd_shake_256",
	.event = "event=0x105a",
	.desc = "Unit: pai_crypto KLMD SHAKE 256",
	.topic = "pai_crypto",
	.long_desc = "KLMD-SHAKE-256 function ending with CC=0",
	.pmu = "pai_crypto",
},
{
	.name = "kmac_dea",
	.event = "event=0x105b",
	.desc = "Unit: pai_crypto KMAC DEA",
	.topic = "pai_crypto",
	.long_desc = "KMAC-DEA function ending with CC=0",
	.pmu = "pai_crypto",
},
{
	.name = "kmac_tdea_128",
	.event = "event=0x105c",
	.desc = "Unit: pai_crypto KMAC TDEA 128",
	.topic = "pai_crypto",
	.long_desc = "KMAC-TDEA-128 function ending with CC=0",
	.pmu = "pai_crypto",
},
{
	.name = "kmac_tdea_192",
	.event = "event=0x105d",
	.desc = "Unit: pai_crypto KMAC TDEA 192",
	.topic = "pai_crypto",
	.long_desc = "KMAC-TDEA-192 function ending with CC=0",
	.pmu = "pai_crypto",
},
{
	.name = "kmac_encrypted_dea",
	.event = "event=0x105e",
	.desc = "Unit: pai_crypto KMAC ENCRYPTED DEA",
	.topic = "pai_crypto",
	.long_desc = "KMAC-Encrypted-DEA function ending with CC=0",
	.pmu = "pai_crypto",
},
{
	.name = "kmac_encrypted_tdea_128",
	.event = "event=0x105f",
	.desc = "Unit: pai_crypto KMAC ENCRYPTED TDEA 128",
	.topic = "pai_crypto",
	.long_desc = "KMAC-Encrypted-TDEA-128 function ending with CC=0",
	.pmu = "pai_crypto",
},
{
	.name = "kmac_encrypted_tdea_192",
	.event = "event=0x1060",
	.desc = "Unit: pai_crypto KMAC ENCRYPTED TDEA 192",
	.topic = "pai_crypto",
	.long_desc = "KMAC-Encrypted-TDEA-192 function ending with CC=0",
	.pmu = "pai_crypto",
},
{
	.name = "kmac_aes_128",
	.event = "event=0x1061",
	.desc = "Unit: pai_crypto KMAC AES 128",
	.topic = "pai_crypto",
	.long_desc = "KMAC-AES-128 function ending with CC=0",
	.pmu = "pai_crypto",
},
{
	.name = "kmac_aes_192",
	.event = "event=0x1062",
	.desc = "Unit: pai_crypto KMAC AES 192",
	.topic = "pai_crypto",
	.long_desc = "KMAC-AES-192 function ending with CC=0",
	.pmu = "pai_crypto",
},
{
	.name = "kmac_aes_256",
	.event = "event=0x1063",
	.desc = "Unit: pai_crypto KMAC AES 256",
	.topic = "pai_crypto",
	.long_desc = "KMAC-AES-256 function ending with CC=0",
	.pmu = "pai_crypto",
},
{
	.name = "kmac_encrypted_aes_128",
	.event = "event=0x1064",
	.desc = "Unit: pai_crypto KMAC ENCRYPTED AES 128",
	.topic = "pai_crypto",
	.long_desc = "KMAC-Encrypted-AES-128 function ending with CC=0",
	.pmu = "pai_crypto",
},
{
	.name = "kmac_encrypted_aes_192",
	.event = "event=0x1065",
	.desc = "Unit: pai_crypto KMAC ENCRYPTED AES 192",
	.topic = "pai_crypto",
	.long_desc = "KMAC-Encrypted-AES-192 function ending with CC=0",
	.pmu = "pai_crypto",
},
{
	.name = "kmac_encrypted_aes_256",
	.event = "event=0x1066",
	.desc = "Unit: pai_crypto KMAC ENCRYPTED AES 256",
	.topic = "pai_crypto",
	.long_desc = "KMAC-Encrypted-AES-256 function ending with CC=0",
	.pmu = "pai_crypto",
},
{
	.name = "pcc_compute_last_block_cmac_using_dea",
	.event = "event=0x1067",
	.desc = "Unit: pai_crypto PCC COMPUTE LAST BLOCK CMAC USING DEA",
	.topic = "pai_crypto",
	.long_desc = "PCC-Compute-Last-Block-CMAC-Using-DEA function ending with CC=0",
	.pmu = "pai_crypto",
},
{
	.name = "pcc_compute_last_block_cmac_using_tdea_128",
	.event = "event=0x1068",
	.desc = "Unit: pai_crypto PCC COMPUTE LAST BLOCK CMAC USING TDEA 128",
	.topic = "pai_crypto",
	.long_desc = "PCC-Compute-Last-Block-CMAC-Using-TDEA-128 function ending with CC=0",
	.pmu = "pai_crypto",
},
{
	.name = "pcc_compute_last_block_cmac_using_tdea_192",
	.event = "event=0x1069",
	.desc = "Unit: pai_crypto PCC COMPUTE LAST BLOCK CMAC USING TDEA 192",
	.topic = "pai_crypto",
	.long_desc = "PCC-Compute-Last-Block-CMAC-Using-TDEA-192 function ending with CC=0",
	.pmu = "pai_crypto",
},
{
	.name = "pcc_compute_last_block_cmac_using_encrypted_dea",
	.event = "event=0x106a",
	.desc = "Unit: pai_crypto PCC COMPUTE LAST BLOCK CMAC USING ENCRYPTED DEA",
	.topic = "pai_crypto",
	.long_desc = "PCC-Compute-Last-Block-CMAC-Using-Encrypted-DEA function ending with CC=0",
	.pmu = "pai_crypto",
},
{
	.name = "pcc_compute_last_block_cmac_using_encrypted_tdea_128",
	.event = "event=0x106b",
	.desc = "Unit: pai_crypto PCC COMPUTE LAST BLOCK CMAC USING ENCRYPTED TDEA 128",
	.topic = "pai_crypto",
	.long_desc = "PCC-Compute-Last-Block-CMAC-Using-Encrypted-TDEA- 128 function ending with CC=0",
	.pmu = "pai_crypto",
},
{
	.name = "pcc_compute_last_block_cmac_using_encrypted_tdea_192",
	.event = "event=0x106c",
	.desc = "Unit: pai_crypto PCC COMPUTE LAST BLOCK CMAC USING ENCRYPTED TDEA 192",
	.topic = "pai_crypto",
	.long_desc = "PCC-Compute-Last-Block-CMAC-Using-Encrypted-TDEA- 192 function ending with CC=0",
	.pmu = "pai_crypto",
},
{
	.name = "pcc_compute_last_block_cmac_using_aes_128",
	.event = "event=0x106d",
	.desc = "Unit: pai_crypto PCC COMPUTE LAST BLOCK CMAC USING AES 128",
	.topic = "pai_crypto",
	.long_desc = "PCC-Compute-Last-Block-CMAC-Using-AES-128 function ending with CC=0",
	.pmu = "pai_crypto",
},
{
	.name = "pcc_compute_last_block_cmac_using_aes_192",
	.event = "event=0x106e",
	.desc = "Unit: pai_crypto PCC COMPUTE LAST BLOCK CMAC USING AES 192",
	.topic = "pai_crypto",
	.long_desc = "PCC-Compute-Last-Block-CMAC-Using-AES-192 function ending with CC=0",
	.pmu = "pai_crypto",
},
{
	.name = "pcc_compute_last_block_cmac_using_aes_256",
	.event = "event=0x106f",
	.desc = "Unit: pai_crypto PCC COMPUTE LAST BLOCK CMAC USING AES 256",
	.topic = "pai_crypto",
	.long_desc = "PCC-Compute-Last-Block-CMAC-Using-AES-256 function ending with CC=0",
	.pmu = "pai_crypto",
},
{
	.name = "pcc_compute_last_block_cmac_using_encrypted_aes_128",
	.event = "event=0x1070",
	.desc = "Unit: pai_crypto PCC COMPUTE LAST BLOCK CMAC USING ENCRYPTED AES 128",
	.topic = "pai_crypto",
	.long_desc = "PCC-Compute-Last-Block-CMAC-Using-Encrypted-AES- 128 function ending with CC=0",
	.pmu = "pai_crypto",
},
{
	.name = "pcc_compute_last_block_cmac_using_encrypted_aes_192",
	.event = "event=0x1071",
	.desc = "Unit: pai_crypto PCC COMPUTE LAST BLOCK CMAC USING ENCRYPTED AES 192",
	.topic = "pai_crypto",
	.long_desc = "PCC-Compute-Last-Block-CMAC-Using-Encrypted-AES- 192 function ending with CC=0",
	.pmu = "pai_crypto",
},
{
	.name = "pcc_compute_last_block_cmac_using_encrypted_aes_256a",
	.event = "event=0x1072",
	.desc = "Unit: pai_crypto PCC COMPUTE LAST BLOCK CMAC USING ENCRYPTED AES 256A",
	.topic = "pai_crypto",
	.long_desc = "PCC-Compute-Last-Block-CMAC-Using-Encrypted-AES- 256A function ending with CC=0",
	.pmu = "pai_crypto",
},
{
	.name = "pcc_compute_xts_parameter_using_aes_128",
	.event = "event=0x1073",
	.desc = "Unit: pai_crypto PCC COMPUTE XTS PARAMETER USING AES 128",
	.topic = "pai_crypto",
	.long_desc = "PCC-Compute-XTS-Parameter-Using-AES-128 function ending with CC=0",
	.pmu = "pai_crypto",
},
{
	.name = "pcc_compute_xts_parameter_using_aes_256",
	.event = "event=0x1074",
	.desc = "Unit: pai_crypto PCC COMPUTE XTS PARAMETER USING AES 256",
	.topic = "pai_crypto",
	.long_desc = "PCC-Compute-XTS-Parameter-Using-AES-256 function ending with CC=0",
	.pmu = "pai_crypto",
},
{
	.name = "pcc_compute_xts_parameter_using_encrypted_aes_128",
	.event = "event=0x1075",
	.desc = "Unit: pai_crypto PCC COMPUTE XTS PARAMETER USING ENCRYPTED AES 128",
	.topic = "pai_crypto",
	.long_desc = "PCC-Compute-XTS-Parameter-Using-Encrypted-AES-128 function ending with CC=0",
	.pmu = "pai_crypto",
},
{
	.name = "pcc_compute_xts_parameter_using_encrypted_aes_256",
	.event = "event=0x1076",
	.desc = "Unit: pai_crypto PCC COMPUTE XTS PARAMETER USING ENCRYPTED AES 256",
	.topic = "pai_crypto",
	.long_desc = "PCC-Compute-XTS-Parameter-Using-Encrypted-AES-256 function ending with CC=0",
	.pmu = "pai_crypto",
},
{
	.name = "pcc_scalar_multiply_p256",
	.event = "event=0x1077",
	.desc = "Unit: pai_crypto PCC SCALAR MULTIPLY P256",
	.topic = "pai_crypto",
	.long_desc = "PCC-Scalar-Multiply-P256 function ending with CC=0",
	.pmu = "pai_crypto",
},
{
	.name = "pcc_scalar_multiply_p384",
	.event = "event=0x1078",
	.desc = "Unit: pai_crypto PCC SCALAR MULTIPLY P384",
	.topic = "pai_crypto",
	.long_desc = "PCC-Scalar-Multiply-P384 function ending with CC=0",
	.pmu = "pai_crypto",
},
{
	.name = "pcc_scalar_multiply_p521",
	.event = "event=0x1079",
	.desc = "Unit: pai_crypto PCC SCALAR MULTIPLY P521",
	.topic = "pai_crypto",
	.long_desc = "PCC-Scalar-Multiply-P521 function ending with CC=0",
	.pmu = "pai_crypto",
},
{
	.name = "pcc_scalar_multiply_ed25519",
	.event = "event=0x107a",
	.desc = "Unit: pai_crypto PCC SCALAR MULTIPLY ED25519",
	.topic = "pai_crypto",
	.long_desc = "PCC-Scalar-Multiply-Ed25519 function ending with CC=0",
	.pmu = "pai_crypto",
},
{
	.name = "pcc_scalar_multiply_ed448",
	.event = "event=0x107b",
	.desc = "Unit: pai_crypto PCC SCALAR MULTIPLY ED448",
	.topic = "pai_crypto",
	.long_desc = "PCC-Scalar-Multiply-Ed448 function ending with CC=0",
	.pmu = "pai_crypto",
},
{
	.name = "pcc_scalar_multiply_x25519",
	.event = "event=0x107c",
	.desc = "Unit: pai_crypto PCC SCALAR MULTIPLY X25519",
	.topic = "pai_crypto",
	.long_desc = "PCC-Scalar-Multiply-X25519 function ending with CC=0",
	.pmu = "pai_crypto",
},
{
	.name = "pcc_scalar_multiply_x448",
	.event = "event=0x107d",
	.desc = "Unit: pai_crypto PCC SCALAR MULTIPLY X448",
	.topic = "pai_crypto",
	.long_desc = "PCC-Scalar-Multiply-X448 function ending with CC=0",
	.pmu = "pai_crypto",
},
{
	.name = "prno_sha_512_drng",
	.event = "event=0x107e",
	.desc = "Unit: pai_crypto PRNO SHA 512 DRNG",
	.topic = "pai_crypto",
	.long_desc = "PRNO-SHA-512-DRNG function ending with CC=0",
	.pmu = "pai_crypto",
},
{
	.name = "prno_trng_query_raw_to_conditioned_ratio",
	.event = "event=0x107f",
	.desc = "Unit: pai_crypto PRNO TRNG QUERY RAW TO CONDITIONED RATIO",
	.topic = "pai_crypto",
	.long_desc = "PRNO-TRNG-Query-Raw-to-Conditioned-Ratio function ending with CC=0",
	.pmu = "pai_crypto",
},
{
	.name = "prno_trng",
	.event = "event=0x1080",
	.desc = "Unit: pai_crypto PRNO TRNG",
	.topic = "pai_crypto",
	.long_desc = "PRNO-TRNG function ending with CC=0",
	.pmu = "pai_crypto",
},
{
	.name = "kdsa_ecdsa_verify_p256",
	.event = "event=0x1081",
	.desc = "Unit: pai_crypto KDSA ECDSA VERIFY P256",
	.topic = "pai_crypto",
	.long_desc = "KDSA-ECDSA-Verify-P256 function ending with CC=0 or CC=2",
	.pmu = "pai_crypto",
},
{
	.name = "kdsa_ecdsa_verify_p384",
	.event = "event=0x1082",
	.desc = "Unit: pai_crypto KDSA ECDSA VERIFY P384",
	.topic = "pai_crypto",
	.long_desc = "KDSA-ECDSA-Verify-P384 function ending with CC=0 or CC=2",
	.pmu = "pai_crypto",
},
{
	.name = "kdsa_ecdsa_verify_p521",
	.event = "event=0x1083",
	.desc = "Unit: pai_crypto KDSA ECDSA VERIFY P521",
	.topic = "pai_crypto",
	.long_desc = "KDSA-ECDSA-Verify-P521 function ending with CC=0 or CC=2",
	.pmu = "pai_crypto",
},
{
	.name = "kdsa_ecdsa_sign_p256",
	.event = "event=0x1084",
	.desc = "Unit: pai_crypto KDSA ECDSA SIGN P256",
	.topic = "pai_crypto",
	.long_desc = "KDSA-ECDSA-Sign-P256 function ending with CC=0",
	.pmu = "pai_crypto",
},
{
	.name = "kdsa_ecdsa_sign_p384",
	.event = "event=0x1085",
	.desc = "Unit: pai_crypto KDSA ECDSA SIGN P384",
	.topic = "pai_crypto",
	.long_desc = "KDSA-ECDSA-Sign-P384 function ending with CC=0",
	.pmu = "pai_crypto",
},
{
	.name = "kdsa_ecdsa_sign_p521",
	.event = "event=0x1086",
	.desc = "Unit: pai_crypto KDSA ECDSA SIGN P521",
	.topic = "pai_crypto",
	.long_desc = "KDSA-ECDSA-Sign-P521 function ending with CC=0",
	.pmu = "pai_crypto",
},
{
	.name = "kdsa_encrypted_ecdsa_sign_p256",
	.event = "event=0x1087",
	.desc = "Unit: pai_crypto KDSA ENCRYPTED ECDSA SIGN P256",
	.topic = "pai_crypto",
	.long_desc = "KDSA-Encrypted-ECDSA-Sign-P256 function ending with CC=0",
	.pmu = "pai_crypto",
},
{
	.name = "kdsa_encrypted_ecdsa_sign_p384",
	.event = "event=0x1088",
	.desc = "Unit: pai_crypto KDSA ENCRYPTED ECDSA SIGN P384",
	.topic = "pai_crypto",
	.long_desc = "KDSA-Encrypted-ECDSA-Sign-P384 function ending with CC=0",
	.pmu = "pai_crypto",
},
{
	.name = "kdsa_encrypted_ecdsa_sign_p521",
	.event = "event=0x1089",
	.desc = "Unit: pai_crypto KDSA ENCRYPTED ECDSA SIGN P521",
	.topic = "pai_crypto",
	.long_desc = "KDSA-Encrypted-ECDSA-Sign-P521 function ending with CC=0",
	.pmu = "pai_crypto",
},
{
	.name = "kdsa_eddsa_verify_ed25519",
	.event = "event=0x108a",
	.desc = "Unit: pai_crypto KDSA EDDSA VERIFY ED25519",
	.topic = "pai_crypto",
	.long_desc = "KDSA-EdDSA-Verify-Ed25519 function ending with CC=0 or CC=2",
	.pmu = "pai_crypto",
},
{
	.name = "kdsa_eddsa_verify_ed448",
	.event = "event=0x108b",
	.desc = "Unit: pai_crypto KDSA EDDSA VERIFY ED448",
	.topic = "pai_crypto",
	.long_desc = "KDSA-EdDSA-Verify-Ed448 function ending with CC=0 or CC=2",
	.pmu = "pai_crypto",
},
{
	.name = "kdsa_eddsa_sign_ed25519",
	.event = "event=0x108c",
	.desc = "Unit: pai_crypto KDSA EDDSA SIGN ED25519",
	.topic = "pai_crypto",
	.long_desc = "KDSA-EdDSA-Sign-Ed25519 function ending with CC=0",
	.pmu = "pai_crypto",
},
{
	.name = "kdsa_eddsa_sign_ed448",
	.event = "event=0x108d",
	.desc = "Unit: pai_crypto KDSA EDDSA SIGN ED448",
	.topic = "pai_crypto",
	.long_desc = "KDSA-EdDSA-Sign-Ed448 function ending with CC=0",
	.pmu = "pai_crypto",
},
{
	.name = "kdsa_encrypted_eddsa_sign_ed25519",
	.event = "event=0x108e",
	.desc = "Unit: pai_crypto KDSA ENCRYPTED EDDSA SIGN ED25519",
	.topic = "pai_crypto",
	.long_desc = "KDSA-Encrypted-EdDSA-Sign-Ed25519 function ending with CC=0",
	.pmu = "pai_crypto",
},
{
	.name = "kdsa_encrypted_eddsa_sign_ed448",
	.event = "event=0x108f",
	.desc = "Unit: pai_crypto KDSA ENCRYPTED EDDSA SIGN ED448",
	.topic = "pai_crypto",
	.long_desc = "KDSA-Encrypted-EdDSA-Sign-Ed448 function ending with CC=0",
	.pmu = "pai_crypto",
},
{
	.name = "pckmo_encrypt_dea_key",
	.event = "event=0x1090",
	.desc = "Unit: pai_crypto PCKMO ENCRYPT DEA KEY",
	.topic = "pai_crypto",
	.long_desc = "PCKMO-Encrypt-DEA-key function",
	.pmu = "pai_crypto",
},
{
	.name = "pckmo_encrypt_tdea_128_key",
	.event = "event=0x1091",
	.desc = "Unit: pai_crypto PCKMO ENCRYPT TDEA 128 KEY",
	.topic = "pai_crypto",
	.long_desc = "PCKMO-Encrypt-TDEA-128-key function",
	.pmu = "pai_crypto",
},
{
	.name = "pckmo_encrypt_tdea_192_key",
	.event = "event=0x1092",
	.desc = "Unit: pai_crypto PCKMO ENCRYPT TDEA 192 KEY",
	.topic = "pai_crypto",
	.long_desc = "PCKMO-Encrypt-TDEA-192-key function",
	.pmu = "pai_crypto",
},
{
	.name = "pckmo_encrypt_aes_128_key",
	.event = "event=0x1093",
	.desc = "Unit: pai_crypto PCKMO ENCRYPT AES 128 KEY",
	.topic = "pai_crypto",
	.long_desc = "PCKMO-Encrypt-AES-128-key function",
	.pmu = "pai_crypto",
},
{
	.name = "pckmo_encrypt_aes_192_key",
	.event = "event=0x1094",
	.desc = "Unit: pai_crypto PCKMO ENCRYPT AES 192 KEY",
	.topic = "pai_crypto",
	.long_desc = "PCKMO-Encrypt-AES-192-key function",
	.pmu = "pai_crypto",
},
{
	.name = "pckmo_encrypt_aes_256_key",
	.event = "event=0x1095",
	.desc = "Unit: pai_crypto PCKMO ENCRYPT AES 256 KEY",
	.topic = "pai_crypto",
	.long_desc = "PCKMO-Encrypt-AES-256-key function",
	.pmu = "pai_crypto",
},
{
	.name = "pckmo_encrypt_ecc_p256_key",
	.event = "event=0x1096",
	.desc = "Unit: pai_crypto PCKMO ENCRYPT ECC P256 KEY",
	.topic = "pai_crypto",
	.long_desc = "PCKMO-Encrypt-ECC-P256-key function",
	.pmu = "pai_crypto",
},
{
	.name = "pckmo_encrypt_ecc_p384_key",
	.event = "event=0x1097",
	.desc = "Unit: pai_crypto PCKMO ENCRYPT ECC P384 KEY",
	.topic = "pai_crypto",
	.long_desc = "PCKMO-Encrypt-ECC-P384-key function",
	.pmu = "pai_crypto",
},
{
	.name = "pckmo_encrypt_ecc_p521_key",
	.event = "event=0x1098",
	.desc = "Unit: pai_crypto PCKMO ENCRYPT ECC P521 KEY",
	.topic = "pai_crypto",
	.long_desc = "PCKMO-Encrypt-ECC-P521-key function",
	.pmu = "pai_crypto",
},
{
	.name = "pckmo_encrypt_ecc_ed25519_key",
	.event = "event=0x1099",
	.desc = "Unit: pai_crypto PCKMO ENCRYPT ECC ED25519 KEY",
	.topic = "pai_crypto",
	.long_desc = "PCKMO-Encrypt-ECC-Ed25519-key function",
	.pmu = "pai_crypto",
},
{
	.name = "pckmo_encrypt_ecc_ed448_key",
	.event = "event=0x109a",
	.desc = "Unit: pai_crypto PCKMO ENCRYPT ECC ED448 KEY",
	.topic = "pai_crypto",
	.long_desc = "PCKMO-Encrypt-ECC-Ed448-key function",
	.pmu = "pai_crypto",
},
{
	.name = "ibm_reserved_155",
	.event = "event=0x109b",
	.desc = "Unit: pai_crypto IBM RESERVED_155",
	.topic = "pai_crypto",
	.long_desc = "Reserved for IBM use",
	.pmu = "pai_crypto",
},
{
	.name = "ibm_reserved_156",
	.event = "event=0x109c",
	.desc = "Unit: pai_crypto IBM RESERVED_156",
	.topic = "pai_crypto",
	.long_desc = "Reserved for IBM use",
	.pmu = "pai_crypto",
},
{
	.name = "prng_functions",
	.event = "event=0x40",
	.desc = "Unit: cpum_cf PRNG Function Count",
	.topic = "crypto6",
	.long_desc = "This counter counts the total number of the pseudorandom-number-generation functions issued by the CPU",
	.pmu = "cpum_cf",
},
{
	.name = "prng_cycles",
	.event = "event=0x41",
	.desc = "Unit: cpum_cf PRNG Cycle Count",
	.topic = "crypto6",
	.long_desc = "This counter counts the total number of CPU cycles when the DEA/AES/SHA coprocessor is busy performing the pseudorandom- number-generation functions issued by the CPU",
	.pmu = "cpum_cf",
},
{
	.name = "prng_blocked_functions",
	.event = "event=0x42",
	.desc = "Unit: cpum_cf PRNG Blocked Function Count",
	.topic = "crypto6",
	.long_desc = "This counter counts the total number of the pseudorandom-number-generation functions that are issued by the CPU and are blocked because the DEA/AES/SHA coprocessor is busy performing a function issued by another CPU",
	.pmu = "cpum_cf",
},
{
	.name = "prng_blocked_cycles",
	.event = "event=0x43",
	.desc = "Unit: cpum_cf PRNG Blocked Cycle Count",
	.topic = "crypto6",
	.long_desc = "This counter counts the total number of CPU cycles blocked for the pseudorandom-number-generation functions issued by the CPU because the DEA/AES/SHA coprocessor is busy performing a function issued by another CPU",
	.pmu = "cpum_cf",
},
{
	.name = "sha_functions",
	.event = "event=0x44",
	.desc = "Unit: cpum_cf SHA Function Count",
	.topic = "crypto6",
	.long_desc = "This counter counts the total number of the SHA functions issued by the CPU",
	.pmu = "cpum_cf",
},
{
	.name = "sha_cycles",
	.event = "event=0x45",
	.desc = "Unit: cpum_cf SHA Cycle Count",
	.topic = "crypto6",
	.long_desc = "This counter counts the total number of CPU cycles when the SHA coprocessor is busy performing the SHA functions issued by the CPU",
	.pmu = "cpum_cf",
},
{
	.name = "sha_blocked_functions",
	.event = "event=0x46",
	.desc = "Unit: cpum_cf SHA Blocked Function Count",
	.topic = "crypto6",
	.long_desc = "This counter counts the total number of the SHA functions that are issued by the CPU and are blocked because the SHA coprocessor is busy performing a function issued by another CPU",
	.pmu = "cpum_cf",
},
{
	.name = "sha_blocked_cycles",
	.event = "event=0x47",
	.desc = "Unit: cpum_cf SHA Blocked Cycle Count",
	.topic = "crypto6",
	.long_desc = "This counter counts the total number of CPU cycles blocked for the SHA functions issued by the CPU because the SHA coprocessor is busy performing a function issued by another CPU",
	.pmu = "cpum_cf",
},
{
	.name = "dea_functions",
	.event = "event=0x48",
	.desc = "Unit: cpum_cf DEA Function Count",
	.topic = "crypto6",
	.long_desc = "This counter counts the total number of the DEA functions issued by the CPU",
	.pmu = "cpum_cf",
},
{
	.name = "dea_cycles",
	.event = "event=0x49",
	.desc = "Unit: cpum_cf DEA Cycle Count",
	.topic = "crypto6",
	.long_desc = "This counter counts the total number of CPU cycles when the DEA/AES coprocessor is busy performing the DEA functions issued by the CPU",
	.pmu = "cpum_cf",
},
{
	.name = "dea_blocked_functions",
	.event = "event=0x4a",
	.desc = "Unit: cpum_cf DEA Blocked Function Count",
	.topic = "crypto6",
	.long_desc = "This counter counts the total number of the DEA functions that are issued by the CPU and are blocked because the DEA/AES coprocessor is busy performing a function issued by another CPU",
	.pmu = "cpum_cf",
},
{
	.name = "dea_blocked_cycles",
	.event = "event=0x4b",
	.desc = "Unit: cpum_cf DEA Blocked Cycle Count",
	.topic = "crypto6",
	.long_desc = "This counter counts the total number of CPU cycles blocked for the DEA functions issued by the CPU because the DEA/AES coprocessor is busy performing a function issued by another CPU",
	.pmu = "cpum_cf",
},
{
	.name = "aes_functions",
	.event = "event=0x4c",
	.desc = "Unit: cpum_cf AES Function Count",
	.topic = "crypto6",
	.long_desc = "This counter counts the total number of the AES functions issued by the CPU",
	.pmu = "cpum_cf",
},
{
	.name = "aes_cycles",
	.event = "event=0x4d",
	.desc = "Unit: cpum_cf AES Cycle Count",
	.topic = "crypto6",
	.long_desc = "This counter counts the total number of CPU cycles when the DEA/AES coprocessor is busy performing the AES functions issued by the CPU",
	.pmu = "cpum_cf",
},
{
	.name = "aes_blocked_functions",
	.event = "event=0x4e",
	.desc = "Unit: cpum_cf AES Blocked Function Count",
	.topic = "crypto6",
	.long_desc = "This counter counts the total number of the AES functions that are issued by the CPU and are blocked because the DEA/AES coprocessor is busy performing a function issued by another CPU",
	.pmu = "cpum_cf",
},
{
	.name = "aes_blocked_cycles",
	.event = "event=0x4f",
	.desc = "Unit: cpum_cf AES Blocked Cycle Count",
	.topic = "crypto6",
	.long_desc = "This counter counts the total number of CPU cycles blocked for the AES functions issued by the CPU because the DEA/AES coprocessor is busy performing a function issued by another CPU",
	.pmu = "cpum_cf",
},
{
	.name = "ecc_function_count",
	.event = "event=0x50",
	.desc = "Unit: cpum_cf ECC Function Count",
	.topic = "crypto6",
	.long_desc = "This counter counts the total number of the elliptic-curve cryptography (ECC) functions issued by the CPU",
	.pmu = "cpum_cf",
},
{
	.name = "ecc_cycles_count",
	.event = "event=0x51",
	.desc = "Unit: cpum_cf ECC Cycles Count",
	.topic = "crypto6",
	.long_desc = "This counter counts the total number of CPU cycles when the ECC coprocessor is busy performing the elliptic-curve cryptography (ECC) functions issued by the CPU",
	.pmu = "cpum_cf",
},
{
	.name = "ecc_blocked_function_count",
	.event = "event=0x52",
	.desc = "Unit: cpum_cf Ecc Blocked Function Count",
	.topic = "crypto6",
	.long_desc = "This counter counts the total number of the elliptic-curve cryptography (ECC) functions that are issued by the CPU and are blocked because the ECC coprocessor is busy performing a function issued by another CPU",
	.pmu = "cpum_cf",
},
{
	.name = "ecc_blocked_cycles_count",
	.event = "event=0x53",
	.desc = "Unit: cpum_cf ECC Blocked Cycles Count",
	.topic = "crypto6",
	.long_desc = "This counter counts the total number of CPU cycles blocked for the elliptic-curve cryptography (ECC) functions issued by the CPU because the ECC coprocessor is busy performing a function issued by another CPU",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_ro_excl_writes",
	.event = "event=0x80",
	.desc = "Unit: cpum_cf L1D Read-only Exclusive Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data cache where the line was originally in a Read-Only state in the cache but has been updated to be in the Exclusive state that allows stores to the cache line",
	.pmu = "cpum_cf",
},
{
	.name = "dtlb2_writes",
	.event = "event=0x81",
	.desc = "Unit: cpum_cf DTLB2 Writes",
	.topic = "extended",
	.long_desc = "A translation has been written into The Translation Lookaside Buffer 2 (TLB2) and the request was made by the Level-1 Data cache. This is a replacement for what was provided for the DTLB on z13 and prior machines",
	.pmu = "cpum_cf",
},
{
	.name = "dtlb2_misses",
	.event = "event=0x82",
	.desc = "Unit: cpum_cf DTLB2 Misses",
	.topic = "extended",
	.long_desc = "A TLB2 miss is in progress for a request made by the Level-1 Data cache. Incremented by one for every TLB2 miss in progress for the Level-1 Data cache on this cycle. This is a replacement for what was provided for the DTLB on z13 and prior machines",
	.pmu = "cpum_cf",
},
{
	.name = "crste_1mb_writes",
	.event = "event=0x83",
	.desc = "Unit: cpum_cf One Megabyte CRSTE writes",
	.topic = "extended",
	.long_desc = "A translation entry was written into the Combined Region and Segment Table Entry array in the Level-2 TLB for a one-megabyte page",
	.pmu = "cpum_cf",
},
{
	.name = "dtlb2_gpage_writes",
	.event = "event=0x84",
	.desc = "Unit: cpum_cf DTLB2 Two-Gigabyte Page Writes",
	.topic = "extended",
	.long_desc = "A translation entry for a two-gigabyte page was written into the Level-2 TLB",
	.pmu = "cpum_cf",
},
{
	.name = "itlb2_writes",
	.event = "event=0x86",
	.desc = "Unit: cpum_cf ITLB2 Writes",
	.topic = "extended",
	.long_desc = "A translation entry has been written into the Translation Lookaside Buffer 2 (TLB2) and the request was made by the instruction cache. This is a replacement for what was provided for the ITLB on z13 and prior machines",
	.pmu = "cpum_cf",
},
{
	.name = "itlb2_misses",
	.event = "event=0x87",
	.desc = "Unit: cpum_cf ITLB2 Misses",
	.topic = "extended",
	.long_desc = "A TLB2 miss is in progress for a request made by the Level-1 Instruction cache. Incremented by one for every TLB2 miss in progress for the Level-1 Instruction cache in a cycle. This is a replacement for what was provided for the ITLB on z13 and prior machines",
	.pmu = "cpum_cf",
},
{
	.name = "tlb2_pte_writes",
	.event = "event=0x89",
	.desc = "Unit: cpum_cf TLB2 Page Table Entry Writes",
	.topic = "extended",
	.long_desc = "A translation entry was written into the Page Table Entry array in the Level-2 TLB",
	.pmu = "cpum_cf",
},
{
	.name = "tlb2_crste_writes",
	.event = "event=0x8a",
	.desc = "Unit: cpum_cf TLB2 Combined Region and Segment Entry Writes",
	.topic = "extended",
	.long_desc = "Translation entries were written into the Combined Region and Segment Table Entry array and the Page Table Entry array in the Level-2 TLB",
	.pmu = "cpum_cf",
},
{
	.name = "tlb2_engines_busy",
	.event = "event=0x8b",
	.desc = "Unit: cpum_cf TLB2 Engines Busy",
	.topic = "extended",
	.long_desc = "The number of Level-2 TLB translation engines busy in a cycle",
	.pmu = "cpum_cf",
},
{
	.name = "tx_c_tend",
	.event = "event=0x8c",
	.desc = "Unit: cpum_cf Completed TEND instructions in constrained TX mode",
	.topic = "extended",
	.long_desc = "A TEND instruction has completed in a constrained transactional-execution mode",
	.pmu = "cpum_cf",
},
{
	.name = "tx_nc_tend",
	.event = "event=0x8d",
	.desc = "Unit: cpum_cf Completed TEND instructions in non-constrained TX mode",
	.topic = "extended",
	.long_desc = "A TEND instruction has completed in a non-constrained transactional-execution mode",
	.pmu = "cpum_cf",
},
{
	.name = "l1c_tlb2_misses",
	.event = "event=0x8f",
	.desc = "Unit: cpum_cf L1C TLB2 Misses",
	.topic = "extended",
	.long_desc = "Increments by one for any cycle where a level-1 cache or level-2 TLB miss is in progress",
	.pmu = "cpum_cf",
},
{
	.name = "dcw_req",
	.event = "event=0x91",
	.desc = "Unit: cpum_cf Directory Write Level 1 Data Cache from Cache",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data cache directory where the returned cache line was sourced from the requestor’s Level-2 cache",
	.pmu = "cpum_cf",
},
{
	.name = "dcw_req_iv",
	.event = "event=0x92",
	.desc = "Unit: cpum_cf Directory Write Level 1 Data Cache from Cache with Intervention",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data cache directory where the returned cache line was sourced from the requestor’s Level-2 cache with intervention",
	.pmu = "cpum_cf",
},
{
	.name = "dcw_req_chip_hit",
	.event = "event=0x93",
	.desc = "Unit: cpum_cf Directory Write Level 1 Data Cache from Cache with Chip HP Hit",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data cache directory where the returned cache line was sourced from the requestor’s Level-2 cache after using chip level horizontal persistence, Chip-HP hit",
	.pmu = "cpum_cf",
},
{
	.name = "dcw_req_drawer_hit",
	.event = "event=0x94",
	.desc = "Unit: cpum_cf Directory Write Level 1 Data Cache from Cache with Drawer HP Hit",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data cache directory where the returned cache line was sourced from the requestor’s Level-2 cache after using drawer level horizontal persistence, Drawer-HP hit",
	.pmu = "cpum_cf",
},
{
	.name = "dcw_on_chip",
	.event = "event=0x95",
	.desc = "Unit: cpum_cf Directory Write Level 1 Data Cache from On-Chip Cache",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data cache directory where the returned cache line was sourced from an On-Chip Level-2 cache",
	.pmu = "cpum_cf",
},
{
	.name = "dcw_on_chip_iv",
	.event = "event=0x96",
	.desc = "Unit: cpum_cf Directory Write Level 1 Data Cache from On-Chip Cache with Intervention",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data cache directory where the returned cache line was sourced from an On-Chip Level-2 cache with intervention",
	.pmu = "cpum_cf",
},
{
	.name = "dcw_on_chip_chip_hit",
	.event = "event=0x97",
	.desc = "Unit: cpum_cf Directory Write Level 1 Data Cache from On-Chip Cache with Chip HP Hit",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data cache directory where the returned cache line was sourced from an On-Chip Level-2 cache after using chip level horizontal persistence, Chip-HP hit",
	.pmu = "cpum_cf",
},
{
	.name = "dcw_on_chip_drawer_hit",
	.event = "event=0x98",
	.desc = "Unit: cpum_cf Directory Write Level 1 Data Cache from On-Chip Cache with Drawer HP Hit",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data cache directory where the returned cache line was sourced from an On-Chip Level-2 cache using drawer level horizontal persistence, Drawer-HP hit",
	.pmu = "cpum_cf",
},
{
	.name = "dcw_on_module",
	.event = "event=0x99",
	.desc = "Unit: cpum_cf Directory Write Level 1 Data Cache from On-Module Cache",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data cache directory where the returned cache line was sourced from an On-Module Level-2 cache",
	.pmu = "cpum_cf",
},
{
	.name = "dcw_on_drawer",
	.event = "event=0x9a",
	.desc = "Unit: cpum_cf Directory Write Level 1 Data Cache from On-Drawer Cache",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data cache directory where the returned cache line was sourced from an On-Drawer Level-2 cache",
	.pmu = "cpum_cf",
},
{
	.name = "dcw_off_drawer",
	.event = "event=0x9b",
	.desc = "Unit: cpum_cf Directory Write Level 1 Data Cache from Off-Drawer Cache",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data cache directory where the returned cache line was sourced from an Off-Drawer Level-2 cache",
	.pmu = "cpum_cf",
},
{
	.name = "dcw_on_chip_memory",
	.event = "event=0x9c",
	.desc = "Unit: cpum_cf Directory Write Level 1 Data Cache from On-Chip Memory",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data cache directory where the returned cache line was sourced from On-Chip memory",
	.pmu = "cpum_cf",
},
{
	.name = "dcw_on_module_memory",
	.event = "event=0x9d",
	.desc = "Unit: cpum_cf Directory Write Level 1 Data Cache from On-Module Memory",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data cache directory where the returned cache line was sourced from On-Module memory",
	.pmu = "cpum_cf",
},
{
	.name = "dcw_on_drawer_memory",
	.event = "event=0x9e",
	.desc = "Unit: cpum_cf Directory Write Level 1 Data Cache from On-Drawer Memory",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data cache directory where the returned cache line was sourced from On-Drawer memory",
	.pmu = "cpum_cf",
},
{
	.name = "dcw_off_drawer_memory",
	.event = "event=0x9f",
	.desc = "Unit: cpum_cf Directory Write Level 1 Data Cache from Off-Drawer Memory",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data cache directory where the returned cache line was sourced from Off-Drawer memory",
	.pmu = "cpum_cf",
},
{
	.name = "idcw_on_module_iv",
	.event = "event=0xa0",
	.desc = "Unit: cpum_cf Directory Write Level 1 Instruction and Data Cache from On-Module Memory Cache with Intervention",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data or Level-1 Instruction cache directory where the returned cache line was sourced from an On-Module Level-2 cache with intervention",
	.pmu = "cpum_cf",
},
{
	.name = "idcw_on_module_chip_hit",
	.event = "event=0xa1",
	.desc = "Unit: cpum_cf Directory Write Level 1 Instruction and Data Cache from On-Module Memory Cache with Chip Hit",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data or Level-1 Instruction cache directory where the returned cache line was sourced from an On-Module Level-2 cache using chip horizontal persistence, Chip-HP hit",
	.pmu = "cpum_cf",
},
{
	.name = "idcw_on_module_drawer_hit",
	.event = "event=0xa2",
	.desc = "Unit: cpum_cf Directory Write Level 1 Instruction and Data Cache from On-Module Memory Cache with Drawer Hit",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data or Level-1 Instruction cache directory where the returned cache line was sourced from an On-Module Level-2 cache using drawer level horizontal persistence, Drawer-HP hit",
	.pmu = "cpum_cf",
},
{
	.name = "idcw_on_drawer_iv",
	.event = "event=0xa3",
	.desc = "Unit: cpum_cf Directory Write Level 1 Instruction and Data Cache from On-Drawer Cache with Intervention",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data or Level-1 Instruction cache directory where the returned cache line was sourced from an On-Drawer Level-2 cache with intervention",
	.pmu = "cpum_cf",
},
{
	.name = "idcw_on_drawer_chip_hit",
	.event = "event=0xa4",
	.desc = "Unit: cpum_cf Directory Write Level 1 Instruction and Data Cache from On-Drawer Cache with Chip Hit",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data or Level-1 instruction cache directory where the returned cache line was sourced from an On-Drawer Level-2 cache using chip level horizontal persistence, Chip-HP hit",
	.pmu = "cpum_cf",
},
{
	.name = "idcw_on_drawer_drawer_hit",
	.event = "event=0xa5",
	.desc = "Unit: cpum_cf Directory Write Level 1 Instruction and Data Cache from On-Drawer Cache with Drawer Hit",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data or Level-1 instruction cache directory where the returned cache line was sourced from an On-Drawer Level-2 cache using drawer level horizontal persistence, Drawer-HP hit",
	.pmu = "cpum_cf",
},
{
	.name = "idcw_off_drawer_iv",
	.event = "event=0xa6",
	.desc = "Unit: cpum_cf Directory Write Level 1 Instruction and Data Cache from Off-Drawer Cache with Intervention",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data or Level-1 instruction cache directory where the returned cache line was sourced from an Off-Drawer Level-2 cache with intervention",
	.pmu = "cpum_cf",
},
{
	.name = "idcw_off_drawer_chip_hit",
	.event = "event=0xa7",
	.desc = "Unit: cpum_cf Directory Write Level 1 Instruction and Data Cache from Off-Drawer Cache with Chip Hit",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data or Level-1 instruction cache directory where the returned cache line was sourced from an Off-Drawer Level-2 cache using chip level horizontal persistence, Chip-HP hit",
	.pmu = "cpum_cf",
},
{
	.name = "idcw_off_drawer_drawer_hit",
	.event = "event=0xa8",
	.desc = "Unit: cpum_cf Directory Write Level 1 Instruction and Data Cache from Off-Drawer Cache with Drawer Hit",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data or Level-1 Instruction cache directory where the returned cache line was sourced from an Off-Drawer Level-2 cache using drawer level horizontal persistence, Drawer-HP hit",
	.pmu = "cpum_cf",
},
{
	.name = "icw_req",
	.event = "event=0xa9",
	.desc = "Unit: cpum_cf Directory Write Level 1 Instruction Cache from Cache",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Instruction cache directory where the returned cache line was sourced the requestors Level-2 cache",
	.pmu = "cpum_cf",
},
{
	.name = "icw_req_iv",
	.event = "event=0xaa",
	.desc = "Unit: cpum_cf Directory Write Level 1 Instruction Cache from Cache with Intervention",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Instruction cache directory where the returned cache line was sourced from the requestors Level-2 cache with intervention",
	.pmu = "cpum_cf",
},
{
	.name = "icw_req_chip_hit",
	.event = "event=0xab",
	.desc = "Unit: cpum_cf Directory Write Level 1 Instruction Cache from Cache with Chip HP Hit",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Instruction cache directory where the returned cache line was sourced from the requestors Level-2 cache using chip level horizontal persistence, Chip-HP hit",
	.pmu = "cpum_cf",
},
{
	.name = "icw_req_drawer_hit",
	.event = "event=0xac",
	.desc = "Unit: cpum_cf Directory Write Level 1 Instruction Cache from Cache with Drawer HP Hit",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Instruction cache directory where the returned cache line was sourced from the requestor’s Level-2 cache using drawer level horizontal persistence, Drawer-HP hit",
	.pmu = "cpum_cf",
},
{
	.name = "icw_on_chip",
	.event = "event=0xad",
	.desc = "Unit: cpum_cf Directory Write Level 1 Instruction Cache from On-Chip Cache",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Instruction cache directory where the returned cache line was sourced from an On-Chip Level-2 cache",
	.pmu = "cpum_cf",
},
{
	.name = "icw_on_chip_iv",
	.event = "event=0xae",
	.desc = "Unit: cpum_cf Directory Write Level 1 Instruction Cache from On-Chip Cache with Intervention",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Instruction cache directory where the returned cache line was sourced an On-Chip Level-2 cache with intervention",
	.pmu = "cpum_cf",
},
{
	.name = "icw_on_chip_chip_hit",
	.event = "event=0xaf",
	.desc = "Unit: cpum_cf Directory Write Level 1 Instruction Cache from On-Chip Cache with Chip HP Hit",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Instruction cache directory where the returned cache line was sourced from an On-Chip Level-2 cache using chip level horizontal persistence, Chip-HP hit",
	.pmu = "cpum_cf",
},
{
	.name = "icw_on_chip_drawer_hit",
	.event = "event=0xb0",
	.desc = "Unit: cpum_cf Directory Write Level 1 Instruction Cache from On-Chip Cache with Drawer HP Hit",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Instruction cache directory where the returned cache line was sourced from an On-Chip level 2 cache using drawer level horizontal persistence, Drawer-HP hit",
	.pmu = "cpum_cf",
},
{
	.name = "icw_on_module",
	.event = "event=0xb1",
	.desc = "Unit: cpum_cf Directory Write Level 1 Instruction Cache from On-Module Cache",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Instruction cache directory where the returned cache line was sourced from an On-Module Level-2 cache",
	.pmu = "cpum_cf",
},
{
	.name = "icw_on_drawer",
	.event = "event=0xb2",
	.desc = "Unit: cpum_cf Directory Write Level 1 Instruction Cache from On-Drawer Cache",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Instruction cache directory where the returned cache line was sourced an On-Drawer Level-2 cache",
	.pmu = "cpum_cf",
},
{
	.name = "icw_off_drawer",
	.event = "event=0xb3",
	.desc = "Unit: cpum_cf Directory Write Level 1 Instruction Cache from Off-Drawer Cache",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Instruction cache directory where the returned cache line was sourced an Off-Drawer Level-2 cache",
	.pmu = "cpum_cf",
},
{
	.name = "icw_on_chip_memory",
	.event = "event=0xb4",
	.desc = "Unit: cpum_cf Directory Write Level 1 Instruction Cache from On-Chip Memory",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Instruction cache directory where the returned cache line was sourced from On-Chip memory",
	.pmu = "cpum_cf",
},
{
	.name = "icw_on_module_memory",
	.event = "event=0xb5",
	.desc = "Unit: cpum_cf Directory Write Level 1 Instruction Cache from On-Module Memory",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Instruction cache directory where the returned cache line was sourced from On-Module memory",
	.pmu = "cpum_cf",
},
{
	.name = "icw_on_drawer_memory",
	.event = "event=0xb6",
	.desc = "Unit: cpum_cf Directory Write Level 1 Instruction Cache from On-Drawer Memory",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Instruction cache directory where the returned cache line was sourced from On-Drawer memory",
	.pmu = "cpum_cf",
},
{
	.name = "icw_off_drawer_memory",
	.event = "event=0xb7",
	.desc = "Unit: cpum_cf Directory Write Level 1 Instruction Cache from Off-Drawer Memory",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Instruction cache directory where the returned cache line was sourced from Off-Drawer memory",
	.pmu = "cpum_cf",
},
{
	.name = "bcd_dfp_execution_slots",
	.event = "event=0xe0",
	.desc = "Unit: cpum_cf Binary Coded Decimal to Decimal Floating Point conversions",
	.topic = "extended",
	.long_desc = "Count of floating point execution slots used for finished Binary Coded Decimal to Decimal Floating Point conversions. Instructions: CDZT, CXZT, CZDT, CZXT",
	.pmu = "cpum_cf",
},
{
	.name = "vx_bcd_execution_slots",
	.event = "event=0xe1",
	.desc = "Unit: cpum_cf Count finished vector arithmetic Binary Coded Decimal instructions",
	.topic = "extended",
	.long_desc = "Count of floating point execution slots used for finished vector arithmetic Binary Coded Decimal instructions. Instructions: VAP, VSP, VMP, VMSP, VDP, VSDP, VRP, VLIP, VSRP, VPSOP, VCP, VTP, VPKZ, VUPKZ, VCVB, VCVBG, VCVD, VCVDG",
	.pmu = "cpum_cf",
},
{
	.name = "decimal_instructions",
	.event = "event=0xe2",
	.desc = "Unit: cpum_cf Decimal instruction dispatched",
	.topic = "extended",
	.long_desc = "Decimal instruction dispatched. Instructions: CVB, CVD, AP, CP, DP, ED, EDMK, MP, SRP, SP, ZAP",
	.pmu = "cpum_cf",
},
{
	.name = "last_host_translations",
	.event = "event=0xe8",
	.desc = "Unit: cpum_cf Last host translation done",
	.topic = "extended",
	.long_desc = "Last Host Translation done",
	.pmu = "cpum_cf",
},
{
	.name = "tx_nc_tabort",
	.event = "event=0xf4",
	.desc = "Unit: cpum_cf Aborted transactions in unconstrained TX mode",
	.topic = "extended",
	.long_desc = "A transaction abort has occurred in a non-constrained transactional-execution mode",
	.pmu = "cpum_cf",
},
{
	.name = "tx_c_tabort_no_special",
	.event = "event=0xf5",
	.desc = "Unit: cpum_cf Aborted transactions in constrained TX mode",
	.topic = "extended",
	.long_desc = "A transaction abort has occurred in a constrained transactional-execution mode and the CPU is not using any special logic to allow the transaction to complete",
	.pmu = "cpum_cf",
},
{
	.name = "tx_c_tabort_special",
	.event = "event=0xf6",
	.desc = "Unit: cpum_cf Aborted transactions in constrained TX mode using special completion logic",
	.topic = "extended",
	.long_desc = "A transaction abort has occurred in a constrained transactional-execution mode and the CPU is using special logic to allow the transaction to complete",
	.pmu = "cpum_cf",
},
{
	.name = "dflt_access",
	.event = "event=0xf8",
	.desc = "Unit: cpum_cf Cycles CPU spent obtaining access to Deflate unit",
	.topic = "extended",
	.long_desc = "Cycles CPU spent obtaining access to Deflate unit",
	.pmu = "cpum_cf",
},
{
	.name = "dflt_cycles",
	.event = "event=0xfd",
	.desc = "Unit: cpum_cf Cycles CPU is using Deflate unit",
	.topic = "extended",
	.long_desc = "Cycles CPU is using Deflate unit",
	.pmu = "cpum_cf",
},
{
	.name = "sortl",
	.event = "event=0x100",
	.desc = "Unit: cpum_cf Count SORTL instructions",
	.topic = "extended",
	.long_desc = "Increments by one for every SORT LISTS instruction executed",
	.pmu = "cpum_cf",
},
{
	.name = "dflt_cc",
	.event = "event=0x109",
	.desc = "Unit: cpum_cf Increments DEFLATE CONVERSION CALL",
	.topic = "extended",
	.long_desc = "Increments by one for every DEFLATE CONVERSION CALL instruction executed",
	.pmu = "cpum_cf",
},
{
	.name = "dflt_ccfinish",
	.event = "event=0x10a",
	.desc = "Unit: cpum_cf Increments completed DEFLATE CONVERSION CALL",
	.topic = "extended",
	.long_desc = "Increments by one for every DEFLATE CONVERSION CALL instruction executed that ended in Condition Codes 0, 1 or 2",
	.pmu = "cpum_cf",
},
{
	.name = "nnpa_invocations",
	.event = "event=0x10b",
	.desc = "Unit: cpum_cf NNPA Total invocations",
	.topic = "extended",
	.long_desc = "Increments by one for every Neural Network Processing Assist instruction executed",
	.pmu = "cpum_cf",
},
{
	.name = "nnpa_completions",
	.event = "event=0x10c",
	.desc = "Unit: cpum_cf NNPA Total completions",
	.topic = "extended",
	.long_desc = "Increments by one for every Neural Network Processing Assist instruction executed that ended in Condition Codes 0, 1 or 2",
	.pmu = "cpum_cf",
},
{
	.name = "nnpa_wait_lock",
	.event = "event=0x10d",
	.desc = "Unit: cpum_cf Cycles spent obtaining NNPA lock",
	.topic = "extended",
	.long_desc = "Cycles CPU spent obtaining access to IBM Z Integrated Accelerator for AI",
	.pmu = "cpum_cf",
},
{
	.name = "nnpa_hold_lock",
	.event = "event=0x10e",
	.desc = "Unit: cpum_cf Cycles spent holding NNPA lock",
	.topic = "extended",
	.long_desc = "Cycles CPU is using IBM Z Integrated Accelerator for AI",
	.pmu = "cpum_cf",
},
{
	.name = "mt_diag_cycles_one_thr_active",
	.event = "event=0x1c0",
	.desc = "Unit: cpum_cf Cycle count with one thread active",
	.topic = "extended",
	.long_desc = "Cycle count with one thread active",
	.pmu = "cpum_cf",
},
{
	.name = "mt_diag_cycles_two_thr_active",
	.event = "event=0x1c1",
	.desc = "Unit: cpum_cf Cycle count with two threads active",
	.topic = "extended",
	.long_desc = "Cycle count with two threads active",
	.pmu = "cpum_cf",
},
{
	.desc = "Transaction count",
	.topic = "transaction",
	.metric_expr = "tx_c_tend + tx_nc_tend + tx_nc_tabort + tx_c_tabort_special + tx_c_tabort_no_special",
	.metric_name = "transaction",
},
{
	.name = "cpu_cycles",
	.event = "event=0",
	.desc = "Unit: cpum_cf Cycle Count",
	.topic = "basic",
	.long_desc = "This counter counts the total number of CPU cycles, excluding the number of cycles while the CPU is in the wait state",
	.pmu = "cpum_cf",
},
{
	.name = "instructions",
	.event = "event=0x1",
	.desc = "Unit: cpum_cf Instruction Count",
	.topic = "basic",
	.long_desc = "This counter counts the total number of instructions executed by the CPU",
	.pmu = "cpum_cf",
},
{
	.name = "l1i_dir_writes",
	.event = "event=0x2",
	.desc = "Unit: cpum_cf Level-1 I-Cache Directory Write Count",
	.topic = "basic",
	.long_desc = "This counter counts the total number of level-1 instruction-cache or unified-cache directory writes",
	.pmu = "cpum_cf",
},
{
	.name = "l1i_penalty_cycles",
	.event = "event=0x3",
	.desc = "Unit: cpum_cf Level-1 I-Cache Penalty Cycle Count",
	.topic = "basic",
	.long_desc = "This counter counts the total number of cache penalty cycles for level-1 instruction cache or unified cache",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_dir_writes",
	.event = "event=0x4",
	.desc = "Unit: cpum_cf Level-1 D-Cache Directory Write Count",
	.topic = "basic",
	.long_desc = "This counter counts the total number of level-1 data-cache directory writes",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_penalty_cycles",
	.event = "event=0x5",
	.desc = "Unit: cpum_cf Level-1 D-Cache Penalty Cycle Count",
	.topic = "basic",
	.long_desc = "This counter counts the total number of cache penalty cycles for level-1 data cache",
	.pmu = "cpum_cf",
},
{
	.name = "problem_state_cpu_cycles",
	.event = "event=0x20",
	.desc = "Unit: cpum_cf Problem-State Cycle Count",
	.topic = "basic",
	.long_desc = "This counter counts the total number of CPU cycles when the CPU is in the problem state, excluding the number of cycles while the CPU is in the wait state",
	.pmu = "cpum_cf",
},
{
	.name = "problem_state_instructions",
	.event = "event=0x21",
	.desc = "Unit: cpum_cf Problem-State Instruction Count",
	.topic = "basic",
	.long_desc = "This counter counts the total number of instructions executed by the CPU while in the problem state",
	.pmu = "cpum_cf",
},
{
	.name = 0,
	.event = 0,
	.desc = 0,
},
};
struct pmu_event pme_cf_z14[] = {
{
	.name = "l1d_ro_excl_writes",
	.event = "event=0x80",
	.desc = "Unit: cpum_cf L1D Read-only Exclusive Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data cache where the line was originally in a Read-Only state in the cache but has been updated to be in the Exclusive state that allows stores to the cache line",
	.pmu = "cpum_cf",
},
{
	.name = "dtlb2_writes",
	.event = "event=0x81",
	.desc = "Unit: cpum_cf DTLB2 Writes",
	.topic = "extended",
	.long_desc = "A translation has been written into The Translation Lookaside Buffer 2 (TLB2) and the request was made by the data cache. This is a replacement for what was provided for the DTLB on prior machines",
	.pmu = "cpum_cf",
},
{
	.name = "dtlb2_misses",
	.event = "event=0x82",
	.desc = "Unit: cpum_cf DTLB2 Misses",
	.topic = "extended",
	.long_desc = "A TLB2 miss is in progress for a request made by the data cache. Incremented by one for every TLB2 miss in progress for the Level-1 Data cache on this cycle. This is a replacement for what was provided for the DTLB on prior machines",
	.pmu = "cpum_cf",
},
{
	.name = "dtlb2_hpage_writes",
	.event = "event=0x83",
	.desc = "Unit: cpum_cf DTLB2 One-Megabyte Page Writes",
	.topic = "extended",
	.long_desc = "A translation entry was written into the Combined Region and Segment Table Entry array in the Level-2 TLB for a one-megabyte page or a Last Host Translation was done",
	.pmu = "cpum_cf",
},
{
	.name = "dtlb2_gpage_writes",
	.event = "event=0x84",
	.desc = "Unit: cpum_cf DTLB2 Two-Gigabyte Page Writes",
	.topic = "extended",
	.long_desc = "A translation entry for a two-gigabyte page was written into the Level-2 TLB",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_l2d_sourced_writes",
	.event = "event=0x85",
	.desc = "Unit: cpum_cf L1D L2D Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data cache directory where the returned cache line was sourced from the Level-2 Data cache",
	.pmu = "cpum_cf",
},
{
	.name = "itlb2_writes",
	.event = "event=0x86",
	.desc = "Unit: cpum_cf ITLB2 Writes",
	.topic = "extended",
	.long_desc = "A translation entry has been written into the Translation Lookaside Buffer 2 (TLB2) and the request was made by the instruction cache. This is a replacement for what was provided for the ITLB on prior machines",
	.pmu = "cpum_cf",
},
{
	.name = "itlb2_misses",
	.event = "event=0x87",
	.desc = "Unit: cpum_cf ITLB2 Misses",
	.topic = "extended",
	.long_desc = "A TLB2 miss is in progress for a request made by the instruction cache. Incremented by one for every TLB2 miss in progress for the Level-1 Instruction cache in a cycle. This is a replacement for what was provided for the ITLB on prior machines",
	.pmu = "cpum_cf",
},
{
	.name = "l1i_l2i_sourced_writes",
	.event = "event=0x88",
	.desc = "Unit: cpum_cf L1I L2I Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Instruction cache directory where the returned cache line was sourced from the Level-2 Instruction cache",
	.pmu = "cpum_cf",
},
{
	.name = "tlb2_pte_writes",
	.event = "event=0x89",
	.desc = "Unit: cpum_cf TLB2 PTE Writes",
	.topic = "extended",
	.long_desc = "A translation entry was written into the Page Table Entry array in the Level-2 TLB",
	.pmu = "cpum_cf",
},
{
	.name = "tlb2_crste_writes",
	.event = "event=0x8a",
	.desc = "Unit: cpum_cf TLB2 CRSTE Writes",
	.topic = "extended",
	.long_desc = "Translation entries were written into the Combined Region and Segment Table Entry array and the Page Table Entry array in the Level-2 TLB",
	.pmu = "cpum_cf",
},
{
	.name = "tlb2_engines_busy",
	.event = "event=0x8b",
	.desc = "Unit: cpum_cf TLB2 Engines Busy",
	.topic = "extended",
	.long_desc = "The number of Level-2 TLB translation engines busy in a cycle",
	.pmu = "cpum_cf",
},
{
	.name = "tx_c_tend",
	.event = "event=0x8c",
	.desc = "Unit: cpum_cf Completed TEND instructions in constrained TX mode",
	.topic = "extended",
	.long_desc = "A TEND instruction has completed in a constrained transactional-execution mode",
	.pmu = "cpum_cf",
},
{
	.name = "tx_nc_tend",
	.event = "event=0x8d",
	.desc = "Unit: cpum_cf Completed TEND instructions in non-constrained TX mode",
	.topic = "extended",
	.long_desc = "A TEND instruction has completed in a non-constrained transactional-execution mode",
	.pmu = "cpum_cf",
},
{
	.name = "l1c_tlb2_misses",
	.event = "event=0x8f",
	.desc = "Unit: cpum_cf L1C TLB2 Misses",
	.topic = "extended",
	.long_desc = "Increments by one for any cycle where a level-1 cache or level-2 TLB miss is in progress",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_onchip_l3_sourced_writes",
	.event = "event=0x90",
	.desc = "Unit: cpum_cf L1D On-Chip L3 Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data cache directory where the returned cache line was sourced from an On-Chip Level-3 cache without intervention",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_onchip_memory_sourced_writes",
	.event = "event=0x91",
	.desc = "Unit: cpum_cf L1D On-Chip Memory Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data cache directory where the returned cache line was sourced from On-Chip memory",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_onchip_l3_sourced_writes_iv",
	.event = "event=0x92",
	.desc = "Unit: cpum_cf L1D On-Chip L3 Sourced Writes with Intervention",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data cache directory where the returned cache line was sourced from an On-Chip Level-3 cache with intervention",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_oncluster_l3_sourced_writes",
	.event = "event=0x93",
	.desc = "Unit: cpum_cf L1D On-Cluster L3 Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data cache directory where the returned cache line was sourced from On-Cluster Level-3 cache without intervention",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_oncluster_memory_sourced_writes",
	.event = "event=0x94",
	.desc = "Unit: cpum_cf L1D On-Cluster Memory Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data cache directory where the returned cache line was sourced from an On-Cluster memory",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_oncluster_l3_sourced_writes_iv",
	.event = "event=0x95",
	.desc = "Unit: cpum_cf L1D On-Cluster L3 Sourced Writes with Intervention",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data cache directory where the returned cache line was sourced from an On-Cluster Level-3 cache with intervention",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_offcluster_l3_sourced_writes",
	.event = "event=0x96",
	.desc = "Unit: cpum_cf L1D Off-Cluster L3 Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data cache directory where the returned cache line was sourced from an Off-Cluster Level-3 cache without intervention",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_offcluster_memory_sourced_writes",
	.event = "event=0x97",
	.desc = "Unit: cpum_cf L1D Off-Cluster Memory Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data cache directory where the returned cache line was sourced from Off-Cluster memory",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_offcluster_l3_sourced_writes_iv",
	.event = "event=0x98",
	.desc = "Unit: cpum_cf L1D Off-Cluster L3 Sourced Writes with Intervention",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data cache directory where the returned cache line was sourced from an Off-Cluster Level-3 cache with intervention",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_offdrawer_l3_sourced_writes",
	.event = "event=0x99",
	.desc = "Unit: cpum_cf L1D Off-Drawer L3 Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data cache directory where the returned cache line was sourced from an Off-Drawer Level-3 cache without intervention",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_offdrawer_memory_sourced_writes",
	.event = "event=0x9a",
	.desc = "Unit: cpum_cf L1D Off-Drawer Memory Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data cache directory where the returned cache line was sourced from Off-Drawer memory",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_offdrawer_l3_sourced_writes_iv",
	.event = "event=0x9b",
	.desc = "Unit: cpum_cf L1D Off-Drawer L3 Sourced Writes with Intervention",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data cache directory where the returned cache line was sourced from an Off-Drawer Level-3 cache with intervention",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_ondrawer_l4_sourced_writes",
	.event = "event=0x9c",
	.desc = "Unit: cpum_cf L1D On-Drawer L4 Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data cache directory where the returned cache line was sourced from On-Drawer Level-4 cache",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_offdrawer_l4_sourced_writes",
	.event = "event=0x9d",
	.desc = "Unit: cpum_cf L1D Off-Drawer L4 Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data cache directory where the returned cache line was sourced from Off-Drawer Level-4 cache",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_onchip_l3_sourced_writes_ro",
	.event = "event=0x9e",
	.desc = "Unit: cpum_cf L1D On-Chip L3 Sourced Writes read-only",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data cache directory where the returned cache line was sourced from On-Chip L3 but a read-only invalidate was done to remove other copies of the cache line",
	.pmu = "cpum_cf",
},
{
	.name = "l1i_onchip_l3_sourced_writes",
	.event = "event=0xa2",
	.desc = "Unit: cpum_cf L1I On-Chip L3 Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Instruction cache directory where the returned cache ine was sourced from an On-Chip Level-3 cache without intervention",
	.pmu = "cpum_cf",
},
{
	.name = "l1i_onchip_memory_sourced_writes",
	.event = "event=0xa3",
	.desc = "Unit: cpum_cf L1I On-Chip Memory Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Instruction cache directory where the returned cache ine was sourced from On-Chip memory",
	.pmu = "cpum_cf",
},
{
	.name = "l1i_onchip_l3_sourced_writes_iv",
	.event = "event=0xa4",
	.desc = "Unit: cpum_cf L1I On-Chip L3 Sourced Writes with Intervention",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Instruction cache directory where the returned cache ine was sourced from an On-Chip Level-3 cache with intervention",
	.pmu = "cpum_cf",
},
{
	.name = "l1i_oncluster_l3_sourced_writes",
	.event = "event=0xa5",
	.desc = "Unit: cpum_cf L1I On-Cluster L3 Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Instruction cache directory where the returned cache line was sourced from an On-Cluster Level-3 cache without intervention",
	.pmu = "cpum_cf",
},
{
	.name = "l1i_oncluster_memory_sourced_writes",
	.event = "event=0xa6",
	.desc = "Unit: cpum_cf L1I On-Cluster Memory Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Instruction cache directory where the returned cache line was sourced from an On-Cluster memory",
	.pmu = "cpum_cf",
},
{
	.name = "l1i_oncluster_l3_sourced_writes_iv",
	.event = "event=0xa7",
	.desc = "Unit: cpum_cf L1I On-Cluster L3 Sourced Writes with Intervention",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Instruction cache directory where the returned cache line was sourced from On-Cluster Level-3 cache with intervention",
	.pmu = "cpum_cf",
},
{
	.name = "l1i_offcluster_l3_sourced_writes",
	.event = "event=0xa8",
	.desc = "Unit: cpum_cf L1I Off-Cluster L3 Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Instruction cache directory where the returned cache line was sourced from an Off-Cluster Level-3 cache without intervention",
	.pmu = "cpum_cf",
},
{
	.name = "l1i_offcluster_memory_sourced_writes",
	.event = "event=0xa9",
	.desc = "Unit: cpum_cf L1I Off-Cluster Memory Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Instruction cache directory where the returned cache line was sourced from Off-Cluster memory",
	.pmu = "cpum_cf",
},
{
	.name = "l1i_offcluster_l3_sourced_writes_iv",
	.event = "event=0xaa",
	.desc = "Unit: cpum_cf L1I Off-Cluster L3 Sourced Writes with Intervention",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Instruction cache directory where the returned cache line was sourced from an Off-Cluster Level-3 cache with intervention",
	.pmu = "cpum_cf",
},
{
	.name = "l1i_offdrawer_l3_sourced_writes",
	.event = "event=0xab",
	.desc = "Unit: cpum_cf L1I Off-Drawer L3 Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Instruction cache directory where the returned cache line was sourced from an Off-Drawer Level-3 cache without intervention",
	.pmu = "cpum_cf",
},
{
	.name = "l1i_offdrawer_memory_sourced_writes",
	.event = "event=0xac",
	.desc = "Unit: cpum_cf L1I Off-Drawer Memory Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Instruction cache directory where the returned cache line was sourced from Off-Drawer memory",
	.pmu = "cpum_cf",
},
{
	.name = "l1i_offdrawer_l3_sourced_writes_iv",
	.event = "event=0xad",
	.desc = "Unit: cpum_cf L1I Off-Drawer L3 Sourced Writes with Intervention",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Instruction cache directory where the returned cache line was sourced from an Off-Drawer Level-3 cache with intervention",
	.pmu = "cpum_cf",
},
{
	.name = "l1i_ondrawer_l4_sourced_writes",
	.event = "event=0xae",
	.desc = "Unit: cpum_cf L1I On-Drawer L4 Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Instruction cache directory where the returned cache line was sourced from On-Drawer Level-4 cache",
	.pmu = "cpum_cf",
},
{
	.name = "l1i_offdrawer_l4_sourced_writes",
	.event = "event=0xaf",
	.desc = "Unit: cpum_cf L1I Off-Drawer L4 Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Instruction cache directory where the returned cache line was sourced from Off-Drawer Level-4 cache",
	.pmu = "cpum_cf",
},
{
	.name = "bcd_dfp_execution_slots",
	.event = "event=0xe0",
	.desc = "Unit: cpum_cf BCD DFP Execution Slots",
	.topic = "extended",
	.long_desc = "Count of floating point execution slots used for finished Binary Coded Decimal to Decimal Floating Point conversions. Instructions: CDZT, CXZT, CZDT, CZXT",
	.pmu = "cpum_cf",
},
{
	.name = "vx_bcd_execution_slots",
	.event = "event=0xe1",
	.desc = "Unit: cpum_cf VX BCD Execution Slots",
	.topic = "extended",
	.long_desc = "Count of floating point execution slots used for finished vector arithmetic Binary Coded Decimal instructions. Instructions: VAP, VSP, VMPVMSP, VDP, VSDP, VRP, VLIP, VSRP, VPSOPVCP, VTP, VPKZ, VUPKZ, VCVB, VCVBG, VCVDVCVDG",
	.pmu = "cpum_cf",
},
{
	.name = "decimal_instructions",
	.event = "event=0xe2",
	.desc = "Unit: cpum_cf Decimal Instructions",
	.topic = "extended",
	.long_desc = "Decimal instructions dispatched. Instructions: CVB, CVD, AP, CP, DP, ED, EDMK, MP, SRP, SP, ZAP",
	.pmu = "cpum_cf",
},
{
	.name = "last_host_translations",
	.event = "event=0xe8",
	.desc = "Unit: cpum_cf Last host translation done",
	.topic = "extended",
	.long_desc = "Last Host Translation done",
	.pmu = "cpum_cf",
},
{
	.name = "tx_nc_tabort",
	.event = "event=0xf3",
	.desc = "Unit: cpum_cf Aborted transactions in non-constrained TX mode",
	.topic = "extended",
	.long_desc = "A transaction abort has occurred in a non-constrained transactional-execution mode",
	.pmu = "cpum_cf",
},
{
	.name = "tx_c_tabort_no_special",
	.event = "event=0xf4",
	.desc = "Unit: cpum_cf Aborted transactions in constrained TX mode not using special completion logic",
	.topic = "extended",
	.long_desc = "A transaction abort has occurred in a constrained transactional-execution mode and the CPU is not using any special logic to allow the transaction to complete",
	.pmu = "cpum_cf",
},
{
	.name = "tx_c_tabort_special",
	.event = "event=0xf5",
	.desc = "Unit: cpum_cf Aborted transactions in constrained TX mode using special completion logic",
	.topic = "extended",
	.long_desc = "A transaction abort has occurred in a constrained transactional-execution mode and the CPU is using special logic to allow the transaction to complete",
	.pmu = "cpum_cf",
},
{
	.name = "mt_diag_cycles_one_thr_active",
	.event = "event=0x1c0",
	.desc = "Unit: cpum_cf Cycle count with one thread active",
	.topic = "extended",
	.long_desc = "Cycle count with one thread active",
	.pmu = "cpum_cf",
},
{
	.name = "mt_diag_cycles_two_thr_active",
	.event = "event=0x1c1",
	.desc = "Unit: cpum_cf Cycle count with two threads active",
	.topic = "extended",
	.long_desc = "Cycle count with two threads active",
	.pmu = "cpum_cf",
},
{
	.desc = "Transaction count",
	.topic = "transaction",
	.metric_expr = "tx_c_tend + tx_nc_tend + tx_nc_tabort + tx_c_tabort_special + tx_c_tabort_no_special",
	.metric_name = "transaction",
},
{
	.name = "cpu_cycles",
	.event = "event=0",
	.desc = "Unit: cpum_cf Cycle Count",
	.topic = "basic",
	.long_desc = "This counter counts the total number of CPU cycles, excluding the number of cycles while the CPU is in the wait state",
	.pmu = "cpum_cf",
},
{
	.name = "instructions",
	.event = "event=0x1",
	.desc = "Unit: cpum_cf Instruction Count",
	.topic = "basic",
	.long_desc = "This counter counts the total number of instructions executed by the CPU",
	.pmu = "cpum_cf",
},
{
	.name = "l1i_dir_writes",
	.event = "event=0x2",
	.desc = "Unit: cpum_cf Level-1 I-Cache Directory Write Count",
	.topic = "basic",
	.long_desc = "This counter counts the total number of level-1 instruction-cache or unified-cache directory writes",
	.pmu = "cpum_cf",
},
{
	.name = "l1i_penalty_cycles",
	.event = "event=0x3",
	.desc = "Unit: cpum_cf Level-1 I-Cache Penalty Cycle Count",
	.topic = "basic",
	.long_desc = "This counter counts the total number of cache penalty cycles for level-1 instruction cache or unified cache",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_dir_writes",
	.event = "event=0x4",
	.desc = "Unit: cpum_cf Level-1 D-Cache Directory Write Count",
	.topic = "basic",
	.long_desc = "This counter counts the total number of level-1 data-cache directory writes",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_penalty_cycles",
	.event = "event=0x5",
	.desc = "Unit: cpum_cf Level-1 D-Cache Penalty Cycle Count",
	.topic = "basic",
	.long_desc = "This counter counts the total number of cache penalty cycles for level-1 data cache",
	.pmu = "cpum_cf",
},
{
	.name = "problem_state_cpu_cycles",
	.event = "event=0x20",
	.desc = "Unit: cpum_cf Problem-State Cycle Count",
	.topic = "basic",
	.long_desc = "This counter counts the total number of CPU cycles when the CPU is in the problem state, excluding the number of cycles while the CPU is in the wait state",
	.pmu = "cpum_cf",
},
{
	.name = "problem_state_instructions",
	.event = "event=0x21",
	.desc = "Unit: cpum_cf Problem-State Instruction Count",
	.topic = "basic",
	.long_desc = "This counter counts the total number of instructions executed by the CPU while in the problem state",
	.pmu = "cpum_cf",
},
{
	.name = "prng_functions",
	.event = "event=0x40",
	.desc = "Unit: cpum_cf PRNG Function Count",
	.topic = "crypto",
	.long_desc = "This counter counts the total number of the pseudorandom-number-generation functions issued by the CPU",
	.pmu = "cpum_cf",
},
{
	.name = "prng_cycles",
	.event = "event=0x41",
	.desc = "Unit: cpum_cf PRNG Cycle Count",
	.topic = "crypto",
	.long_desc = "This counter counts the total number of CPU cycles when the DEA/AES/SHA coprocessor is busy performing the pseudorandom- number-generation functions issued by the CPU",
	.pmu = "cpum_cf",
},
{
	.name = "prng_blocked_functions",
	.event = "event=0x42",
	.desc = "Unit: cpum_cf PRNG Blocked Function Count",
	.topic = "crypto",
	.long_desc = "This counter counts the total number of the pseudorandom-number-generation functions that are issued by the CPU and are blocked because the DEA/AES/SHA coprocessor is busy performing a function issued by another CPU",
	.pmu = "cpum_cf",
},
{
	.name = "prng_blocked_cycles",
	.event = "event=0x43",
	.desc = "Unit: cpum_cf PRNG Blocked Cycle Count",
	.topic = "crypto",
	.long_desc = "This counter counts the total number of CPU cycles blocked for the pseudorandom-number-generation functions issued by the CPU because the DEA/AES/SHA coprocessor is busy performing a function issued by another CPU",
	.pmu = "cpum_cf",
},
{
	.name = "sha_functions",
	.event = "event=0x44",
	.desc = "Unit: cpum_cf SHA Function Count",
	.topic = "crypto",
	.long_desc = "This counter counts the total number of the SHA functions issued by the CPU",
	.pmu = "cpum_cf",
},
{
	.name = "sha_cycles",
	.event = "event=0x45",
	.desc = "Unit: cpum_cf SHA Cycle Count",
	.topic = "crypto",
	.long_desc = "This counter counts the total number of CPU cycles when the SHA coprocessor is busy performing the SHA functions issued by the CPU",
	.pmu = "cpum_cf",
},
{
	.name = "sha_blocked_functions",
	.event = "event=0x46",
	.desc = "Unit: cpum_cf SHA Blocked Function Count",
	.topic = "crypto",
	.long_desc = "This counter counts the total number of the SHA functions that are issued by the CPU and are blocked because the SHA coprocessor is busy performing a function issued by another CPU",
	.pmu = "cpum_cf",
},
{
	.name = "sha_blocked_cycles",
	.event = "event=0x47",
	.desc = "Unit: cpum_cf SHA Blocked Cycle Count",
	.topic = "crypto",
	.long_desc = "This counter counts the total number of CPU cycles blocked for the SHA functions issued by the CPU because the SHA coprocessor is busy performing a function issued by another CPU",
	.pmu = "cpum_cf",
},
{
	.name = "dea_functions",
	.event = "event=0x48",
	.desc = "Unit: cpum_cf DEA Function Count",
	.topic = "crypto",
	.long_desc = "This counter counts the total number of the DEA functions issued by the CPU",
	.pmu = "cpum_cf",
},
{
	.name = "dea_cycles",
	.event = "event=0x49",
	.desc = "Unit: cpum_cf DEA Cycle Count",
	.topic = "crypto",
	.long_desc = "This counter counts the total number of CPU cycles when the DEA/AES coprocessor is busy performing the DEA functions issued by the CPU",
	.pmu = "cpum_cf",
},
{
	.name = "dea_blocked_functions",
	.event = "event=0x4a",
	.desc = "Unit: cpum_cf DEA Blocked Function Count",
	.topic = "crypto",
	.long_desc = "This counter counts the total number of the DEA functions that are issued by the CPU and are blocked because the DEA/AES coprocessor is busy performing a function issued by another CPU",
	.pmu = "cpum_cf",
},
{
	.name = "dea_blocked_cycles",
	.event = "event=0x4b",
	.desc = "Unit: cpum_cf DEA Blocked Cycle Count",
	.topic = "crypto",
	.long_desc = "This counter counts the total number of CPU cycles blocked for the DEA functions issued by the CPU because the DEA/AES coprocessor is busy performing a function issued by another CPU",
	.pmu = "cpum_cf",
},
{
	.name = "aes_functions",
	.event = "event=0x4c",
	.desc = "Unit: cpum_cf AES Function Count",
	.topic = "crypto",
	.long_desc = "This counter counts the total number of the AES functions issued by the CPU",
	.pmu = "cpum_cf",
},
{
	.name = "aes_cycles",
	.event = "event=0x4d",
	.desc = "Unit: cpum_cf AES Cycle Count",
	.topic = "crypto",
	.long_desc = "This counter counts the total number of CPU cycles when the DEA/AES coprocessor is busy performing the AES functions issued by the CPU",
	.pmu = "cpum_cf",
},
{
	.name = "aes_blocked_functions",
	.event = "event=0x4e",
	.desc = "Unit: cpum_cf AES Blocked Function Count",
	.topic = "crypto",
	.long_desc = "This counter counts the total number of the AES functions that are issued by the CPU and are blocked because the DEA/AES coprocessor is busy performing a function issued by another CPU",
	.pmu = "cpum_cf",
},
{
	.name = "aes_blocked_cycles",
	.event = "event=0x4f",
	.desc = "Unit: cpum_cf AES Blocked Cycle Count",
	.topic = "crypto",
	.long_desc = "This counter counts the total number of CPU cycles blocked for the AES functions issued by the CPU because the DEA/AES coprocessor is busy performing a function issued by another CPU",
	.pmu = "cpum_cf",
},
{
	.name = 0,
	.event = 0,
	.desc = 0,
},
};
struct pmu_event pme_cf_z196[] = {
{
	.name = "l1d_l2_sourced_writes",
	.event = "event=0x80",
	.desc = "Unit: cpum_cf L1D L2 Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data Cache directory where the returned cache line was sourced from the Level-2 cache",
	.pmu = "cpum_cf",
},
{
	.name = "l1i_l2_sourced_writes",
	.event = "event=0x81",
	.desc = "Unit: cpum_cf L1I L2 Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Instruction Cache directory where the returned cache line was sourced from the Level-2 cache",
	.pmu = "cpum_cf",
},
{
	.name = "dtlb1_misses",
	.event = "event=0x82",
	.desc = "Unit: cpum_cf DTLB1 Misses",
	.topic = "extended",
	.long_desc = "Level-1 Data TLB miss in progress. Incremented by one for every cycle a DTLB1 miss is in progress",
	.pmu = "cpum_cf",
},
{
	.name = "itlb1_misses",
	.event = "event=0x83",
	.desc = "Unit: cpum_cf ITLB1 Misses",
	.topic = "extended",
	.long_desc = "Level-1 Instruction TLB miss in progress. Incremented by one for every cycle a ITLB1 miss is in progress",
	.pmu = "cpum_cf",
},
{
	.name = "l2c_stores_sent",
	.event = "event=0x85",
	.desc = "Unit: cpum_cf L2C Stores Sent",
	.topic = "extended",
	.long_desc = "Incremented by one for every store sent to Level-2 cache",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_offbook_l3_sourced_writes",
	.event = "event=0x86",
	.desc = "Unit: cpum_cf L1D Off-Book L3 Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data Cache directory where the returned cache line was sourced from an Off Book Level-3 cache",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_onbook_l4_sourced_writes",
	.event = "event=0x87",
	.desc = "Unit: cpum_cf L1D On-Book L4 Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data Cache directory where the returned cache line was sourced from an On Book Level-4 cache",
	.pmu = "cpum_cf",
},
{
	.name = "l1i_onbook_l4_sourced_writes",
	.event = "event=0x88",
	.desc = "Unit: cpum_cf L1I On-Book L4 Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Instruction Cache directory where the returned cache line was sourced from an On Book Level-4 cache",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_ro_excl_writes",
	.event = "event=0x89",
	.desc = "Unit: cpum_cf L1D Read-only Exclusive Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data Cache where the line was originally in a Read-Only state in the cache but has been updated to be in the Exclusive state that allows stores to the cache line",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_offbook_l4_sourced_writes",
	.event = "event=0x8a",
	.desc = "Unit: cpum_cf L1D Off-Book L4 Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data Cache directory where the returned cache line was sourced from an Off Book Level-4 cache",
	.pmu = "cpum_cf",
},
{
	.name = "l1i_offbook_l4_sourced_writes",
	.event = "event=0x8b",
	.desc = "Unit: cpum_cf L1I Off-Book L4 Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Instruction Cache directory where the returned cache line was sourced from an Off Book Level-4 cache",
	.pmu = "cpum_cf",
},
{
	.name = "dtlb1_hpage_writes",
	.event = "event=0x8c",
	.desc = "Unit: cpum_cf DTLB1 One-Megabyte Page Writes",
	.topic = "extended",
	.long_desc = "A translation entry has been written to the Level-1 Data Translation Lookaside Buffer for a one-megabyte page",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_lmem_sourced_writes",
	.event = "event=0x8d",
	.desc = "Unit: cpum_cf L1D Local Memory Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data Cache where the installed cache line was sourced from memory that is attached to the same book as the Data cache (Local Memory)",
	.pmu = "cpum_cf",
},
{
	.name = "l1i_lmem_sourced_writes",
	.event = "event=0x8e",
	.desc = "Unit: cpum_cf L1I Local Memory Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Instruction Cache where the installed cache line was sourced from memory that is attached to the same book as the Instruction cache (Local Memory)",
	.pmu = "cpum_cf",
},
{
	.name = "l1i_offbook_l3_sourced_writes",
	.event = "event=0x8f",
	.desc = "Unit: cpum_cf L1I Off-Book L3 Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Instruction Cache directory where the returned cache line was sourced from an Off Book Level-3 cache",
	.pmu = "cpum_cf",
},
{
	.name = "dtlb1_writes",
	.event = "event=0x90",
	.desc = "Unit: cpum_cf DTLB1 Writes",
	.topic = "extended",
	.long_desc = "A translation entry has been written to the Level-1 Data Translation Lookaside Buffer (DTLB1)",
	.pmu = "cpum_cf",
},
{
	.name = "itlb1_writes",
	.event = "event=0x91",
	.desc = "Unit: cpum_cf ITLB1 Writes",
	.topic = "extended",
	.long_desc = "A translation entry has been written to the Level-1 Instruction Translation Lookaside Buffer (ITLB1)",
	.pmu = "cpum_cf",
},
{
	.name = "tlb2_pte_writes",
	.event = "event=0x92",
	.desc = "Unit: cpum_cf TLB2 PTE Writes",
	.topic = "extended",
	.long_desc = "A translation entry has been written to the Level-2 TLB Page Table Entry arrays",
	.pmu = "cpum_cf",
},
{
	.name = "tlb2_crste_hpage_writes",
	.event = "event=0x93",
	.desc = "Unit: cpum_cf TLB2 CRSTE One-Megabyte Page Writes",
	.topic = "extended",
	.long_desc = "A translation entry has been written to the Level-2 TLB Common Region Segment Table Entry arrays for a one-megabyte large page translation",
	.pmu = "cpum_cf",
},
{
	.name = "tlb2_crste_writes",
	.event = "event=0x94",
	.desc = "Unit: cpum_cf TLB2 CRSTE Writes",
	.topic = "extended",
	.long_desc = "A translation entry has been written to the Level-2 TLB Common Region Segment Table Entry arrays",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_onchip_l3_sourced_writes",
	.event = "event=0x96",
	.desc = "Unit: cpum_cf L1D On-Chip L3 Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data Cache directory where the returned cache line was sourced from an On Chip Level-3 cache",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_offchip_l3_sourced_writes",
	.event = "event=0x98",
	.desc = "Unit: cpum_cf L1D Off-Chip L3 Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Data Cache directory where the returned cache line was sourced from an Off Chip/On Book Level-3 cache",
	.pmu = "cpum_cf",
},
{
	.name = "l1i_onchip_l3_sourced_writes",
	.event = "event=0x99",
	.desc = "Unit: cpum_cf L1I On-Chip L3 Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Instruction Cache directory where the returned cache line was sourced from an On Chip Level-3 cache",
	.pmu = "cpum_cf",
},
{
	.name = "l1i_offchip_l3_sourced_writes",
	.event = "event=0x9b",
	.desc = "Unit: cpum_cf L1I Off-Chip L3 Sourced Writes",
	.topic = "extended",
	.long_desc = "A directory write to the Level-1 Instruction Cache directory where the returned cache line was sourced from an Off Chip/On Book Level-3 cache",
	.pmu = "cpum_cf",
},
{
	.name = "cpu_cycles",
	.event = "event=0",
	.desc = "Unit: cpum_cf Cycle Count",
	.topic = "basic",
	.long_desc = "This counter counts the total number of CPU cycles, excluding the number of cycles while the CPU is in the wait state",
	.pmu = "cpum_cf",
},
{
	.name = "instructions",
	.event = "event=0x1",
	.desc = "Unit: cpum_cf Instruction Count",
	.topic = "basic",
	.long_desc = "This counter counts the total number of instructions executed by the CPU",
	.pmu = "cpum_cf",
},
{
	.name = "l1i_dir_writes",
	.event = "event=0x2",
	.desc = "Unit: cpum_cf Level-1 I-Cache Directory Write Count",
	.topic = "basic",
	.long_desc = "This counter counts the total number of level-1 instruction-cache or unified-cache directory writes",
	.pmu = "cpum_cf",
},
{
	.name = "l1i_penalty_cycles",
	.event = "event=0x3",
	.desc = "Unit: cpum_cf Level-1 I-Cache Penalty Cycle Count",
	.topic = "basic",
	.long_desc = "This counter counts the total number of cache penalty cycles for level-1 instruction cache or unified cache",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_dir_writes",
	.event = "event=0x4",
	.desc = "Unit: cpum_cf Level-1 D-Cache Directory Write Count",
	.topic = "basic",
	.long_desc = "This counter counts the total number of level-1 data-cache directory writes",
	.pmu = "cpum_cf",
},
{
	.name = "l1d_penalty_cycles",
	.event = "event=0x5",
	.desc = "Unit: cpum_cf Level-1 D-Cache Penalty Cycle Count",
	.topic = "basic",
	.long_desc = "This counter counts the total number of cache penalty cycles for level-1 data cache",
	.pmu = "cpum_cf",
},
{
	.name = "problem_state_cpu_cycles",
	.event = "event=0x20",
	.desc = "Unit: cpum_cf Problem-State Cycle Count",
	.topic = "basic",
	.long_desc = "This counter counts the total number of CPU cycles when the CPU is in the problem state, excluding the number of cycles while the CPU is in the wait state",
	.pmu = "cpum_cf",
},
{
	.name = "problem_state_instructions",
	.event = "event=0x21",
	.desc = "Unit: cpum_cf Problem-State Instruction Count",
	.topic = "basic",
	.long_desc = "This counter counts the total number of instructions executed by the CPU while in the problem state",
	.pmu = "cpum_cf",
},
{
	.name = "problem_state_l1i_dir_writes",
	.event = "event=0x22",
	.desc = "Unit: cpum_cf Problem-State Level-1 I-Cache Directory Write Count",
	.topic = "basic",
	.long_desc = "This counter counts the total number of level-1 instruction-cache or unified-cache directory writes while the CPU is in the problem state",
	.pmu = "cpum_cf",
},
{
	.name = "problem_state_l1i_penalty_cycles",
	.event = "event=0x23",
	.desc = "Unit: cpum_cf Level-1 I-Cache Penalty Cycle Count",
	.topic = "basic",
	.long_desc = "This counter counts the total number of penalty cycles for level-1 instruction cache or unified cache while the CPU is in the problem state",
	.pmu = "cpum_cf",
},
{
	.name = "problem_state_l1d_dir_writes",
	.event = "event=0x24",
	.desc = "Unit: cpum_cf Problem-State Level-1 D-Cache Directory Write Count",
	.topic = "basic",
	.long_desc = "This counter counts the total number of level-1 data-cache directory writes while the CPU is in the problem state",
	.pmu = "cpum_cf",
},
{
	.name = "problem_state_l1d_penalty_cycles",
	.event = "event=0x25",
	.desc = "Unit: cpum_cf Problem-State Level-1 D-Cache Penalty Cycle Count",
	.topic = "basic",
	.long_desc = "This counter counts the total number of penalty cycles for level-1 data cache while the CPU is in the problem state",
	.pmu = "cpum_cf",
},
{
	.name = "prng_functions",
	.event = "event=0x40",
	.desc = "Unit: cpum_cf PRNG Function Count",
	.topic = "crypto",
	.long_desc = "This counter counts the total number of the pseudorandom-number-generation functions issued by the CPU",
	.pmu = "cpum_cf",
},
{
	.name = "prng_cycles",
	.event = "event=0x41",
	.desc = "Unit: cpum_cf PRNG Cycle Count",
	.topic = "crypto",
	.long_desc = "This counter counts the total number of CPU cycles when the DEA/AES/SHA coprocessor is busy performing the pseudorandom- number-generation functions issued by the CPU",
	.pmu = "cpum_cf",
},
{
	.name = "prng_blocked_functions",
	.event = "event=0x42",
	.desc = "Unit: cpum_cf PRNG Blocked Function Count",
	.topic = "crypto",
	.long_desc = "This counter counts the total number of the pseudorandom-number-generation functions that are issued by the CPU and are blocked because the DEA/AES/SHA coprocessor is busy performing a function issued by another CPU",
	.pmu = "cpum_cf",
},
{
	.name = "prng_blocked_cycles",
	.event = "event=0x43",
	.desc = "Unit: cpum_cf PRNG Blocked Cycle Count",
	.topic = "crypto",
	.long_desc = "This counter counts the total number of CPU cycles blocked for the pseudorandom-number-generation functions issued by the CPU because the DEA/AES/SHA coprocessor is busy performing a function issued by another CPU",
	.pmu = "cpum_cf",
},
{
	.name = "sha_functions",
	.event = "event=0x44",
	.desc = "Unit: cpum_cf SHA Function Count",
	.topic = "crypto",
	.long_desc = "This counter counts the total number of the SHA functions issued by the CPU",
	.pmu = "cpum_cf",
},
{
	.name = "sha_cycles",
	.event = "event=0x45",
	.desc = "Unit: cpum_cf SHA Cycle Count",
	.topic = "crypto",
	.long_desc = "This counter counts the total number of CPU cycles when the SHA coprocessor is busy performing the SHA functions issued by the CPU",
	.pmu = "cpum_cf",
},
{
	.name = "sha_blocked_functions",
	.event = "event=0x46",
	.desc = "Unit: cpum_cf SHA Blocked Function Count",
	.topic = "crypto",
	.long_desc = "This counter counts the total number of the SHA functions that are issued by the CPU and are blocked because the SHA coprocessor is busy performing a function issued by another CPU",
	.pmu = "cpum_cf",
},
{
	.name = "sha_blocked_cycles",
	.event = "event=0x47",
	.desc = "Unit: cpum_cf SHA Blocked Cycle Count",
	.topic = "crypto",
	.long_desc = "This counter counts the total number of CPU cycles blocked for the SHA functions issued by the CPU because the SHA coprocessor is busy performing a function issued by another CPU",
	.pmu = "cpum_cf",
},
{
	.name = "dea_functions",
	.event = "event=0x48",
	.desc = "Unit: cpum_cf DEA Function Count",
	.topic = "crypto",
	.long_desc = "This counter counts the total number of the DEA functions issued by the CPU",
	.pmu = "cpum_cf",
},
{
	.name = "dea_cycles",
	.event = "event=0x49",
	.desc = "Unit: cpum_cf DEA Cycle Count",
	.topic = "crypto",
	.long_desc = "This counter counts the total number of CPU cycles when the DEA/AES coprocessor is busy performing the DEA functions issued by the CPU",
	.pmu = "cpum_cf",
},
{
	.name = "dea_blocked_functions",
	.event = "event=0x4a",
	.desc = "Unit: cpum_cf DEA Blocked Function Count",
	.topic = "crypto",
	.long_desc = "This counter counts the total number of the DEA functions that are issued by the CPU and are blocked because the DEA/AES coprocessor is busy performing a function issued by another CPU",
	.pmu = "cpum_cf",
},
{
	.name = "dea_blocked_cycles",
	.event = "event=0x4b",
	.desc = "Unit: cpum_cf DEA Blocked Cycle Count",
	.topic = "crypto",
	.long_desc = "This counter counts the total number of CPU cycles blocked for the DEA functions issued by the CPU because the DEA/AES coprocessor is busy performing a function issued by another CPU",
	.pmu = "cpum_cf",
},
{
	.name = "aes_functions",
	.event = "event=0x4c",
	.desc = "Unit: cpum_cf AES Function Count",
	.topic = "crypto",
	.long_desc = "This counter counts the total number of the AES functions issued by the CPU",
	.pmu = "cpum_cf",
},
{
	.name = "aes_cycles",
	.event = "event=0x4d",
	.desc = "Unit: cpum_cf AES Cycle Count",
	.topic = "crypto",
	.long_desc = "This counter counts the total number of CPU cycles when the DEA/AES coprocessor is busy performing the AES functions issued by the CPU",
	.pmu = "cpum_cf",
},
{
	.name = "aes_blocked_functions",
	.event = "event=0x4e",
	.desc = "Unit: cpum_cf AES Blocked Function Count",
	.topic = "crypto",
	.long_desc = "This counter counts the total number of the AES functions that are issued by the CPU and are blocked because the DEA/AES coprocessor is busy performing a function issued by another CPU",
	.pmu = "cpum_cf",
},
{
	.name = "aes_blocked_cycles",
	.event = "event=0x4f",
	.desc = "Unit: cpum_cf AES Blocked Cycle Count",
	.topic = "crypto",
	.long_desc = "This counter counts the total number of CPU cycles blocked for the AES functions issued by the CPU because the DEA/AES coprocessor is busy performing a function issued by another CPU",
	.pmu = "cpum_cf",
},
{
	.name = 0,
	.event = 0,
	.desc = 0,
},
};
struct pmu_event pme_test_cpu[] = {
{
	.name = "bp_l1_btb_correct",
	.event = "event=0x8a",
	.desc = "L1 BTB Correction",
	.topic = "branch",
},
{
	.name = "bp_l2_btb_correct",
	.event = "event=0x8b",
	.desc = "L2 BTB Correction",
	.topic = "branch",
},
{
	.name = "segment_reg_loads.any",
	.event = "umask=0x80,period=200000,event=0x6",
	.desc = "Number of segment register loads",
	.topic = "other",
},
{
	.name = "dispatch_blocked.any",
	.event = "umask=0x20,period=200000,event=0x9",
	.desc = "Memory cluster signals to block micro-op dispatch for any reason",
	.topic = "other",
},
{
	.name = "eist_trans",
	.event = "umask=0x0,period=200000,event=0x3a",
	.desc = "Number of Enhanced Intel SpeedStep(R) Technology (EIST) transitions",
	.topic = "other",
},
{
	.name = "l3_cache_rd",
	.event = "event=0x40",
	.desc = "L3 cache access, read",
	.topic = "cache",
	.long_desc = "Attributable Level 3 cache access, read",
},
{
	.name = "uncore_hisi_ddrc.flux_wcmd",
	.event = "event=0x2",
	.desc = "DDRC write commands. Unit: hisi_sccl,ddrc ",
	.topic = "uncore",
	.long_desc = "DDRC write commands",
	.pmu = "hisi_sccl,ddrc",
},
{
	.name = "unc_cbo_xsnp_response.miss_eviction",
	.event = "umask=0x81,event=0x22",
	.desc = "Unit: uncore_cbox A cross-core snoop resulted from L3 Eviction which misses in some processor core",
	.topic = "uncore",
	.long_desc = "A cross-core snoop resulted from L3 Eviction which misses in some processor core",
	.pmu = "uncore_cbox",
},
{
	.name = 0,
	.event = 0,
	.desc = 0,
},
};
struct pmu_events_map pmu_events_map[] = {
{
	.cpuid = "^IBM.209[78].*[13]\\.[1-5].[[:xdigit:]]+$",
	.version = "1",
	.type = "core",
	.table = pme_cf_z10
},
{
	.cpuid = "^IBM.281[78].*[13]\\.[1-5].[[:xdigit:]]+$",
	.version = "1",
	.type = "core",
	.table = pme_cf_z196
},
{
	.cpuid = "^IBM.282[78].*[13]\\.[1-5].[[:xdigit:]]+$",
	.version = "1",
	.type = "core",
	.table = pme_cf_zec12
},
{
	.cpuid = "^IBM.296[45].*[13]\\.[1-5].[[:xdigit:]]+$",
	.version = "1",
	.type = "core",
	.table = pme_cf_z13
},
{
	.cpuid = "^IBM.390[67].*[13]\\.[1-5].[[:xdigit:]]+$",
	.version = "3",
	.type = "core",
	.table = pme_cf_z14
},
{
	.cpuid = "^IBM.856[12].*3\\.6.[[:xdigit:]]+$",
	.version = "3",
	.type = "core",
	.table = pme_cf_z15
},
{
	.cpuid = "^IBM.393[12].*3\\.7.[[:xdigit:]]+$",
	.version = "3",
	.type = "core",
	.table = pme_cf_z16
},
{
	.cpuid = "testcpu",
	.version = "v1",
	.type = "core",
	.table = pme_test_cpu,
},
{
	.cpuid = 0,
	.version = 0,
	.type = 0,
	.table = 0,
},
};

struct pmu_sys_events pmu_sys_event_tables[] = {
	{
		.table = 0
	},
};
